2.21.9:

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: SeparatorToolItem: Added get/set_draw().

	* gtk/src/separatortoolitem.hg: Added get/set_draw().

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: MenuBar: Added remaining methods.

	* gtk/src/menubar.hg: Added set/get_pack_direction(), 
	set/ get_child_pack_direction
	* tools/m4/convert_gtk.m4: Added guint32&->guint32* conversion.

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Visual: Added methods.

	* gdk/src/visual.hg: Added get_visual_type(), get_depth(), get_byte_order(), 
	get_colormap_size(), get_bits_per_rgb(), get_red_pixel_details(),
	get_green_pixel_details(), get_blue_pixel_details(), which are already in 
	git master.
	* tools/m4/convert_gdk.m4: Added enum conversion.

2010-09-25  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added remaining missing properties.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkTreeModelSort.
	* gtk/src/gtk_signals.defs: Added the new section for this object.
	* gtk/src/scalebutton.hg: Added icons property.
	* gtk/src/scrolledwindow.hg: Added window_placement_set property.
	* gtk/src/separatortoolitem.hg: Added draw property.
	* gtk/src/statusicon.hg: Added tooltips, icon-size and icon-size-set 
	properties.
	* gtk/src/toolbutton.hg: Added icon_name property.
	* gtk/src/treemodelfilter.hg: Added child_model and virtual_root properties.
	* gtk/src/treemodelsort.hg: Added model property.
	* gtk/src/treeview.hg: Added tooltip-column property.
	* gtk/src/treeviewcolumn.hg: Added resizable, spacing and sort-column-id 
	properties.
	* gtk/src/widget.hg: Added is_focus and double_buffered properties.
	* gtk/src/window.hg: Added type, startup_id and opacity properties.
		
2010-09-25  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added yet more missing properties.

	* gtk/src/menubar.hg: Added pack_direction and child_pack_direction 
	properties, with a new PackDirection enum.
	* gtk/src/notebook.hg: Added group_id and group properties.
	* gtk/src/printer.hg: Added paused and accepting_jobs properties.
	* gtk/src/printjob.hg: Added track_print_status property.
	* gtk/src/printoperation.hg: Added track_print_status property.
	* gtk/src/progressbar.hg: Added adjustment, bar_stye, activity_step, 
	activity_blocks and discrete_blocks properties.
	* gtk/src/ruler.hg: Added metric property.

2010-09-25  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added missing properties.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkComboBoxEntry and 
	GtkColorSelectionDialog.
	* gtk/src/gtk_signals.defs: Added the new sections for these widgets.
	* gtk/src/colorselection.hg: Added color_selection, ok_button, cancel_button, 
	and help_button properties.
	* gtk/src/combobox.hg: Added popup_shown and button_sensitivity properties.
	* gtk/src/comboboxentry.hg: Added text_column property.
	* gtk/src/entry.hg: Added inner_borde, primary_icon_tooltip_text, 
	secondary_icon_tooltip_text", primary_icon_tooltip_markup" and 
	secondary_icon_tooltip_markup properties.
	* gtk/src/filechooserbutton.hg: Added dialog property.
	* gtk/src/handlebox.hg: Added snap_edge_set and child_detached properties.
	* gtk/src/image.hg: Added pixel-size and icon-name properties.

2010-09-24  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added some more missing properties.

	* gtk/src/cellrenderer.hg: Added editing property.
	* gtk/src/cellrendereraccel.hg: Added accel-mode property.
	* gtk/src/cellrenderertoggle.hg: Added inconsistent property.
	* gtk/src/progressbar.hg: Moved the ProgressBarOrientation enum to enums.hg.
	* gtk/src/cellrendererprogress.hg: Added orientation property.
	
2010-09-24  Murray Cumming  <murrayc@murrayc.com>

	CellEditable: Added editing_canceled property.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkCellEditable.
	* gtk/src/gtk_signals.defs: Added the GtkCellEditable entries.
	* gtk/src/gtk_other.defs: Remove entries that are no longer needed, 
	because they are now in gtk_signals.defs or gtk_methods.defs
	* gtk/src/gtk_methods.defs: Hand-edit some GtkAboutDialog entries to correct 
	the constness of some return types.
	* gtk/src/celleditable.hg: Added editing_canceled property.

2010-09-24  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added some missing properties.

	* gtk/src/accelgroup.hg: Added is_locked and modifier_mask properties.
	* gtk/src/actiongroup.hg: Added name, sensitive and visible properties.
	* gtk/src/adjustment.hg: Added value, lower, upper, step-increment, 
	page-increment and page-size properties.
	* gtk/src/builder.hg: Added translation-domain property.

2010-09-24  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Screen: Added signals and properties.

	* gdk/src/gdk_signals.defs: Regenerated by taking the part of the 
	extra_defs_gen output for GDK.
	* gdk/src/screen.hg: Added composited_changed() and monitors_changed() 
	signals, but with no default signal handlers, to avoid breaking ABI.
	Added font-options and resolution properties.

2.21.8.1:

2010-09-20  Murray Cumming  <murrayc@murrayc.com>

  Fix the make check build.

	* demos/gtk-demo/example_colorsel.cc:
	* demos/gtk-demo/example_sizegroup.cc:
	* demos/gtk-demo/example_stockbrowser.cc: Use ALIGN_START/END instead of
  the deprecated LEFT/RIGHT/TOP/BOTTOM versions.

2010-09-20  Murray Cumming  <murrayc@murrayc.com>

	Widget: Document the set_flags() and unset_flags() deprecation.

	* gtk/src/widget.hg: Add doxygen comments based on the C documentation.

2010-09-20  Murray Cumming  <murrayc@murrayc.com>

	Added some missing properties.

	* gtk/src/iconview.hg: Added tooltip-column and reorderable and
  item-padding properties.
	* gtk/src/messagedialog.hg: Added message-area properties.

2010-09-20  Murray Cumming  <murrayc@murrayc.com>

	Fix some gmmproc warnings, adding some TextBuffer methods.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added interfaces because
  this now supports them.
	* gtk/src/gtk_signals.defs: Regenerated.
	* gtk/src/gtk_other.defs: Remove declarations that are now in
  the regular gtk_signals.defs.
	* gtk/src/gtk_extra_objects.defs: Added GtkPrintOperation for the docs.
	* gtk/src/entry.hg: Ignore the preedit-changed signal because it is
  for keybindings.
	* gtk/src/filechooser.hg: Remove the mention of the folder-mode property,
  which apparently never existed.
	* gtk/src/infobar.hg: Ignore the close signal because it is for keybindings.
	* gtk/src/textbuffer.hg: Added get_copy_target_list() and
  get_paste_target_list().
	* gtk/src/toolitem.hg: Ignore the deprecated set_tooltip signal.
	* gtk/src/toolpalette.hg: Ignore the set_scroll_adjustments signal because
  it seems to be internal.
	* gtk/src/treepath.hg: Ignore gtk_tree_path_get_indices_with_depth()
  because we don't need it.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	AlignmentEnum: Add ALIGN_START and ALIGN_END to match gtkmm 3.

	* gtk/src/enums.[hg|ccg]: AlignmentEnum: Added ALIGN_START and ALIGN_END,
	deprecating the LEFT/RIGHT/TOP/BOTTOM equivalents. This will help existing
	code when porting to gtkmm 3, which has the Align enum instead of AlignmentEnum.
	* gtk/src/enums.hg:
	* gtk/src/misc.hg: Adapted.

2.21.8:

2010-09-14  Murray Cumming  <murrayc@murrayc.com>

	Dealt with some TODOs.

	* configure.ac: Depend on the latest GTK+ 2.21.x release.
	* gdk/src/drawable.hg: Do not deprecate draw_indexed_image() because
  GdkRgbCmap is not fully deprecated.
	* gdk/src/rgbcmap.[hg|ccg]: Only deprecate the methods, not the class,
  as in the C API.
	* gtk/src/menuitem.[hg|ccg]: Added unset_submenu().
	* gtk/src/papersize.[hg|ccg]: Added get_paper_sizes().
	* gtk/src/printoperation.[hg|ccg]: Added run_page_setup_dialog() overloads
  with no PageSetup parameter, because the C API allows this.
  These must be moved into the class in gtkmm 3.
	* gtk/src/style.hg: Added copy().

	* gtk/src/iconset.hg: Added class documentation based on the C documentation.
	* gtk/src/printsettings.hg: Add the exceptions documentation now that
  it is in the C documentation.
	* gtk/src/statusbar.hg: Added documentation for push() and remove_message().

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	Make sure that deprecated API is inside an ifdef.

	* gtk/gtkmm/comboboxentrytext.[h|cc]:
	* gtk/src/notebook.hg:
	* gtk/src/textbuffer.ccg:
	* gtk/src/textbuffer.hg:
	* gtk/src/widget.hg: Put anything documented with @deprecated in
	#ifndef GTKMM_DISABLE_DEPRECATED.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	Regenerated C XML documentation.

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated.
	* gdk/src/filelist.am:
	* gdk/src/gdk_pixbuf_docs.xml: Added this, including it in filelist.am.
	Previously it was in gdk_doc.xml.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>>

	MessageDialog: Added get_message_area().

	* gtk/src/messagedialog.hg: Added get_message_area().

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Fix typos to really avoid documentation warnings.

	* gtk/src/gtk_extra_objects.defs: Add a missing quote and add some other
	definitions.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Avoid most Documentation warnings from gmmproc.

	* gtk/src/filelist.am:
	* gtk/src/gdk.defs:
	* gtk/src/gdk_extra_objects.defs: Added this *extra_objects.defs file,
	with hand-coded define-object sections, for objects that hide their *Class
	or *Iface struct declarations, which stops h2defs.py from generating
	define-object sections.
	These allows DocsParser.pm to know how to split mentions of C functions into
	the object and the method, so it can guess the C++ method name to mention
	instead.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

  gdkmm: Avoid most Documentation warnings from gmmproc.

	* gdk/src/filelist.am:
	* gdk/src/gdk.defs:
	* gdk/src/gdk_extra_objects.defs: Added this *extra_objects.defs file,
	with hand-coded define-object sections, for objects that hide their *Class
	or *Iface struct declarations, which stops h2defs.py from generating
	define-object sections.
	These allows DocsParser.pm to know how to split mentions of C functions into
	the object and the method, so it can guess the C++ method name to mention
	instead.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	IconView: Added get/set_item_orientation().

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/iconview.hg: Added get/set_item_orientation() and property.

2010-09-13  Murray Cumming  <murrayc@murrayc.com>

	Fix compilation errors when disabling deprecated gdkmm API.

	* gdk/src/rgbcmap.[hg|ccg]: Use GDKMM_DISABLE_DEPRECATED instead of
  GTKMM_DISABLE_DEPRECATED.

2010-09-10  Murray Cumming  <murrayc@murrayc.com>>

	Item: Fix the build now that the functions are deprecated.

	* gtk/src/item.hg: Make an undef appear at the top of the generated .cc file.

2010-09-10  Murray Cumming  <murrayc@murrayc.com>

	Button: Remove the construct-only use-underline property.

	* gtk/src/button.hg: This avoids a gmmproc warning.

2.21.7:

2010-08-30  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added new methods wrapping new C functions.

	* gtk/src/button.hg: Added get_event_window().
	* gtk/src/expander.hg: Added get/set_label_fill() and property.
	* gtk/src/notebook.hg: Added get_tab_hborder() and get_tab_vborder().
	* gtk/src/printunixdialog.hg: Added get_manual_capabilities().
	* gtk/src/statusbar.hg: Added remove_all_messages().
	* gtk/src/table.hg: Added get_size().
	* gtk/src/textview.hg: Added get_hadjustment(), get_vadjustment(),
  im_context_filter_keypress(), reset_im_context().
	* gtk/src/viewport.hg: Added get_view_window().
	* gtk/src/widget.hg: Added send_focus_change().

2010-08-30  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Window: Wrap new C functions.

	* gdk/src/window.hg: Added get_composited(), is_input_only(), is_shaped(),
  has_native(), get_modal_hint(), get_background_pattern(),
  coords_to_parent(), coords_from_parent(),
  get_effective_parent(), get_effective_toplevel(), create_similar_surface(),
  get_accept_focus(), get_focus_on_map().

2010-08-30  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Color: Deprecate rgb_find_color().

	* gdk/src/color.[hg|ccg]: rgb_find_color(): Deprecate this because it
  is deprecated in GTK+.

2010-08-29  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Wrapped new Device and Display methods.

	* gdk/src/cursor.hg: Added get_cursor_type().
	* gdk/src/device.[hg|ccg]: Added get_key(), get_axis_use(), get_n_axes().
	* gdk/src/filelist.am:
	* gdk/src/gdk_pixbuf_methods.defs: Regenerated with h2defs.py
	* tools/m4/convert_gdk.m4: Added DeviceManager conversions.
	* gtk/src/widget.hg: Added const version of get_accessible().

2010-08-29  Murray Cumming  <murrayc@murrayc.com>

	Regenerated function .defs files.

	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_methods.defs: Regenerated.

2010-08-29  Murray Cumming  <murrayc@murrayc.com>

	Gdk: RgbCMap: Deprecate.

	* gdk/src/rgbcmap.[hg|ccg]: Deprecate this because it is deprecated in
	GTK+. This fixes the build with fatal warnings.

2010-08-04  Armin Burgmeier  <armin@arbur.net>

	Add missing include paths to MSVC property sheets.

	* win32_installer/gtkmm-vc80-2_4.vsprops:
	* win32_installer/gtkmm-vc80-d-2_4.vsprops:
	* win32_installer/gtkmm-vc90-2_4.vsprops:
	* win32_installer/gtkmm-vc90-d-2_4.vsprops: Add lib/pangomm-1.4/include
	and include/freetype2 to inculde paths.

	* win32_installer/install-msvc-module: Update for gtkmm 2.20.3.

2010-08-04  Armin Burgmeier  <armin@arbur.net>

	Fixed using stock items with MSVC. Bug #625489.

	* gtk/gtkmmconfig.h.in: Make sure we define GTKMM_API to
	__declspec(dllimport) also with MSVC when building gtkmm.


2010-07-16  Murray Cumming  <murrayc@murrayc.com>

	Fix build errors when deprecated API is disabled.

	* gtk/src/notebook.[hg|ccg]:
	* gtk/src/table.hg: Remove the ifdefs from the PagesList and TableList class
	declarations because we must keep the un-ifdefed member variable to preserve
	ABI.

2010-07-14  Murray Cumming  <murrayc@murrayc.com>

	Deprecate Notebook::pages() and Table::children().

	* gtk/src/notebook.[hg|ccg]:
	* gtk/src/table.[hg|ccg]: Deprecate the STL-style accessors.

2.21.5:

2010-07-14  Murray Cumming  <murrayc@murrayc.com>

    Rearrange includes in tests and demos for the undefs.

	* demos/gtk-demo/demowindow.cc:
	* demos/gtk-demo/demowindow.h:
	* demos/gtk-demo/main.cc:
	* tests/child_widget/main.cc: These now build again with
    enable-warnings=fatal .

2010-07-14  Murray Cumming  <murrayc@murrayc.com>

	More rearranging of includes for the undef in gdkmm/region.hg.

	* gtk/gtkmm/menu_elems.[h|cc]:
	* gtk/gtkmm/stock.[h|cc]:
	* gtk/src/bin.[hg|ccg]:
	* gtk/src/iconinfo.[hg|ccg]:
	* gtk/src/liststore.hg:
	* gtk/src/main.hg:
	* gtk/src/stockitem.hg:
	* gtk/src/tooltips.ccg:
	* gtk/src/treedragsource.hg:
	* gtk/src/treemodel.[hg|ccg]:
	* gtk/src/treemodelfilter.[hg|ccg]:
	* gtk/src/treemodelsort.hg:
	* gtk/src/treepath.hg:
	* gtk/src/treerowreference.hg:
	* gtk/src/treeselection.hg:
	* gtk/src/treestore.hg: Include treepath.h before others, such as
    treemodel.h, so that gdkmm/region is (indirectly) included before the
    others, so that is the first include of gdk/gdk.h, so our undef is used.

2010-07-13  Murray Cumming  <murrayc@murrayc.com>

	Yet more rearranging of includes for the undef in box.hg

	* gtk/src/treedragdest.hg: Include treemodel.h later, because it
    includes gtk/gtk.h without the undef.

2010-07-13  Murray Cumming  <murrayc@murrayc.com>

	Even more work on the undef in box.hg.

	* gdk/gdkmm.h:
	* gtk/gtkmm.h:
	* gtk/src/box.hg:
	* gtk/src/main.hg:
	* gtk/src/table.hg:
	* gtk/src/textiter.hg:
	* gtk/src/treemodel.hg:
	* gtk/src/treeviewcolumn.hg: Rearrange includes to make it more likely
    that applications will be able to build with deprecated API disabled and
    warnings as errors.
    However, this is just impossible to do completely, because any other header
    (such as goocanvasitem.h via goocanvasmm) might include gtk/gtk.h first.

2010-07-13  Murray Cumming  <murrayc@murrayc.com>

	More work on the undef in box.hg.

	* gtk/src/combo.hg:
	* gtk/src/dialog.hg:
	* gtk/src/fileselection.hg:
	* gtk/src/fontselection.hg: Make sure that box.h is included first,
    so the undef can work.

2010-07-13  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with warnings-as-errors with the latest gtk+ 2.22.x.

	* gdk/src/gdk_methods.defs:
	* gdk/src/gdk_pixbuf_methods.defs: Regenerate with h2defs.py.

	* gdk/src/color.[hg|ccg]: Move ColorTraits implementations to the .ccg file.
	* gdk/src/screen.hg: get_name(), get_source(), get_mode(), get_has_cursor():
    Reimplement with the new C functions, instead of using direct struct access.
	* gdk/src/dragcontext.[hg|ccg]: get_source_window(),
    get_destination_window(), get_actions(), get_suggested_action(),
    get_action(): Reimplement with the new C functions, instead of using direct
    struct access.
    get_action(): Deprecate, replacing with get_selected_action().
    Temporarily undef GSEAL_ENABLE to allow use of struct members that that
    have no replacement, to avoid breaking our API.
	* gdk/src/image.hg: get_image_type(), get_visual(), get_width(),
    get_height(), get_bpp(), get_bpl(): Reimplement with the new C
    functions, instead of using direct struct access.
    get_bpp(), get_bpl(): Deprecate, replacing with get_bytes_per_pixel() and
    get_bytes_per_line().
    Addef get_depth().
	* gdk/src/region.hg: Temporarily undef GSEAL_ENABLE to allow use of
    the deprecated GdkSpanFunc type in our API, to avoid breaking our API.
	* gdk/src/bitmap[hg|ccg]:
	* gdk/src/cursor.hg:
	* gdk/src/device.hg:
	* gdk/src/drawable.hg:
	* gdk/src/gc.hg:
	* gdk/src/visual.hg:
	* gdk/src/window.hg: Rearrange includes to let our temporary undefs elsewhere work.

	* gtk/src/box.hg: Temporarily undef GTK_DISABLE_DEPRECATED, so we can
    still use _GtkBoxChild in our API, to avoid breaking our API.
	* gtk/src/activatable.hg:
	* gtk/src/bin.ccg:
	* gtk/src/editable.hg:
	* gtk/src/orientable.hg:
	* gtk/src/printoperationpreview.hg:
	* gtk/src/recentchooser.hg:
	* gtk/src/textiter.hg:
	* gtk/src/treesortable.hg:
	* gtk/src/toolshell.hg:
	* gtk/src/main.hg:
Do not include gtk+.h. Add prototype declarations instead, as elsewhere.
    Rearrange includes to allow our undefs to work.


2010-07-06  Murray Cumming  <murrayc@murrayc.com>

	Added copyright headers. Patch from Kalev Lember.

	* tools/m4/convert.m4:
	* tools/m4/convert_atk.m4:
	* tools/m4/convert_gdk.m4:
	* tools/m4/convert_gtk.m4:
	* tools/m4/convert_gtkmm.m4:
	* tools/m4/convert_pango.m4:
	* tools/m4/filelist.am: Added LGPL2.1+ headers, like the other files.

2010-06-28  Murray Cumming  <murrayc@murrayc.com>

	PrintOperation: get_default_page_setup(): refcount fix.

	* gtk/src/printoperation.hg: get_default_page_setup(),
    get_print_settings(): Use refreturn, fixing bug #622957 (Kjell Ahlstedt).

2.21.1:

2010-06-23  Daniel Elstner  <danielk@openismus.com>

	Split off atkmm into its own separate module

	* atk/, MSVC_Net200[58]/atkmm/: Delete atkmm subdirectories.
	* configure.ac: Remove module definition of atkmm-1.6.  Adjust the
	pkg-config dependencies to pull in an installed atkmm.
	* **/Makefile.am: Remove references to atkmm from the build rules.
	* docs/reference/Doxyfile.in: Remove references to in-tree atkmm.
	* gtk/{gtkmm,gtkmm-uninstalled}.pc.in: Remove atkmm substitutions.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Remove code to output
	definitions for ATK types.

2010-06-16  Murray Cumming  <murrayc@murrayc.com>

	Entry: Added im_context_filter_keypress().

	* gtk/src/entry.hg: Added im_context_filter_keypress(), new in gtk+ 2.22.

2010-06-16  Murray Cumming  <murrayc@murrayc.com>

	Added Assistant::commit() and Entry::reset_im_context().

	* gtk/src/assistant.hg: Added commit(), new in gtk+ 2.22.
	* gtk/src/entry.hg: Added reset_im_context(), new in gtk+ 2.22.

2010-05-18  Murray Cumming  <murrayc@murrayc.com>

	Remove the ifdefs that supported building with optional API.

    As discussed on the mailing list, these will be removed from glibmm soon
    anyway. Anybody who really still needs this should tell us.

This is the gtkmm-2-22 branch for new API.
See also the stable gtkmm-2-20 branch, which should have no more API additions,
and the master branch for the planned API/ABI-breaking gtkmm 3.

2.20.3:

2010-05-04  Murray Cumming  <murrayc@murrayc.com>

	FileChooser::get_filter(): Don't ref the result.

	* gtk/src/filechooser.hg: get_filter(): Don't ref the GtkFilter results,
	because it is a GtkObject, not just a GObject, and we should not
	reference-count GtkObjects. This does _not_ fix bug #583481 though.

2010-04-23  David King  <davidk@openismus.com>

	Improvements to main page documentation

	* gtk/gtkmm.h: Links to groups and external websites. Compilation
	example.

2010-04-16  David King  <davidk@openismus.com>

	Add main page to Doxygen documentation

	* docs/Makefile.am: Parse gtk/gtkmm.h for documentation.
	* gtk/gtkmm.h: Add main page to Doxygen documentation.

2.20.2:

2010-04-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	gdk_docs.xml: Another regeneration because of parsing errors.

	* gdk/src/gdk_docs.xml: Regenerate once more to avoid parsing errors
	caused by &...; expressions that don't make sense to gmmproc.

2010-04-11  José Alburquerque  <jaalburqu@svn.gnome.org>

	Regenerate docs once more to fix comment errors.

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated after fixing the
	docextract_to_xml.py script to handle C++ multi-line comments in
	function descriptions that include sample C++ code.

2010-04-11  José Alburquerque  <jaalburqu@svn.gnome.org>

	Regenerate docs with the new docextract_to_xml.py script.

	* atk/src/atk_docs.xml:
	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated with the new documentation
	extraction script to take advantage of the new generation method it
	uses.

2.20.1:

2010-04-07  Murray Cumming  <murrayc@murrayc.com>

    Builder: Complete the exceptions thrown documentation.

	* gtk/src/builder.hg: Completed the @throws lines now that GtkBuilder
    has documentation about the GError domains that it throws.
    This fixed bug #548022 (Alexander Shaduri).

2010-04-07  Murray Cumming  <murrayc@mmurrayc.com>

    API reference documentation: Remove gobjection-introspection annotations.

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Use regexxer to remove the gobject-introspection
    annotations so they do not appear in the generated HTML. In future, we will
    stop these from even getting in to the XML.

2010-04-07  Murray Cumming  <murrayc@murrayc.com>

    Really fix the @newin2p* in the *_override.xml files.

	* gdk/src/gdk_docs_override.xml:
	* gtk/src/gtk_docs_override.xml: Use GTK+'s original Since: syntax here
    instead of @newin{2,*} because that is what our parser currently expects.
    Otherewise it is interpreted as a parameter name.

2010-04-07  Murray Cumming  <murrayc@murrayc.com>

    Replace some @newin2p* with @newin{2,*}.

	* gdk/src/gdk_docs_override.xml:
	* gtk/src/gtk_docs_override.xml: Replaces uses of the old @newin2p* with
    @newin{2,*} after I noticed it in generated HTML.

2010-04-06  Murray Cumming  <murrayc@murrayc.com>

    RecentAction: Fix the constructor that takes a RecentManager.

	* gtk/src/recentaction.hg: Constructor: Rename the manager parameter to
    recent_manager, so that gmmproc generates code that uses the correct
    property name.
    This fixes bug #612900 (Morten Skaaning)

2010-04-06  Murray Cumming  <murrayc@murrayc.com>

    TreeRowReference::get_model(): Correct the reference counting.

	* gtk/src/treerowreference.hg: get_model(): Add a refreturn.
    This fixes bug #611814 (Kamil Renczewski)

2010-04-03  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/gtkmm-vc80-2_4.vsprops:
	* win32_installer/gtkmm-vc80-d-2_4.vsprops:
	* win32_installer/gtkmm-vc90-2_4.vsprops:
	* win32_installer/gtkmm-vc90-d-2_4.vsprops: Remove iconv.lib which is
	no longer required by the libxml2 binary.

	* win32_installer/install-msvc-module:
	* win32_installer/gtkmm-installer.nsi.in: Update for the 2.20
	installer.

2010-04-03  Armin Burgmeier  <armin@arbur.net>

	* gtk/gtkmm.h: Ifdef out inclusion of files that are no longer
	installed on Windows.

2010-04-03  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	* MSVC_Net2008/gtkmm/gtkmm.vcproj: Add the new source files to the
	projects.

2.20.0:

2010-03-23  Murray Cumming  <murrayc@murrayc.com>

    Fix small API problems found by Jonathan Jongsma.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Add ToolPalette, ToolItemGroup,
    OffscreenWindow.
	* gtk/src/gtk_signals.defs: Add new .defs.

	* gtk/src/offscreenwindow.hg: Added const versions of get_pixbuf() and
    get_pixmap()
	* gtk/src/range.hg: Make get_slider_range() const.
	* gtk/src/spinner.hg:
	* gtk/src/toolitemgroup.hg: Add @newin tags.
	* gtk/src/toolpalette.hg: Fix a double @@ in the newin tag.
    Remove exclusive property (it is really a child property).
    Derive from (and implement) ToolShell.

2010-03-22  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/toolpalette.hg: Added a const version of get_drop_item().

2010-03-19  Murray Cumming  <murrayc@murrayc.com>

    Regenerated C documentation XML files.

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated.

2010-03-18  Murray Cumming  <murrayc@murrayc.com>

    Demo: Fix use of deprecated API.

	* configure.ac: Add PANGOMM to the list of deprecations to check for.
	* demos/Makefile.am: Add GTKMM's own deprecation defines so we don't ever use
    deprecated API in this code.
	* demos/gtk-demo/example_colorsel.cc:
	* demos/gtk-demo/example_uimanager.cc: Correct use of deprecated API.

2.19.7:

2010-03-17  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/screen.hg: Added get_primary_monitor().

2010-03-17  Murray Cumming  <murrayc@murrayc.com>

    Added some methods.

	* gdk/src/gdk_pixbuf.defs: Regenerated and moved to gdk_pixbuf_methods.defs.
    * gdk/src/filelist.am:
    * gdk/src/gdk.defs: Updated appropriately.
    * gdk/src/gdk_methods.defs: Regenerated with h2defs.py.
    * gdk/src/window.hg: Added flush().
    * gtk/src/statusbar.hg: Added get_message_area().
    * gtk/src/toolitem.hg: Added get_ellipsize_mode().
    * gtk/src/toolitemgroup.hg: Added get_label_widget().

2010-03-16  Murray Cumming  <murrayc@murrayc.com>

	ToolItem, ToolShell: Wrapped new C functions.

	* gtk/src/toolitem.hg: Added  get_text_alignment(), get_text_orientation(),
    get_text_size_group().
	* gtk/src/toolshell.hg: Added  get_text_orientation(), get_text_alignment(),
    get_ellipsize_mode(), get_text_size_group()
    * tools/m4/convert_gtk.m4: Added SizeGroup conversions.

2010-03-16  Murray Cumming  <murrayc@murrayc.com>

    Fix the build with -DGSEAL_ENABLE.

	* configure.ac: Add -DGSEAL_ENABLE to the fatal warnings.
	* gtk/gtkmm/radiobuttongroup.cc:
	* gtk/src/bin.[hg|ccg]:
	* gtk/src/box.[hg|ccg]:
	* gtk/src/buttonbox.ccg:
	* gtk/src/buttonbox.hg:
	* gtk/src/colorselection.[hg|ccg]:
	* gtk/src/fontselection.hg:
	* gtk/src/handlebox.[hg|ccg]:
	* gtk/src/inputdialog.hg:
	* gtk/src/menushell.hg:
	* gtk/src/messagedialog.ccg:
	* gtk/src/notebook.hg:
	* gtk/src/ruler.[hg|ccg]:
	* gtk/src/scrolledwindow.hg:
	* gtk/src/selectiondata.ccg:
	* gtk/src/table.hg:
	* gtk/src/tearoffmenuitem.hg:
	* gtk/src/textview.hg:
	* gtk/src/widget.[hg|ccg]: Replace uses of GSEAL()ed struct fields where
    possible by using new C functions. But some have no replacement so
    we must undef GSEAL_ENABLE in the .cpp file to keep our now-deprecated API.

	* gtk/src/printer.hg: Add get_hard_margins().
	* gtk/src/viewport.hg: Added get_bin_window().
	* gtk/src/window.[hg|ccg]: Added get_window_type(), deprecating
    get_is_toplevel() and get_is_popup(). Removed get_is_dialog() because it
    never had any implmentation, so nobody could be using it.

2010-03-10  Murray Cumming  <murrayc@murrayc.com>

    ToolPalette: Make some getter methods const.

	* gtk/src/toolpalette.hg: get_expand(), get_icon_size(): Make these const.

2010-03-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/window.[hg|ccg]: Added unset_transient_for() now that the
    documentation of the C function says that an arg can be NULL and what it means.

2010-03-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/entrybuffer.hg:
	* gtk/src/range.hg:
	* gtk/src/toolpalette.hg:
	* gtk/src/treeview.hg:
	* gtk/src/widget.hg: Correct @newin2p* to @newin{2,*}.

2.19.6:

2010-02-23  Murray Cumming  <murrayc@murrayc.com>

	Tooltip: Added Added set_icon(Gio::Icon). Regenerated signal/properties defs.

	* gtk/src/gtk_signals.defs: Regenerated (Well, copied regenerated
	parts in to it) with extra_defs_gen.
	* gtk/src/tooltip.hg: Added set_icon(Gio::Icon).

2010-02-23  Murray Cumming  <murrayc@murrayc.com>

	Added new methods to wrap new C functions.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gtk/src/paned.hg: Added get_handle_window().
	* gtk/src/widget.[hg|ccg]: get_requisition(): Reimplemented with the
	new gtk_widget_get_requisition() function.
	Added set/get_realized(), set/get_mapped() and style_attach().

2010-01-31  Murray Cumming  <murrayc@murrayc.com>

	Use Glib::wrap() instead of ->gobj().

	* gdk/src/*.ccg:
	* gtk/src/*.ccg: Use Glib::wrap() instead of ->gobj() in some places,
	so we are generally more forgiving of null RefPtrs<>, particular in case we
	have forgotten to wrap may-be-null parameters as extra method overrides.

2010-01-28  Murray Cumming  <murrayc@murrayc.com>

	Action: Undeprecate some methods.

	* gtk/src/action.hg: Do not deprecate connect_proxy(),
	disconnect_proxy(), block_activate_from() and unblock_activate_from(),
	because we cannot derive existing classes from Activatable (their
	replacement) until we can break ABI.
	Fixes bug #608109 (David Trowbridge)

2010-01-27  Murray Cumming  <murrayc@murrayc.com>

	EntryBuffer: Actually use GtkEntryBuffer.

	* gtk/src/entrybuffer.hg: Use GtkEntryBuffer, not GtkTextBuffer,
	avoiding a warning about registering the same type twice.
	Remove useless TextBuffer-relatated includes.

2010-01-27  Murray Cumming  <murrayc@murrayc.com>

	Widget: Un-deprecate get_action().

	* gtk/src/widget.hg: get_action(): Do not deprecate this because we
	cannot yet use its replacement (adding Activatable as a base class).
	Do not try to wrap a gtk_widget_get_related_action() function which
	no longer exists, if it ever did.
	* gtk/src/activatable.hg: Add a TODO to use this, though we
	already have TODOs on the widgets that should use it when we can break
	ABI.

2.19.4:

2010-01-25  Murray Cumming  <murrayc@murrayc.com>

	Range, StatusIcon: Added new methods.

	* gtk/src/gtk_methods.defs: Regnerated with h2defs.py
	* gtk/src/range.[hg|ccg]: Added get/set_slider_size_fixed(),
	get/set_min_slider_size(), get_slider_range(), get_range_rect().
	* gtk/src/statusicon.hg: Added set_name()

2010-01-25  Murray Cumming  <murrayc@murrayc.com>

	Added EntryBuffer and used it in the Entry API.

	* gtk/src/entrybuffer.[hg|cc]: Added EntryBuffer. GtkEntryBuffer was
	actually added to GTK+ 2.18, but we didn't wrap it until now.
	* gtk/src/entry.hg: Aded get/set_buffer(), propery, and new constructor.

2010-01-25  Murray Cumming  <murrayc@murrayc.com>

	Entry: Added get_text_window() and get_icon_window().

	* gtk/src/entry.hg: Added get_text_window() and get_icon_window().

2010-01-19  Murray Cumming  <murrayc@murrayc.com>

	Updated gtk_docs.xml to get API reference for new methods.

	* gtk/src/gtk_docs.xml: Regnerated with docextract_to_xml.py.

2010-01-19  Murray Cumming  <murrayc@murrayc.com>

	Wrapped some new GTK+ functions.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gtk/src/action.hg: Added get/set_always_show_image() and property.
	* gtk/src/fontselection.hg: Added get_family_list(), get_face_list(),
	get_size_list(). Reimplemented get_size_entry() and get_preview_entry()
	using new functions instead of struct fields.
	Added get_family() and get_face().
	* tools/m4/convert_pango.m4: Added necessary FontFace and FontFamily
	conversions.
	* gtk/src/printcontext.hg: Added get_hard_margins().
	* gtk/src/widget.[hg|ccg]: Added has_rc_style(), wrapping the new C function,
	deprecating rc_style().
	* gtk/src/window.hg: Added get_icon_name() and icon_name property.
	* gtk/src/toolpalette.hg: set_drag_source(), add_drag_dest():
	Add suitable default parameter values.

2010-01-16  Murray Cumming  <murrayc@murrayc.com>

	ToolItemGroup: Slight API improvements.

	* gtk/src/toolitemgroup.[hg|ccg]: Added insert() with no position parameter.
	get_item_position(): Made this const.

2010-01-14  Murray Cumming  <murrayc@murrayc.com>

	Added OffscreenWindow. Added Window::get/set_mnemonics_visible().

	* gtk/src/offscreenwindow.[hg|ccg]: Added this, wrapping
	GtkOffscreenWindow.
	* gtk/gtkmm.h: Include offscreenwindow.h.
	* gtk/src/window.hg: Added get/set_mnemonics_visible().
	Added mnemonics, accept-focus, and focus-on-map properties.

2010-01-14  Murray Cumming  <murrayc@murrayc.com>

	Fix build with latest GTK+.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gtk/src/toolpalette.hg: Fix the build with latest GTK+.
	* tools/m4/convert_gtk.m4: Added necessary conversions.

2010-01-05  Murray Cumming  <murrayc@murrayc.com>

	Deprecate some methods that wrap deprecated C functions.

	* gtk/src/button.hg:
	* gtk/src/notebook.[hg|ccg]:
	* gtk/src/recentmanager.hg:
	* gtk/src/scalebutton.hg:
	* gtk/src/widget.[hg|ccg]: Deprecate some more methods, noticed in the
	gtkmm-3maybe branch, where there are no undefs.

2.19.2:

2010-01-04  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with new GTK+ deprecations, when using fatal warnings.

	* gtk/src/button.hg: Use undef to fix the build with deprecated
	gtk_button_clicked() and friends. Deprecate the C++ methods.
	* gtk/src/fixed.hg:  Use undef to fix the build with deprecated
	gtk_fixed_set_has_window() and gtk_fixed_get_has_window().
	Deprecate the C++ methods.
	* gtk/src/filelist.am:
	* gtk/src/curve.hg:
	* gtk/src/inputdialog.hg: Use undef to fix the build now that these are
	deprecated in GTK+. Deprecate it in gtkmm.

2009-12-30  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Window::get_default_root_window(): Correct the reference counting.

	* gdk/src/window.hg: get_default_root_window(): Use refreturn to
	correct ref the result.
	Bug #603852 (Mikko Rasa).

2009-12-22  Murray Cumming  <murrayc@murrayc.com>>

	Added and used ToolItemGroup.

	* gtk/src/toolitemgroup.[hg|ccg]: Added this GtkToolItemGroup wrapper.
	* gtk/src/toolitem.hg: Use ToolItemGroup instead of Widget.
	See https://bugzilla.gnome.org/show_bug.cgi?id=567729#c37

2009-12-21  Murray Cumming  <murrayc@murrayc.com>

	ToolPalette: Added drag methods.

	* tools/m4/convert_gtk.m4:
	* gtk/src/toolpalette.hg: Added get_drag_item(), get_drag_target_item(),
	and get_drag_target_group().

2009-12-17  Krzesimir Nowak  <qdlacz@gmail.com>

	* gtk/gtkmm/border.h: Created separate header file for Gtk::Border.
	It contains a typedef and Glib::Value specialization for Gtk::Border.
	* gtk/gtkmm/filelist.am: Add border.h to gtkmm_files_extra_h.
	* gtk/src/entry.hg: Remove Gtk::Border typedef and include border.h.
	* gtk/src/range.hg: get_range_border() vfunc now uses Gtk::Border*
	instead of GtkBorder*. Written proper conversions for this.
	* gtk/gtkmm.h: Include the new border.h header.

2009-12-17  Murray Cumming  <murrayc@murrayc.com>

	Added ToolPalette.

	* gtk/src/gtk_enums.defs: Regenerated with enums.pl.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/toolpalette.[hg|ccg]: An initial wrapper for GtkToolPalette.
	* gtk/gtkmm.h: Include the new toolpalette.h header.

2009-12-16  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/translations/english.nsh:
	* win32_installer/translations/french.nsh:
	* win32_installer/translations/simpchinese.nsh: Added a new string
	recommending to choose a path not containing spaces for pkg-config to
	work.

	* win32_installer/gtkmm-installer.nsi.in: Show that string on the
	installation directory page. Also remove libxml2 and libgail-util
	documentation shortcuts from start menu on uninstall, and added
	pangommconfig.h and fontconfig.pc to the installer.

2009-12-10  Krzesimir Nowak  <qdlacz@gmail.com>

	* gdk/src/window.hg: Remove extra colons at offscreen methods
	to avoid warnings.

2009-12-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	Make build successful when exceptions, vfuncs, etc. are disabled.

	* gtk/src/builder.hg:
	* gtk/src/builder.ccg: Included definitions and code for Glib::Error
	methods for when exceptions are disabled.
	(get_type_from_name_vfunc_callback): Wrap around #ifdefs for when
	vfuncs are not enabled.
	* gtk/src/menushell.ccg:
	* gtk/src/menushell.hg: Removed unneeded #endif and #ifdefs.
	(MenuShell_Class::insert_vfunc_callback):  Wrap around #ifdefs for
	when vfuncs are not enabled.

2009-12-03  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Window: Add get/set_offscreen_embedder() and get_offscreen_pixmap().

	* gdk/src/window.hg: Add get/set_offscreen_embedder() and
	get_offscreen_pixmap(), suggested by Oscar Lazzarino.

2009-11-27  Benjamin Herr  <ben@0x539.de>

	Gdk::PixbufAnimationIter: Make the methods public.

	* gdk/src/pixbufanimationiter.hg: Made get_delay_time(), get_pixbuf(),
	on_currently_loading_frame() and advance() public instead of
	protected, as is necessary to actually use them.
	Bug #598484.

2009-11-27  Debarshi Ray  <debarshi.ray@gmail.com>

	Added Dialog::get_widget_for_response().

	* gtk/src/dialog.hg: Added get_widget_for_response(), wrapping
	gtk_dialog_get_widget_for_response().
	* gtk/src/gtk_methods.defs: Added the C function definition.
	Bug #600411.

2009-11-27  Debarshi Ray  <debarshi.ray@gmail.com>

	Add CellRendererSpin and Spinner.

	* gtk/src/cellrenderspin.[hg|ccg]:
	* gtk/src/spinner.[hg|ccg]: New files, wrapping new C API.
	* gtk/src/gtk_methods.defs:
	* gtk/src/gtk_signals.defs:
	* tools/extra_defs_gen/generate_defs_gtk.cc: Add new definitions of the
	C API.
	* gtk/gtkmm.h: Include the new headers.
	* configure.ac: Require a newer version of GTK+.
	Bug #598715.

This is the master branch. See also the gtkmm-2-18 branch.

2009-10-30  Murray Cumming  <murrayc@murrayc.com>

	VPaned documentation now says that it's vertical.

	* gtk/src/paned.hg: Correct the VPaned documentation to say that it
	is vertical rather than horizontal. Fixes bug #598653 (merenyi).

2009-10-27  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/gtkmm-installer.nsi.in: Add a bunch of new include
	files in the GTK+ bundle to the installer, as well as gail.pc.

2009-10-27  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	* MSVC_Net2008/gtkmm/gtkmm.vcproj: Added infobar.{h,cc} to the
	project.

	* win32_installer/build-installer: Don't copy /bundle/contrib since
	this does not exist anymore in more recent GTK+ bundles.

	* win32_installer/install-msvc-module:
	* win32_installer/gtkmm-installer.nsi.in: Update for GTK+ 2.18 and
	gtkmm 2.18.

2009-10-18  Daniel Elstner  <daniel.kitta@gmail.com>

	Correct Gtk::TreeModelColumnRecord documentation

	* gtk/gtkmm/treemodelcolumn.h (Gtk::TreeModelColumnRecord): Remove
	bogus sentence vaguely cautioning against the use of static variables
	to implement singletons.  Reword the preceding sentence to avoid this
	sort of misunderstanding.

2009-10-13  David King  <davidk@openismus.com>

	* gtk/src/dialog.hg: Change return type of
	Gtk::Dialog::get_action_area() to Gtk::ButtonBox* from Gtk::HButtonBox*
	to fix breakage on Maemo Fremantle. Fixes bug #597779.
	* tools/m4/convert_gtk.m4: New conversion from GtkWidget* to
	Gtk::ButtonBox*.

2009-10-04  Daniel Elstner  <daniel.kitta@gmail.com>

	Increment version to 2.18.2 and update news

	* configure.ac (AC_INIT): Increment version to 2.18.2.
	(LIBGTKMM_SO_VERSION): Reset revision and increment current and
	age to indicate that API has been added to the library.
	({ATK,GDK,GTK}MM_MODULES): Tighten module version requirements
	to the recent stable releases of every module.
	(MM_PREREQ): Require mm-common 0.8.
	* NEWS: Write news entry for the gtkmm 2.18.2 release.

2009-10-04  Daniel Elstner  <daniel.kitta@gmail.com>

	Resurrect Widget::can_default() and can_focus()

	* gtk/src/widget.{ccg,hg} (Gtk::Widget::can_default): Wrap using
	_WRAP_METHOD(), thereby reintroducing the accidentally removed
	method implementation.
	(can_focus): Use _WRAP_METHOD() to bring back both the declaration
	and the implementation of this accidentally removed method.
	(get_allocation): Properly implement the accessor in terms of
	gtk_widget_get_allocation().

2009-09-22  José Alburquerque  <jaalburqu@svn.gnome.org>

	gtkmm.h: Add infobar.h to list of includes.

	* gtk/gtkmm.h: Add infobar.h.

2.18.1:

2009-09-21  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/recentmanager.hg: Do not deprecate get_default().
	This was a mistake in Daniel's commit on 2009-09-18.

2.18.0:

2009-09-21  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs.xml: Regenerated.

2009-09-21  Murray Cumming  <murrayc@murrayc.com>

	Regenerate enums .defs.

	* gdk/src/gdk_enums.defs:
	* gtk/src/gtk_enums.defs: Regenerated.
	This adds a Gdk::CURSOR_BLANK, as requested in bug #591029 (Hammered).

2009-09-21  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/style.hg: get_style_property(): Use const_cast to maybe
	avoid a (correct) compiler error with the Intel C++ compiler.
	Bug #594171 (Alexander Shaduri).

	* gdk/src/gdk_methods.defs: Comment out an unused broken definition.

2009-09-19  Daniel Elstner  <daniel.kitta@gmail.com>

	Support Automake silent rules

	* configure.ac: Call the AM_SILENT_RULES macro if it is defined.
	(MM_INIT_MODULE): Move block below Automake initialization.
	* autogen.sh: Pass --verbose option to autoreconf.

2009-09-18  Daniel Elstner  <danielk@openismus.com>

	Fix build with deprecated C API disabled

	* tools/extra_defs_gen/generate_defs_gtk.cc: Undefine the macros
	{ATK,GDK,GTK}_DISABLE_DEPRECATED before including the GTK+ headers,
	so that all extra defs can be generated even in fatal warnings mode.
	* {atk,gdk,gtk}/src/*.hg: For all source files which contain calls
	to deprecated functions of the C API, inject an #undef preprocessor
	statement before any header includes to make the deprecated API
	visible when building gtkmm itself.  Mark C++ methods as deprecated
	where appropriate, but generally only when a replacement is already
	available.  Also correct a lot of whitespace errors along the way.

2009-09-18  Daniel Elstner  <danielk@openismus.com>

	Insert missing Autoconf macro argument separator

	* configure.ac (GTKMM_WXXFLAGS): Insert the missing argument
	separator between the third and fourth macro arguments.  This
	means the deprecation macros are now defined correctly again
	when building in fatal warnings mode.

2009-09-17  Daniel Elstner  <danielk@openismus.com>

	Update Doxygen configuration for Doxygen 1.6.1

	* docs/reference/Doxyfile.in: Update configuration for Doxygen 1.6.1.
	(SORT_MEMBERS_CTORS_1ST): Set to YES.

2009-09-17  Murray Cumming  <murrayc@murrayc.com>

	Require a recent pangomm.

	* configure.ac: Require a recent pangomm version, because gtkmmconfig.h
	now requires the new pangommconfig.h. This was a (correct) side-effect
	of using the new mm-common build system, I think. Bug #593049
	(Frederic Peters).

2009-09-15  Daniel Elstner  <danielk@openismus.com>

	Correct misuse of container handle (bgo #586626)

	* gtk/src/clipboard.{ccg,hg} (Clipboard::wait_for_targets): Create
	an intermediate array of allocated C strings and transfer ownership
	on return, instead of trying to returned a handle to a container
	with local scope.  (Based on patch by Peter Clifton.)
	(SignalProxy_TargetsReceived_gtk_callback): Correct another misuse
	of the container handles similar to the above, except for the crash.
	(SignalProxy_RichTextReceived_gtk_callback): Simplify the code and
	plug a memory leak in the event of an exception.

2009-09-07  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/window.hg: Added set_icon_name().

2009-09-07  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/enums.hg: Include gtkmmconfig.h because we use
	 GTKMM_MAEMO_EXTENSIONS_ENABLED.

2.17.11:

2009-09-06  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/infobar.hg: Added class documentation.

2009-09-06  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Window: Wrapped new methods.

	* gdk/src/gdk_methods.defs: Regenerated.
	* gdk/src/window.[hg|cc]: Added redirect_to_drawable(),
	remove_redirection(), geometry_changed(), get_root_coords(), restack().

2009-09-06  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/widget.[hg|ccg]: Put the usual ifdefs around the newly
	deprecated methods.

2009-09-06  Murray Cumming  <murrayc@murrayc.com>

	Added new getters and a setter.

	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/range.hg: Added get/set_flippable.
	* gtk/src/widget.[hg]: Added get_is_toplevel(), get_is_drawable(),
	get/set_receives_default(), wrapping the new C functions,
	deprecating the hand-coded non get-prefixed versions.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Increment version to 2.17.9.3 and update news

	* configure.ac (AC_INIT): Bump version number to 2.17.9.3.
	* NEWS: Write news entry for gtkmm 2.17.9.3.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Fix documentation location in pkg-config files

	* {atk,gdk,gtk}/{atk,gdk,gtk}mm{,-uninstalled}.pc.in (htmlrefpub):
	Point to library.gnome.org.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Increment version to 2.17.9.2 and update news

	* configure.ac (AC_INIT): Bump version number to 2.17.9.2.
	* NEWS: Write news entry for gtkmm 2.17.9.2.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Remove documentation location override

	* docs/Makefile.am (htmlrefpub): Remove variable override as
	the documentation is now hosted on library.gnome.org.  D'oh.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Increment version to 2.17.9.1 and update news

	* configure.ac (AC_INIT): Bump version number to 2.17.9.1.
	(AM_INIT_AUTOMAKE): Enable check-news option.
	(MM_PREREQ): Require mm-common 0.7.1.
	* NEWS: Write news entry for gtkmm 2.17.9.1.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Use shared mm-common Doxygen style sheet

	* configure.ac (MM_PREREQ): Require mm-common 0.7.
	* docs/reference/Doxyfile.in (HTML_STYLESHEET): Assign path
	to the shared doxygen.css provided by mm-common.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Remove header and footer HTML fragments

	* docs/reference/gtkmm_{header,footer}.html_fragment: Delete
	files.  These custom fragments were an unnecessary maintenance
	hassle.  Also, the files were out of date with respect to the
	encoding and CSS classes used by Doxygen.
	* docs/reference/Doxyfile.in (HTML_HEADER), (HTML_FOOTER): Set
	to the empty string.
	(PROJECT_NUMBER): Substitute @PACKAGE_VERSION@.  It does look
	nicer in the generated HTML pages, and is probably also less
	confusing.
	(SORT_GROUP_NAMES): Enable for predictability.
	* docs/Makefile.am (dist_noinst_DATA): Remove deleted HTML
	fragment files.

2009-08-26  Daniel Elstner  <danielk@openismus.com>

	Reenable hierarchy graphs for each class

	* docs/reference/Doxyfile.in (COLLABORATION_GRAPH): Set option
	to YES to enable the per-class inheritance graphs.

2.17.9:

2009-08-25  Daniel Elstner  <danielk@openismus.com>

	RecentInfo: Correct get_application_info() so it can actually be used.

	* gtk/src/recentinfo.[hg|ccg]: get_application_info(): Correct the
	app_exec parameter to a Glib::ustring& instead of a
	Glib::StringArrayHandle& app_exec. This method could not have been
	used before without crashing so this is not a real ABI break.
	equal(): Reimplement with _WRAP_METHOD() instead of hand-coding.
	get_applications(), get_length(): Make the implementations more robust
	by using the length parameter.

	Bug #590381

2009-08-25  Murray Cumming  <murrayc@murrayc.com>

	Regenerated C documentation XML and wrapped some new API.

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated.
	* gtk/src/printoperation.hg: Added update_custom_widget signal.
	* gtk/src/statusicon.hg: Added get/set_title() and property.

2009-08-24  Murray Cumming  <murrayc@murrayc.com>

	Fix an API break.

	* gtk/src/widget.[hg|cc]: Add back is_visible(), deprecated, calling
	get_visible().

2009-08-24  Murray Cumming  <murrayc@murrayc.com>

	Widget, CellRenderer, PrintUnixDialog: Wrapped some new functions.

	* gtk/src/cellrenderer.hg: Added get/set_alignment(),
	get/set_padding(), get/set_visible(),
	get/set_sensitive().
	* gtk/src/cellrenderertoggle.hg: Added set/get_activatable().
	* gtk/src/filechooser.hg: Added get/set_create_folders() and property.
	* gtk/src/label.hg: Added get/set_track_visited_links() and property.
	* gtk/src/menu.hg: Added get/set_reserve_toggle_size() and property.
	* gtk/src/printunixdialog.hg: Added set/get_support_selection(),
	set/get_support_selection(), set/get_has_selection(),
	set/get_embed_page_setup(), s/get_embed_page_setup(), and
	get_page_setup_set().
	* gtk/src/widget.[hg|ccg]:
	is_sensitive(), can_focus(), has_focus(), has_grab(), has_default(),
	is_visible(): Reimplement with new gtk_widget_*() functions.
	sensitive(), double_buffered(), app_paintable(), can_default():
	Deprecated in favour of new get_*() methods.
	Added get/set_has_window().

2009-08-24  Murray Cumming  <murrayc@murrayc.com>

	Regenerated the main .defs files.

	* gtk/src/gtk_enums.defs:
	* gtk/src/gtk_methods.defs:
	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkInfoBar.
	* gtk/src/gtk_signals.defs: Regenerated
	* gtk/src/infobar.hg: response signal: Added the parameter.
	* gtk/src/printoperation.hg: Added get/set_embed_page_setup() and
	get_n_pages_to_print() and properties.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Rename @since back to @newin

	* docs/reference/Doxyfile.in (ALIASES): Rename the @since alias
	back to its old name @newin, but otherwise keep the parameters.
	Apparently there is a @since command predefined in Doxygen which
	I hadn't noticed.  It does seem to get overridden silently, but
	it is better not to rely on this.
	* g[dt]k/src/*.hg, g[dt]k/g[dt]kmm/*.h: Replace all uses of @since
	with @newin.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Do not hard-code API version in resource files

	* MSVC_Net200[58]/atkmm/atkmm.rc.in: Use newer @PACKAGE_VERSION@
	substitution in place of @VERSION@.  Substitute @ATKMM_MODULE_NAME@
	instead of hardcoding the API version.  Replace @GTKMM_*_VERSION@
	substitutions with their @ATKMM_*_VERSION@ equivalents.
	* MSVC_Net200[58]/gdkmm/gdkmm.rc.in: Use newer @PACKAGE_VERSION@
	substitution in place of @VERSION@.  Substitute @GDKMM_MODULE_NAME@
	instead of hardcoding the API version.  Replace @GTKMM_*_VERSION@
	substitutions with their @GDKMM_*_VERSION@ equivalents.
	* MSVC_Net200[58]/gtkmm/gtkmm.rc.in: Use newer @PACKAGE_VERSION@
	substitution in place of @VERSION@.  Substitute @GTKMM_MODULE_NAME@
	instead of hardcoding the API version.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Substitute API version in filenames dynamically

	* atk/atkmm.pc.in: Rename file from atk/atkmm-1.6.pc.in.
	* atk/atkmm-uninstalled.pc.in: Rename file from
	atk/atkmm-1.6-uninstalled.pc.in.
	* gdk/gdkmm.pc.in: Rename file from gdk/gdkmm-2.4.pc.in.
	* gdk/gdkmm-uninstalled.pc.in: Rename file from
	gdk/gdkmm-2.4-uninstalled.pc.in.
	* gtk/gtkmm.pc.in: Rename file from gtk/gtkmm-2.4.pc.in.
	* gtk/gtkmm-uninstalled.pc.in: Rename file from
	gtk/gtkmm-2.4-uninstalled.pc.in.
	* configure.ac (AC_CONFIG_FILES): Insert ${ATKMM_MODULE_NAME},
	${GDKMM_MODULE_NAME} and ${GTKMM_MODULE_NAME} into output filenames
	and remove the hard-coded version from the input filenames.
	* {atk,gdk,gtk}/{atk,gdk,gtk}mm/Makefile.am (lib_LTLIBRARIES):
	Substitute @{ATK,GDK,GTK}MM_API_VERSION@ into the libtool archive
	names as well as the variable names derived from them instead of
	hard-coding the API versions.

2009-08-19  Daniel Elstner  <danielk@openismus.com>

	Predefine ATKMM_API and GDKMM_API for Doxygen

	* docs/reference/Doxyfile.in (PREDEFINED): Define the ATKMM_API and
	GDKMM_API macros to the empty expansion, so they won't show up in
	the generated documentation.

2009-08-18  Daniel Elstner  <danielk@openismus.com>

	Use parametric Doxygen alias @since{m,n}

	* docs/reference/Doxyfile.in (ALIASES): Define a parametrized alias
	@since{major,minor} to replace the old @newin?p?* aliases which had
	to be defined manually for every version number used.
	* g[dt]k/src/*.hg, g[dt]k/g[dt]kmm/*.h: Change all occurrences of
	@newin?p?* to @since{m,n}.

2009-08-17  Daniel Elstner  <danielk@openismus.com>

	Define {ATK,GDK,GTK}MM_BUILD macros

	* atk/atkmm/Makefile.am (local_cppflags): Append -DATKMM_BUILD=1.
	* gdk/gdkmm/Makefile.am (local_cppflags): Append -DGDKMM_BUILD=1.
	* gtk/gtkmm/Makefile.am (local_cppflags): Append -DGTKMM_BUILD=1.

2009-08-17  Daniel Elstner  <danielk@openismus.com>

	Make use of new MM_DISABLE_DEPRECATED_API macro

	* configure.ac ({ATK,GDK,GTK}MM_DISABLE_DEPRECATED): Call the
	new MM_ARG_DISABLE_DEPRECATED_API macro from mm-common in
	order to provide the option to omit deprecated API from the
	library build, and to define the corresponding configuration
	macros.

2009-08-17  Daniel Elstner  <daniel.kitta@gmail.com>

	Append slash to overridden $(htmlrefpub)

	* docs/Makefile.am (htmlrefpub): Append trailing slash for
	consistency with the non-overridden value.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Define *_DISABLE_DEPRECATED in config header

	* configure.ac ({ATK,GDK,GTK}MM_DISABLE_DEPRECATED): Go back to
	AC_DEFINE() instead of setting DISABLE_DEPRECATED_API_CFLAGS to
	a list of -D options to pass to the compiler.
	* gdk/gdkmmconfig.h.in (GDKMM_DISABLE_DEPRECATED): Copy #undef
	statement from the config.h.in generated by autoheader.
	* gtk/gtkmmconfig.h.in (GTKMM_DISABLE_DEPRECATED): ditto.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Add missing gdkmm dependency to pkg-config file

	* gtk/gtkmm-2.4.pc.in (Requires): List @GDKMM_MODULE_NAME@ as
	a dependency, since it is not among @GTKMM_MODULES@ already.
	* gtk/gtkmm-2.4-uninstalled.in (Requires): Use @GTKMM_MODULES@
	again instead of @GDKMM_MODULES@.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Update and clean up g[dt]kmmconfig.h

	* gdk/gdkmmconfig.h.in (GDKMM_*_VERSION): Add #undef statements
	for the version number component macros.
	* gtk/gtkmmconfig.h.in: Clean up and copy #undef statements from
	the config.h.in file generated by autoheader.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Provide pkg-config files for uninstalled use

	* atk/atkmm-1.6-uninstalled.pc.in: New pkg-config metadata file
	for building against a non-installed library.
	* gdk/gdkmm-2.4-uninstalled.pc.in: ditto,
	* gtk/gtkmm-2.4-uninstalled.pc.in: ditto.
	* configure.ac (GTKMM_REQ_ATKMM): Rename from GTKMM_PC_ATKMM_DEP.
	(GTKMM_REQ_ATKMM_UNINST): Add variant for the uninstalled library.
	(AC_CONFIG_FILES): List new *-uninstalled.pc output files.
	* gtk/gtkmm-2.4.pc.in (Requires): Substitute @GTKMM_REQ_ATKMM@.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Simplify and update for recent mm-common

	* configure.ac: Insert MM_PREREQ([0.4]) macro call.
	(MM_INIT_MODULE): Omit now optional second argument.
	* atk/atkmm-1.6.pc.in, {gdk,gtk}/{gdk,gtk}mm-2.4.pc.in (htmlrefpub):
	Append trailing slash to URL, as per new mm-common recommendation.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Get rid of obsolete GLIBMM_USING_STD()

	* gtk/gtkmm/treemodelcolumn.h: Stop using GLIBMM_USING_STD(), now
	that it has been removed from glibmm.
	* gtk/src/{textbuffer,treeiter,treepath}.hg: ditto.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Rename scripts/ to build/ for consistency

	* build/: Rename directory from scripts/ for consistency with the
	other binding modules that switched to the new build system.
	* configure.ac (AC_CONFIG_AUX_DIR): Change to build/ directory.
	(AC_CONFIG_MACRO_DIR): ditto.
	* Makefile.am (ACLOCAL_AMFLAGS): Include M4 files from build/.
	* {atk,gdk,gtk}/*/Makefile.am: Include mm-common build files from
	$(top_srcdir)/build/.
	* docs/Makefile.am: ditto.

2009-08-13  Daniel Elstner  <daniel.kitta@gmail.com>

	Reference new canonical name of cairomm tag file

	* configure.ac (cairomm-1.0.tag): Change from cairomm_doxygen_tags
	to the new canonical name of the cairomm tag file.

2009-08-13  Daniel Elstner  <daniel.kitta@gmail.com>

	Distribute gtk/gtkmm/wrap_init.h

	* gtk/gtkmm/filelist.am (gtkmm_files_extra_h): List wrap_init.h.

2009-08-13  Daniel Elstner  <daniel.kitta@gmail.com>

	Clean up remaining cruft in scripts/

	* Makefile.am (DIST_SUBDIRS): Remove the explicit assignment, and
	have Automake figure it out for itself.
	* configure.ac (AC_CONFIG_FILES): Remove scripts/Makefile output
	file.  Merge the remaining output files into one list, and clean
	up a bit.
	* scripts/Makefile.am: Delete now unused build file.
	* scripts/README: Delete unhelpful text file.
	* scripts/{cxx,cxx_std,dk-warn,docgen,macros}.m4: Delete outdated
	and no longer used Autoconf macro files.

2009-08-12  Daniel Elstner  <daniel.kitta@gmail.com>

	Convert tests/ to non-recursive build

	* configure.ac (AC_CONFIG_FILES): Remove tests/*/Makefile ouputs.
	* tests/Makefile.am: Overhaul, modernize and make non-recursive.
	Build the test program targets on make check instead of make all.
	* tests/*/Makefile.am: Delete now unused build files.
	* tests/Makefile.am_fragment: ditto.
	* docs/Makefile_web.am_fragment: Delete left-over file.

2009-08-12  Daniel Elstner  <daniel.kitta@gmail.com>

	Remove duplicate image files for pixbuf-demo

	* demos/pixbuf-demo.cc: Clean up a few minor things.
	(background_name), (image_names): Prefix "gtk-demo/" to the file
	names so that it can pick up the files from the subdirectory.
	* demos/Makefile.am (dist_democode_DATA): Split into two variables
	$(democode_DATA) and $(dist_democode_DATA) to avoid copying source
	code files twice into the distribution.
	* demos/background.jpg, demos/*.png: Delete duplicate image files.

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Bring back demos/ and make it non-recursive

	* configure.ac (AC_CONFIG_FILES): Add output file demos/Makefile.
	* Makefile.am (SUBDIRS): Recurse into demos/ subdirectory again.
	* demos/Makefile.am: Overhaul, modernize and make non-recursive.
	Build the demo program targets on make check instead of make all.
	Install all gtkmm-demo source files, as there is little point in
	not shipping the full compilable set.  Stop installing gtkmm-demo
	for now.  Do we really need this installed?
	* demos/gtk-demo/Makefile.am: Delete now unused file.

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Fix GLIBMM vs GTKMM typo

	* gtk/gtkmm/Makefile.am (AM_CXXFLAGS): It's $(GTKMM_WXXFLAGS).

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Un-invert DISABLE_DEPRECATED_API conditional

	* configure.ac (DISABLE_DEPRECATED_API): Invert the accidentally
	reversed test condition for AM_CONDITIONAL().

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Remove header dependency of gdkmm on gtkmm

	* gdk/src/dragcontext.hg: Remove #include <gtkmm/stockid.h>, which
	appears to have been left over from an earlier change to avoid the
	dependency.  The problem got caught due to the shortened include
	paths of the new build setup.  Also get rid of a pointless forward
	declaration of Gtk::Widget.

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Correct tag reference to pangomm

	* configure.ac (MM_ARG_WITH_TAGFILE_DOC): The module name of the
	current pangomm API is pangomm-1.4, not pangomm-2.4.  Ooops.

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Convert documentation to new build system

	* configure.ac (MM_ARG_ENABLE_DOCUMENTATION): Call macro.
	(MM_ARG_WITH_TAGFILE_DOC): Call once for each tagfile dependency.
	(AC_CONFIG_FILES): Remove output files docs/images/Makefile and
	docs/reference/**/Makefile from the list.
	* Makefile.am (SUBDIRS): Include docs/ conditionally.
	* docs/Makefile.am: Rewrite based upon the new doc-reference.am
	build support file from the mm-common module.
	* docs/reference/Doxyfile.in: Replace with modernized Doxygen
	configuration and adapt to the new mm-common build organization.
	* docs/images/Makefile.am: Delete old recursive build file.
	* docs/reference/Makefile.am: ditto,
	* docs/reference/reference/Makefile.am: ditto,
	* docs/reference/images/Makefile.am: ditto,
	* docs/reference/images/widgets/Makefile.am: ditto.
	* atk/atkmm-1.6.pc.in, gdk/gdkmm-2.4.pc.in, gtk/gtkmm-2.4.pc.in:
	Overhaul and make use of more configuration substitutions.  Provide
	the locations of the reference documentation and the tag file.

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Convert main source directories to mm-common

	* configure.ac: Get rid of some more cruft we no longer need.
	(DISABLE_DEPRECATED_API): Add Automake conditional.
	(AC_CONFIG_FILES): Remove tools/{m4,extra_defs_gen}/Makefile and
	{atk,gdk,gtk}/{atk,gdk,gtk}mm/private/Makefile.
	* tools/Makefile.am: Non-recursively build the contents of all
	subdirectories.
	* tools/m4/filelist.am: Overhaul for new build system and rename
	file from Makefile_list_of_sources.am_fragment to filelist.am.
	* tools/Makefile_list_of_sources.am_fragment: Delete file.
	* tools/extra_defs_gen/Makefile.am: Delete recursive Makefile.
	* tools/m4/Makefile.am: ditto.
	* tools/README, tools/TODO: Delete unhelpful and obsolete files.
	* {atk,gdk,gtk}/src/filelist.am: Adapt file lists to new mm-common
	build organization and rename from Makefile_list_of_hg.am_fragment
	to filelist.am.
	* {atk,gdk,gtk}/{atk,gdk,gtk}mm/filelist.am: New files defining the
	lists of source files to compile and include in the libraries.
	* {atk,gdk,gtk}/src/Makefile.am: Rewrite based upon the new build
	support files from mm-common.
	* {atk,gdk,gtk}/{atk,gdk,gtk}mm/Makefile.am: ditto.
	* {atk,gdk,gtk}/{atk,gdk,gtk}mm/private/Makefile.am: Delete files.
	* build_shared/*.am_fragment: Delete obsolete build support files.

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Do not recurse into MSVC or NSI subdirectories

	* configure.ac (AC_CONFIG_FILES): Remove the output files
	MSVC_Net200[58]/**/Makefile and win32_installer/**/Makefile.
	(AC_CONFIG_COMMANDS): Append custom commands to config.status to
	copy the generated header files into the MSVC subdirectories.  Do
	the same for COPYING, which is copied to win32_installer/lgpl.txt.
	* MSVC_Net200[58]/filelist.am: New Automake include files.
	* win32_installer/filelist.am: New Automake include file.
	* Makefile.am: Include the file lists MSVC_Net200[58]/filelist.am
	and win32_installer/filelist.am.
	(SUBDIRS): Do not recurse into MSVC_Net200[58]/ or win32_installer/
	subdirectories.
	(dist_noinst_DATA): Distribute the MSVC and Windows installer data
	files from here.
	(DISTCLEANFILES): Delete file copies from subdirectories.
	* MSVC_Net200[58]/**/Makefile.am: Delete now unused build files.
	* win32_installer/**/Makefile.am: ditto.
	* win32_installer/gtkmm-installer.nsi.in (PRODUCT_API_VERSION):
	Substitute @GTKMM_API_VERSION@ and remove the TODO comment.
	(PRODUCT_VERSION): Substitute @PACKAGE_VERSION@.
	* win32_installer/install-msvc-module: Fix the incorrectly applied
	shell quoting throughout the file.  Replace cascade of 'if test'
	and 'elif test' constructs with a straightforward 'case ... in'.

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Skip over intermediate subdir in recursion

	* configure.ac (AC_CONFIG_FILES): Remove {atk,gdk,gtk}/Makefile.
	(AC_CONFIG_HEADERS): Bring back gdkmmconfig.h.
	* Makefile.am (SUBDIRS): Skip over {atk,gdk,gtk}/ and recurse
	directly into {atk,gdk,gtk}/src and {atk,gdk,gtk}/{atk,gdk,gtk}mm.
	Reorganize the conditional inclusion of atkmm in the build.
	({atk,gdk,gtk}mm_include_HEADERS): Install *mm.h central headers.
	(nodist_g[dt]kmm_libinclude_HEADERS): Install *mmconfig.h headers.
	(nodist_pkgconfig_DATA): Install pkg-config metadata files.
	* {atk,gdk,gtk}/Makefile.am: Delete now unused files.
	* {atk,gdk,gtk}/README: Delete either empty or unhelpful files.

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Begin transition to mm-common build system

	* autogen.sh: Replace with minimal script already used in pangomm,
	only invoking mm-common-prepare, autoreconf and configure.
	* configure.ac: Overhaul and remove large chunks of unnecessary,
	inappropriate or broken tests and actions.  Start using shared
	macros from mm-common to simplify matters.  Insert some dummy
	substitutions and Automake conditional to keep the tree building.
	* Makefile.am (ACLOCAL_AMFLAGS): Define for autoreconf to work.
	(SUBDIRS): Temporary adjustments to keep the tree building.
	* config.h.in: Delete file, and have autoheader generate it.

2009-07-31  Johannes Schmid <jschmid@openismus.com>

	* gtk/src/builder.hg:
	* gtk/src/builder.ccg:
	#590353 - GtkBuilder header is inconsistent in exception/error handling

2009-07-23  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Builder: Fix a crash when the widget is not found.

	* gtk/src/builder.ccg: get_widget_checked(): Prevent a crash if the widget
	was not found by GtkBuilder.
	Bug #589267 (Alexander Shaduri)

2.17.2:

2009-07-13  Murray Cumming  <murrayc@murrayc.com>

	Fixed the build.

	* tools/m4/convert_gtk.m4: Added conversions now needed in gdk/src/pixbuf.hg.

2009-07-08  Daniel Elstner  <danielk@openismus.com>

	Correct base type check in Container_Class::remove_callback()

	* gtk/src/container.ccg (Gtk::Container_Class::remove_callback):
	In order to test for the abstract GtkContainer parent class, actually
	compare against the parent type instead of making invalid assumptions
	about the derived type.  By means of the alternative Glib::ObjectBase
	constructor, it is possible to create a custom GObject type different
	from the standard one.

2008-03-08  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/container.ccg: remove_callback(): When just calling the C
	callback, because the C++ object has already been destroyed, don't
	even call the C callback if the GType is exactly GtkContainer. This
	avoids a useless warning from GTK+ about an unimplemented remove()
	default signal handler. This happens when deriving from Gtk::Container -
	remove() really is implemented - it's just that we don't call our own
	implementation when that would be impossible.
	Bug #518002 (Jonathon Jongsma).

2009-06-29  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.ac:
	* gdk/src/pixbuf.ccg:
	* gdk/src/pixbuf.hg:
	* tools/m4/convert_gdk.m4: add Gdk::Pixbuf::create_for_stream() and
	  create_for_stream_at_scale() for reading pixbufs from Gio file
	  streams

2.17.1:

2009-06-22  Hubert Figuiere  <hub@figuiere.net>

	* gtk/src/treepath.ccg: Gtk::TreePath::empty() must
	return true if gobj_ is NULL. Bug #586437.

2009-06-22  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/infobar.[hg|ccg]: Added InfoBar.

	This is the master branch, for gtkmm 2.18, wrapping GTK+ 2.18.
	See also the gtkmm-2-16 branch.

2009-06-19  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with GTK+ 2.17.x

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* tools/m4/convert_gtk.m4: Add a conversion because a
	gtk_recent_info_get_application_info() parameter's constness has changed.

2009-06-16   Hakim Bellam  <hakim.bellam@gmail.com>

	* gtk/src/recentmanager.ccg: add_item(): Correct a memory allocation to
	avoid a crash later. Bug #585521.

2009-06-14  Armin Burgmeier  <armin@openismus.com>

	* win32_installer/gtkmm-installer.nsi.in: Don't create a broken
	zlib1.dll in the redist/ directory after installation (Kamil
	Pawlowski).

2009-05-31  Armin Burgmeier  <armin@openismus.com>

	* win32_installer/gtkmm-installer.nsi.in: Make sure to uninstall all
	installed files, a few files were missing (Tao Wang).

2009-05-31  Armin Burgmeier  <armin@openismus.com>

	* configure.ac: Define GTKMM_STATIC_LIB when a static gtkmm library is
	built.

	* gtk/gtkmmconfig.h.in: Define GTKMM_DLL on Windows when building a
	DLL, instead of using GLIBMM_DLL, so that it's possible to build
	glibmm as a static library and gtkmm as a DLL, or vice versa. Bug
	#583657.

2009-05-18  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/iconview.hg: get_model(): Use refreturn to correct the ref-counting.
	Bug #583037 (Santanu Sinha).

2009-05-05  Murray Cumming  <murrayc@murrayc.com>

	Gtk::SelectionData::get_uris() documentation fix.

	* gtk/src/gtk_docs_override.xml: Add an override for
	gtk_selection_data_get_uris() because the C documentation mentions freeing
	strings.

2009-05-05  Johannes Schmid <jschmid@openismus.com>

	* gtk/gtkmm/box.ccg:
	* tests/boxhelper/main.c
	* tests/boxhelper/Makefile.am
	* tests/Makefile.am
	* configure.ac:
	Fixed 466853 – Gtk::Box_Helpers::BoxList::insert() has wrong
	return value
	and added testcase

2009-04-28  Johannes Schmid <jschmid@openismus.com>

  * gtk/gtkmm/stock.h:
  * gtk/gtkmm/stockitem.h:
  * gtk/src/iconset.hg:
  506885 – Stock ID stuff needs documentation

  Document as much as there is information available from the Gtk+ documentation

2009-04-27  Johannes Schmid <jschmid@openismus.com>

  * gtk/src/statusicon.ccg: get_geometry():
  Reference the returned statusicon because the RefPtr becomes invalid
  otherwise (#575268)

2009-04-18  Daniel Elstner  <danielk@openismus.com>

	* docs/reference/images/stock: Add these stock images to the repository for
	now to unbreak the build since we can no longer use svn:external.  It's
	probably worth looking for a better way to do this in the future.

2009-03-26  Daniel Elstner  <danielk@openismus.com>

	* gtk/src/notebook.ccg (PageList::PageList cctor): Oops. Fix silly
	mistake that broke the build.

2009-03-26  Daniel Elstner  <danielk@openismus.com>

	* configure.ac: Rename from configure.in.
	* autogen.sh: Fix reference to configure.in.
	* MSVC_Net2005/glibmm/Makefile.am: ditto,
	* MSVC_Net2005/giomm/Makefile.am: ditto,
	* MSVC_Net2008/glibmm/Makefile.am: ditto,
	* MSVC_Net2008/giomm/Makefile.am: ditto.

2009-03-26  Daniel Elstner  <danielk@openismus.com>

	* scripts/dk-warn.m4: New file defining DK_ARG_ENABLE_WARNINGS().
	* scripts/macros.m4: Remove the old GTKMM_ARG_ENABLE_WARNINGS().
	* configure.in: Use new macro DK_ARG_ENABLE_WARNINGS() to set the
	Makefile variable $(GLIBMM_WXXFLAGS).
	* build_shared/Makefile_build.am_fragment (all_includes): Insert
	$(GLIBMM_WXXFLAGS).  Also move deprecation flags here.
	* tools/extra_defs_gen/Makefile.am (INCLUDES): Insert
	$(GLIBMM_WXXFLAGS).
	* demos/Makefile.am (all_includes): ditto,
	* demos/gtk-demo/Makefile.am (all_includes): ditto,
	* tests/Makefile.am_fragment (INCLUDES): ditto.

2009-03-26  Daniel Elstner  <danielk@openismus.com>

	* gtk/src/messagedialog.ccg (MessageDialog::set_secondary_text):
	Fix nasty security hole discovered by GCC:  A non-literal was
	used as a varargs format string.
	* gtk/src/notebook.ccg: Spring cleaning.
	(PageList::find): Fix broken loop end condition discovered by
	GCC.  Replace the whole thing by std::advance().
	* gtk/src/calendar.ccg (SignalProxy_Details_gtk_callback): Remove
	model argument name to avoid a warning.  Also do a bit of spring
	cleaning.

2009-03-26  Armin Burgmeier  <armin@openismus.com>

	* win32_installer/gtkmm-installer.nsi.in: Added GTK+ pixbuf loaders
	to the installer (Damon Register).

2009-03-23  Daniel Elstner  <danielk@openismus.com>

	* gtk/src/builder.{ccg,hg}: Conditionalize all exception handling
	code in order to fix the build with --disable-api-exceptions.
	* gtk/src/printjob.hg: ditto,
	* demos/gtk-demo/example_images.cc: ditto,
	* demos/gtk-demo/example_treeview_treestore.cc: ditto,

2009-03-17  Armin Burgmeier  <armin@openismus.com>

	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	* MSVC_Net2008/gtkmm/gtkmm.vcproj: Added activatable.[h|cc] and
	orientable.[h|cc] to the project.

	* win32_installer/gtkmm-vc80-2_4.vsprops:
	* win32_installer/gtkmm-vc80-d-2_4.vsprops: Disable warning 4312,
	since a glib 2.20 header file triggers it, and this clutters the
	compiler output otherwise.

	* win32_installer/README:
	* win32_installer/build-installer:
	* win32_installer/gtkmm-installer.nsi.in:
	* win32_installer/install-msvc-module:
	* win32_installer/Makefile.am:
	* win32_installer/redist_README.txt: Adapt for gtkmm 2.16. Added a
	redist/ folder to the installer which contains optimized and stripped
	binaries, and removed the option to set the PATH environment variable.
	We set it always now as it is required for running built applications.

2009-03-17  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/stockid.cc: Actually implement operator bool().
	* gtk/src/textbuffer.ccg: Actually implement the const get_text(bool)
	method. These fix undefined symbol linker errors when people try to use
	these methods.

2.16.0:

2009-03-16  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Makefile.am: Break the html and devhelp install/uninstall
	rules up and generally base them on what is now in pangomm, thanks to
	Theppitak Karoonboonyanan, to fix the distcheck.

2009-03-16  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/pixbufanimation.[hg|ccg]: create_from_file(): Throw an exception
	when the GError is not null.

	* gtk/src/entry.[hg|ccg]: *_icon_* methods(): Rearrange parameters to make
	these consistent and so we can have more default parameter values.

	* gdk/src/pixbufanimation.hg:
	* gdk/src/pixbufanimationiter.hg:
	* gdk/src/dragcontext.hg:
	* gtk/src/accelgroup.hg:
	* gtk/src/enums.hg:
	* gtk/src/iconset.hg:
	* gtk/src/printoperationpreview.hg: Dealt with some documentation TODOs.

2009-03-12  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/entry.hg:
	* gtk/src/style.hg:
	* gtk/src/gtk_signals.defs: Fix typos to fix the build.

	* gtk/src/settings.hg: Correct the color-hash property name so that that
	API is really generated.

2009-03-12  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/style.hg: Added get_style_property_value() and
	get_style_property<>().

	* gtk/src/gtk_signals.defs: Hand-correct the definitions for the
	GtkEntry::icon-press and icon-release signals.
	* gtk/src/entry.hg: Added icon_press and icon_release signals.

2009-03-09  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated with docextract_to_xml.py

	* gdk/src/gdk_methods.defs:
	* gdk/src/gdk_pixbuf.defs:
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gdk/src/drawable.hg:
	* gdk/src/gc.hg:

	* tools/m4/convert_gdk.m4:
	* gdk/src/region.hg:
	* gdk/src/window.hg:
	* gtk/src/activatable.hg:
	* gtk/src/entry.hg: Added conversions to deal with GTK+ making some
	function parameters const.

2009-03-06  Daniel Elstner  <danielk@openismus.com>

	* gtk/src/textbuffer.{ccg,hg} (TextBuffer::[gs]et_rich_text_format):
	Remove Maemo-specific methods which have been superseded by the
	generic TextBuffer serialization facilities.
	(TextBuffer::set_rich_text_format_all): ditto,
	(TextBuffer::[gs]et_can_paste_rich_text): ditto.

2009-03-06  Daniel Elstner  <danielk@openismus.com>

	* gtk/src/enums.hg (Gtk::Hildon::SizeType): New Maemo-specific
	enumeration corresponding to HildonSizeType.
	(Gtk::Hildon::InputMode): New Maemo-specific enumeration
	corresponding to HildonGtkInputMode.

2009-03-06  Daniel Elstner  <danielk@openismus.com>

	* gtk/src/gtk_enums_maemo.defs: New separate defs file for the
	changes in the Maemo fork of GTK+.
	* gtk/src/gtk_methods_maemo.defs: Likewise.
	* gtk/src/gtk.defs: Include the Maemo defs files.
	* gtk/src/Makefile.am (files_defs): Add the new defs files.

2009-02-23  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_vfuncs.defs:
	* gtk/src/activatable.hg: Renamed the reset() vfunc and method to
	sync_action_properties() to match the API change in GTK+, to fix the
	build. We need to regenerate the .defs to complete this.

2009-02-22  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/builder.hg: get_widget_derived():
	* gtk/src/builder.ccg: get_widget_checked(): Take a reference on
	the widget received from gtk_builder_get_object() because it does
	not give one.

2009-02-22  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/builder.[hg|ccg]: create_from_file(), add_from_file(),
	create_from_string(), add_from_string(): Add method overloads that
	take a char* for the object ID, to avoid ambiguity with the two
	other overloads that take ustring or StringArrayHandle.

2009-02-19  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs_override.xml: Fixed the documentation for
	Widget::set_tooltip_markup(), Widget::get_snapshot(), and
	Widget::get_composite_name() to not mention NULL strings and freeing.
	Mentioned by some guy on irc who couldn't be bothered to submit a bug.

2009-02-17  Daniel Elstner  <danielk@openismus.com>

	* demos/gtk-demo/demo-common.cc (get_democodedir): Replace deprecated
	call to g_win32_get_package_installation_directory() in order to shut
	up a code maintenance tool.  Make a mental note about the code being
	badly in need of a rewrite.

2009-02-17  Daniel Elstner  <danielk@openismus.com>

	* demos/gtk-demo/example_appwindow.cc: Cut a load of commented-out
	bit-rot which wouldn't have compiled anyway.  The use of deprecated
	GTK+ calls in the comment triggered a code maintenance tool used by
	André Klapper.

2009-02-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/filechooserbutton.hg: Added the file_set signal, added in
	GTK+ 2.14 but not wrapped in gtkmm until now. Thanks to Damon Register
	for noticing this.

2009-02-08  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/stock.[h|cc]: Added CAPS_LOCK_WARNING.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added new interfaces.
	* gtk/src/gtk_signals.defs: Regenerated.

	* gtk/src/Makefile_list_of_hg.am_fragment:
	* gtk/src/gtk_vfuncs.defs:
	* gtk/src/activatable.[hg|ccg]:
	* gtk/src/orientation.[hg|ccg]: Added the new interfaces, though
	we cannot use them yet without breaking ABI.
	* gtk/src/box.hg:
	* gtk/src/button.hg:
	* gtk/src/buttonbox.hg:
	* gtk/src/menu.hg:
	* gtk/src/menuitem.hg:
	* gtk/src/paned.hg:
	* gtk/src/recentchoosermenu.hg:
	* gtk/src/ruler.hg:
	* gtk/src/scalebutton.hg:
	* gtk/src/scrollbar.hg:
	* gtk/src/separator.hg:
	* gtk/src/toolbutton.hg: Added TODOs about deriving from the new
	interfaces when we can break ABI. I only did this for base classes,
	though GTK+ does it for further derived classes too, for some reason.

2.15.3:
(2.15.2 was skipped.)

2009-02-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs.xml: Regenerated with docextract_to_xml.py,
	removing some /* and */.
	* gtk/gtkmm/accelmap.h: Unescaped < and > characters in documentation,
	fixing bug #568485

	* gtk/src/action.hg: Added block_activate() and unblock_activate(),
	deprecating block_activate_from() and unblock_activate_from() because
	that is what happened in the C API.

2009-02-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/action.ccg:
	* gtk/src/action.hg: Reimplemented set_tooltip() with the new C
	gtk_action_set_tooltip() function. Added get/set_label(),
	get/set_short_label(), get_tooltip(), get/set_stock_id(),
	get/set_gicon(), get/set_icon_name(), get/set_visible_horizontal(),
	get/set_visible_vertical(), get/set_is_important(), which are new
	accessors for the properties. Added the gicon property.
	* gtk/src/imagemenuitem.hg: Added get/set_always_show_image() and
	property.
	* gtk/src/scale.hg: Added add_mark() and clear_marks().

2009-02-05  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* docs/reference/Doxyfile.in:
	* docs/reference/Makefile.am: Allow gtkmm to build outside the source
	tree. Bug #570325

2009-01-31  Armin Burgmeier  <armin@openismus.com>

	* win32_installer/gtkmm-vc80-2_4.vsprops:
	* win32_installer/gtkmm-vc80-d-2_4.vsprops: Disabled compiler warning
	4250 also for MSVC2005. Bug #568083 (Tao Wang).

2009-01-27  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.[hg|ccg]: get_path_at_pos():
	Improved the documentation because it was improved in GTK+.
	Added a get_path_at_pos() overload that takes less parameters.

2.15.1:

2009-01-23  Armin Burgmeier  <armin@openismus.com>

	* win32_installer/gtkmm-vc90-2_4.vsprops:
	* win32_installer/gtkmm-vc90-d-2_4.vsprops: Disabled compiler warning
	4250. Bug #568083 (Tao Wang).

2009-01-20  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/stock.cc: Actually define and initialize
	ORIENTATION_PORTRAIT, ORIENTATION_LANDSCAPE,
	ORIENTATION_REVERSE_LANDSCAPE, and ORIENTATION_REVERSE_PORTRAIT,
	avoiding undefined reference errors when trying to use these.
	Bug #568416 (Tao Wang).

2009-01-20  Deng Xiyue  <manphiz@gmail.com>

	* Change license header to mention Lesser General Public License
	version 2.1 instead of Library General Public License, to be
	consistent with COPYING.

2009-01-19  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treepath.ccg:
	* gtk/src/treepath.hg: empty(): Also check for a null underlying
	GtkTreePath. Added operator bool() to do the same, just calling !empty().

2009-01-19  Tao Wang  <dancefire@gmail.com>

	* gtk/src/papersize.hg: Constructor: Remove the default value for the
	name parameter, because there is already a default constructor,
	which does something quite different. See the comments.
	This caused MSVC++ warning C4520 with Visual Studio 2008.
	Bug #568074.

2009-01-19  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs:
	* gtk/src/gtk_signals.defs: Regenerated.
	* gtk/src/entry.hg: Renamed methods and adapted to requested GTK+
	API changes in #567887.

	* gtk/src/imagemenuitem.hg: Fixed a typo in the accel_group property
	wrap, to fix the build.
	* gtk/src/selectiondata.hg: Reimplement get_selection() using the
	new C getter method.
	* gtk/src/statusicon.hg: Added button_press_event,
	button_release_event and scroll_event signals.
	* gtk/src/textbuffer.hg: Added the paste_done signal.

2009-01-18  Armin Burgmeier  <armin@openismus.com>

	* win32_installer/translations/english.nsh:
	* win32_installer/translations/french.nsh: Removed strings no longer
	in use.

	* win32_installer/translations/simpchinese.nsh:
	* win32_installer/translations/Makefile.am: Added installer
	translation for Simplified Chinese, contributed by Tao Wang.

	* win32_installer/gtkmm-installer.nsi.in: Added Chinese translation.

	* win32_installer/install-msvc-module: Updated for latest versions.

2009-01-16  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/pixbuf.hg: render_to_pixbuf(): Mark this as deprecated,
	because it is deprecated in GTK+.
	* gdk/src/drawable.ccg:
	* gdk/src/drawable.hg: draw_pixbuf(): Add an override without a GC
	parameter, becauase it can be NULL in C.
	* gdk/src/gdk_docs_override.xml: Remove mention of the NULL GC from the
	documentation for the main override.

	* gdk/src/screen.hg: Added get_monitor_width_mm(),
	get_monitor_height_mm(), get_monitor_plug_name().

2009-01-16  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_signals.defs: TextBuffer const corrections to really fix
	the build. Sorry.

2009-01-16  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_signals.defs: Corrected by hand to fix the build.
	* gtk/src/gtk_signals.defs.patch: The corrections as a --unified=10
	patch, to hopefully make this easier next time.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkImageMenuItem
	though that is not in the generated .defs yet.

2009-01-16  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/treeview_private.cc: SignalProxy_CellData_gtk_callback():
	Added some checks for null models, to provide clues when doing some
	unusual incorrect uses of multiple inheritance.

	* gtk/src/gtk_enums.defs:
	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/cellview.hg: Added get_model() and some new properties.
	* gtk/src/entry.hg: Added unset_invisible_char(), get_invisible_char().
	Added the new progress and icon methods and the properties,
	including the new im-module property.
	* gtk/src/imagemenuitem.hg: Added get/set_use_stock(),
	set_accel_group().
	* gtk/src/menuitem.hg: Added get/set_label(), get/set_use_underline()
	and properties.
	* gtk/src/printoperation.hg: Added draw_page_finish(),
	set_defer_drawing().
	* gtk/src/printsettings.hg: Added get_resolution_x(),
	get_resolution_y(), set_resolution_xy(), get/set_printer_lpi().
	* gtk/src/statusicon.hg: Added get/set_has_tooltip(),
	get/set_tooltip_text(), get/set_tooltip_markup().
	* gtk/src/textview.hg: Added im-module property.
	* tools/m4/convert_gtk.m4: Added necessary conversions.

2.15.0:

2009-01-01  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/cellrendererpixbuf.hg: Added the icon-name and follow-state
	properties, noticed by Mathias Hasselmann.

2009-01-01  Armin Burgmeier  <armin@openismus.com>

	* gtk/src/printer.ccg (SignalProxy_Custom_gtk_callback): Take a new
	reference on the passed printer object, so that we don't unref it at
	the end of the function (Tor Krill).

2008-12-22  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/gdk_docs_override.xml: Correct the documentation for
	gdk_window_invalidate_rect() to remove C-specific text.
	* gdk/src/window.ccg:
	* gdk/src/window.hg: Added an invalidate() that takes no rect
	parameter because it can be NULL in C.

2008-12-10 Przemysław Grzegorczyk  <pgrzegorczyk@gmail.com>

	* Cleaned up gtk includes to use only toplevel headers
	Bug #564006

2008-12-08  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treemodel.hg: set_value_impl() documentation: Mention
	row_changed(), not set_row_changed().
	Bug #562505 (Bohumir Zamecnik)

2008-12-06  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/container.hg:
	* gtk/src/gtk_vfuncs.defs: Use GType instead of GtkType for the
	child_type_vfunc() return type, because that seems to have changed in
	GTK+ and GtkType is deprecated.	Likewise, use GDestroyNotify in other
	vfuncs instead of GtkDestroyNotify.
	This should allow soure code to use gtkmm if it declares
	GTK_DISABLE_DEPRECATED.
	Bug #562893 (Dénes Faluvégi)

2008-11-18  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* docs/FAQ/Makefile.am:
	* docs/FAQ/gtkmm-faq.xml:
	* docs/Makefile.am: Remove the FAQ because we moved it to
	gtkmm-documentation months ago.

2008-11-14  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_signals.defs: Restored the GtkHandleBox::child-attached
	signal definition and the GtkLinkButton::visited property definition,
	so these are really put in the API. At some point in 2.14.x we lost
	these.

2008-11-09  Alexander Shaduri  <ashaduri@gmail.com>

	* gtk/src/cellview.ccg:
	* gtk/src/cellview.hg: Added unset_model().

	* gtk/src/combobox.ccg:
	* gtk/src/combobox.hg: Added unset_model().

	* gtk/src/entrycompletion.ccg:
	* gtk/src/entrycompletion.hg: Added unset_model().

	* gtk/src/iconview.ccg:
	* gtk/src/iconview.hg: Added unset_model().

	* gtk/src/treeview.hg: Marked unset_model() as available since 2.8.

	* gtk/src/gtk_docs_override.xml: Added overrides for
	gtk_tree_view_set_model(), gtk_cell_view_set_model(),
	gtk_entry_completion_set_model(), gtk_entry_completion_set_model()
	and gtk_combo_box_set_model(), because their documentation
	contained an incorrect method of unsetting the models.
	Bug #555268

This is trunk for API additions. See also the gtkmm-2-14 branch.

2.14.2:

2008-11-10  Deng Xiyue  <manphiz@gmail.com>

	* docs/reference/doxygen_to_devhelp.xsl: Use reference index.html
	as start page. Bug #559900.

2008-11-10  Murray Cumming  <murrayc@murrayc.com>

	* win32_installer/Makefile.am: Updated this for the changed filenames,
	to fix the dist.

2008-10-20  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs.xml: Regenerated.
	* gtk/src/gtk_docs_override.xml: Added an override for
	gtk_tree_view_set_tooltip_row() because gmmproc did not rename one
	of the functions mentioned.
	This adds documentation for the set_tooltip_*() methods.
	Bug #547787 (John Hobbs)

2008-10-12  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/install-msvc-module: Allow Specifing toolset to
	install the DLLs for.

	* win32_installer/build-installer: Updated to add MSVC 2008 DLLs
	to the installer.

	* win32_installer/gtkmm-installer.nsi.in: Added MSVC 2008 files, fixed
	a problem that the Uninstaller did not correctly uninstall start menu
	items of user-local installations.

	* win32_installer/gtkmm-2.4.vsprops:
	* win32_installer/gtkmm-2.4d.vsprops: Removed.

	* win32_installer/gtkmm-vc80-2_4.vsprops:
	* win32_installer/gtkmm-vc90-2_4.vsprops:
	* win32_installer/gtkmm-vc80-d-2_4.vsprops:
	* win32_installer/gtkmm-vc90-d-2_4.vsprops: New separate property
	sheets for MSVC 2005 and MSVC 2008, properly named, replacing the old
	ones.

2008-10-09  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/atkmm/atkmm.vcproj:
	* MSVC_Net2005/gdkmm/gdkmm.vcproj:
	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	* MSVC_Net2005/demos/gtk-demo/gtk-demo.vcproj: Adapt to the new DLL
	naming convention.

	* MSVC_Net2008/: Added Visual Studio 2008 project files.

	* Makefile.am:
	* configure.in: Add the Visual Studio 2008 project files to the
	distribution.

2008-10-07  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/install-msvc-module:
	* win32_installer/gtkmm-installer.nsi.in: Update for GTK+ 2.14 and
	gtkmm 2.14.

2008-09-29  Marko Anastasov  <marko.anastasov@gmail.com>

	* gtk/src/entrycompletion.hg: Mention that custom signal handlers
	should connect before the default one for signal_match_selected();
	the default returns true and prevents further handling.
	Discussed in bug #537319.

2008-09-28  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/statusicon.hg: Remove extra ;s. to fix
	warnings. Ubuntu Bug https://bugs.launchpad.net/bugs/275397
	(William)

2.14.1:

2008-09-18  Armin Burgmeier  <armin@arbur.net>

	* gdk/src/gdk_methods.def: Regenerated.

	* gdk/src/display.hg:
	* gdk/src/display.ccg: Changed window ID parameters and return values
	for get_drag_protocol and selection_send_notify from guint32 to
	GdkNativeWindow. These are the same on Linux, so this is not a
	problem. On Windows, GdkNativeWindow is a pointer, so we keep the old
	functions to preserve ABI (doing some nasty casts in the
	implementation). Bug #552513 (Damon Register).

2.14.0:

2008-09-22  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/Makefile.am: Removed gtk_devel_setup-2.12.ini and
	gtk_runtime_setup-2.12.ini from EXTRA_DIST. These files are not needed
	anymore.

2008-09-22  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2005/gdkmm/gdkmm.vcproj: Removed paths to pangomm
	from include directories since pangomm is its own module now.

	* MSVC_Net2005/gtkmm/gtkmm.vcproj: Added toolshell.cc to the project.

2008-09-16  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/NSISLibrary/PathQuestion.ini: Default to yes for the
	"Add gtkmm runtime directory to the path environment variable"
	checkbox.

	* win32/gtkmm-2.4.vsprops:
	* win32/gtkmm-2.4d.vsprops: Changed GTK_BASEPATH to GTKMM_BASEPATH
	since we no longer rely on GTK+ from gladewin32.sourceforge.net being
	installed, but ship GTK+ on our own.

	* win32_installer/build-installer:
	* win32_installer/gtkmm-installer.nsi.in: Also ship libxml2 and
	libiconv, because they are required by libxml++.

2008-09-12  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/gtkmm-installer.nsi.in:
	* win32_installer/build-installer: Make the installer install the GTK+
	runtime, and optionally development files and documentation, because
	gtkmm needs GTK+ anyway.

	* win32_installer/gtk_devel_setup-2.12.ini:
	* win32_installer/gtk_runtime_setup-2.12.ini: Removed since we no
	longer load the GTK+ installer from gladewin32.sourceforge.net, but
	ship GTK+ ourselves.

2.13.8:

2008-09-08  Murray Cumming  <murrayc@murrayc.com>

	* COPYING.tools:
	* Makefile.am: Added COPYING.tools with the GPL because the tools/*.cc
	file is GPL. Bug #550789.

2008-09-03  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/Makefile.am:
	* gtk/src/gtk.defs:
	* gtk/src/gtk_methods_maemo.defs: Restored the maemo-only .defs, putting
	them in a separate file this time so they are not lost next time.
	* gtk/src/gtk_enums.defs: Regenerated, with some hand-coding.
	* tools/m4/convert_gtk.m4:
	* gtk/src/printsettings.hg: Added get/set_number_up_layout(), using the
	new NumberUpLayout enum.

2008-09-03  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/selectiondata.ccg:
	* gtk/src/selectiondata.hg: Changed get_data() to not return a length too,
	and added get_length(), to fix the build after GTK+ changes. This gtkmm
	API is now just like it was in gtkmm 2.12.
	* gtk/src/widget.hg: Changed the get_allocation() implementation back to
	direct struct field access with _GET_MEMBER() because GTK+ has removed
	the new gtk_widget_get_allocation() function.

2008-08-27  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/gdkmm/gdkmm.rc.in:
	* MSVC_Net2005/atkmm/atkmm.rc.in:
	* MSVC_Net2005/gtkmm/gtkmm.rc.in: Replaced #include "afxres.h" by
	#include <windows.h> which does the job equally well, and allows
	compilation with the freely available Visual Studio Express compiler.

2.13.7:

2008-08-14  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/widget.hg: Added the missing #m4 prefix, to fix the build.
	Sorry.

2008-08-12  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/linkbutton.hg: Added get/set_visited() and the property.
	* gtk/src/statusicon.ccg:
	* gtk/src/statusicon.hg: Use _WRAP_METHOD() for get_gicon(),
	adapting it to the changed GTK+ API.

2008-08-11  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/: Moved from installer.

	* configure.in:
	* Makefile.am: Adapt build.

2008-08-10  Armin Burgmeier  <armin@arbur.net>

	* installer/Makefile.am: Distribute all the necessary files to build
	the installer.

2008-08-10  Armin Burgmeier  <armin@arbur.net>

	* installer/NSISLibrary/CmdParameters.nsh:
	* installer/NSISLibrary/DetectGTK.nsh:
	* installer/NSISLibrary/IsNT.nsh:
	* installer/NSISLibrary/Makefile.am:
	* installer/NSISLibrary/ParseVersion.nsh:
	* installer/NSISLibrary/PathManipulation.nsh:
	* installer/NSISLibrary/PathQuestion.ini:
	* installer/NSISLibrary/SetContext.ini:
	* installer/NSISLibrary/StringUtilities.nsh:
	* installer/NSISLibrary/VersionCheck.nsh:
	* installer/NSISLibrary/WriteEnvStr.nsh:

	* installer/translations/english.nsh:
	* installer/translations/french.nsh:
	* installer/translations/Makefile.am:

	* installer/gtk_devel_setup-2.12.ini:
	* installer/gtk_runtime_setup-2.12.ini:
	* installer/gtkmm.ico:
	* installer/gtkmm_win32.txt:
	* installer/gtkmm-2.4.vsprops:
	* installer/gtkmm-2.4d.vsprops:
	* installer/README:
	* installer/install-msvc-module:
	* installer/gtkmm-installer.nsi.in:
	* installer/build-installer:
	* installer/Makefile.am: Added files and helper scripts used to
	generate the Windows installer.

	* Makefile.am:
	* configure.in: Added installer/ subdirectory.

2008-08-09  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/: Moved from MSVC_Net2003.

	* Makefile.am:
	* configure.in: Adapted build files.

2008-08-09  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2003/gtkmm/gtkmm.vcproj: Add new header files
	builder.h, scalebutton.h, recentaction.h tooltip.h and
	volumebutton.h to the project, link against external pangomm.

	* MSVC_Net2003/gdkmm/gdkmm.vcproj:
	* MSVC_Net2003/demos/gtk-demo/gtk-demo.vcproj: Also link against
	external pangomm.

	* MSVC_Net2003/gtkmm.sln: Removed example projects from the solution.

	* MSVC_Net2003/gdkmm/gdkmm.rc.in:
	* MSVC_Net2003/gtkmm/gtkmm.rc.in:
	* MSVC_Net2003/atkmm/atkmm.rc.in: Removed the #include "resource.h"
	line. I don't know where that resource.h is meant to come from, and
	the resource builds fine without this.

2008-08-07  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/gtk_signals.defs: Regenerated.

	* gtk/src/adjustment.ccg:
	* gtk/src/adjustment.hg: Reimplemented some MEMBER_GET and set
	functions with _WRAP_METHOD() now that there are C functions.
	* gtk/src/combobox.hg: Added get/set_button_sensitivity().
	* gtk/src/range.hg:
	* gtk/src/enums.hg: Moved SensitivityType here because it is
	used in ComboBox too.
	* gtk/src/filechooser.hg: Added set_file(), select_file(), unselect_file(),
	taking a Gio::File. Added get_files(), set_current_folder_file(),
	get_current_folder_file(), get_file(), gtk_file_chooser_get_file()
	get_file(), get_preview_file().
	* gtk/src/statusicon.ccg:
	* gtk/src/statusicon.hg: Added set() taking a Gio::Icon. Added get_icon()
	and gicon property. Added constructor taking a Gio::Icon.
	* tools/m4/convert_gtk.m4: Added necessary conversions.

2.13.6:

2008-08-04  Rémi Cardona  <remi@gentoo.org>

	* configure.in: Call AC_PROG_CXX earlier. This is now
	necessary with libtool 2.2 because it previously checked
	implicitly.
	Bug #538226

2008-08-02  Murray Cumming  <murrayc@murrayc.com>

	* docs/Makefile.am: Do not install non-existant index.html.
	* docs/reference/Makefile.am: Correct the installdox link to
	pangomm.
	* docs/reference/gtkmm_header.html_fragment: Change the Main
	Page link to gtkmm.org/documentation.shtml.

2008-08-01  Murray Cumming  <murrayc@murrayc.com>

	* docs/Makefile.am:
	* docs/index.html: Removed index.html. The true copy is in
	gnomemm-website (uploaded to gtkmm.org).

2008-07-26  Benjamin Herr  <ben@0x539.de>

	* gtk/src/calendar.hg: Removed spurious ; characters.
	Bug #544848.

2008-07-27  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Doxyfile.in: Use pangomm doxygen tags.
	* docs/reference/Makefile.am: Use installdox to link to
	pangomm documentation.

2008-07-26  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/comboboxentry.ccg:
	* gtk/src/comboboxentry.hg: Added get_active_text(), wrapping the
	special (stupid) use of combo_box_get_active_text() for
	GtkComboBoxEntry.
	Class documentation: Added the new advice from the C documentation,
	about using get_active() to check if the changed signal is
	is really signalling a selection change.

2008-07-25  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/statusicon.hg: Remove the comment about the signals,
	because Matthias Clasen said they are really public API,
	in bug #361561.

2008-07-25  Murray Cumming  <murrayc@murrayc.com>

	* tools/m4/convert_gtk.m4:
	* gtk/src/widget.hg: Wrapped the DragResult enum and
	added the drag_failed signal.

	* gtk/src/clipboard.hg:
	* gtk/src/handlebox.ccg:
	* gtk/src/handlebox.hg:
	* gtk/src/image.hg:
	* gtk/src/pagesetup.hg:
	* gtk/src/printsettings.hg:
	* gtk/src/toolshell.hg: Added documentation for some hand-written
	methods.

2008-07-23  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/calendar.hg: Correct some newin2p16 to
	newin2p14.

2.13.5:

2008-07-23  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/builder.ccg:
	* gtk/src/builder.hg: Added versions of create_from_file(),
	create_from_string(), add_from_file(), and add_from_string()
	that take an ID or array of IDs, to allow building of only a part of
	the file, as was already possible with libglade.
	* gtk/src/cellrenderercombo.ccg:
	* gtk/src/cellrenderercombo.hg: Wrapped the changed signal.
	* gtk/src/menu.hg: Removed the new properties - they were actually
	style properties.
	* gtk/src/printer.hg: Added is_paused() and is_accepting_jobs().

2008-07-23  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Depend on the correct version of the standalone pangomm.

2008-07-19  Murray Cumming  <murrayc@murrayc.com>

	* MSVC_Net2003/Makefile.am:
	* Makefile.am:
	* configure.in:
	* demos/Makefile.am:
	* demos/gtk-demo/Makefile.am:
	* gdk/gdkmm/Makefile.am:
	* gtk/gtkmm/Makefile.am:
	* tests/Makefile.am_fragment:
	* MSVC_Net2003/pangomm/
	* pango/: Moved pangomm into its own source tarball, while
	keeping all the same shared library name, header
	install path, .pc file, etc.
	This makes it easier, for instance, for cluttermm to depend
	on pangomm, without needing all of gtkmm at build time.

2008-07-16  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/filechooser.hg: get_preview_widget(): Move the const
	overload after the non-const one, because gmmproc otherwise seems to
	make both just calls to the non-const one. We really need to stop
	gmmproc from doing that, first figuring out why.
	Luckily, I don't think we put them in this order very often.
	Bug #543288 (Jens Georg)

2008-07-16  Jens Georg  <mail@jensge.org>

	* MSVC_Net2003/gtkmm/gtkmm.vcproj: Mention new source files
	for builder, scalebutton, tooltip, and volumebutton.
	Bug #543294.

2.13.4:

2008-07-14  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_signals.defs: Regenerated, so that the new signals and
	properties are actually generated.
	* gtk/src/calendar.hg:
	* gtk/src/cellrenderercombo.hg:
	* gtk/src/menu.hg: Minor corrections to fix the build.

	* gtk/src/gtk_signals.defs.patch: Really create this patch to make life
	easier next time.

2008-07-14  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/Makefile_list_of_hg.am_fragment:
	* gtk/src/gtk_vfuncs.defs:
	* gtk/src/toolshell.hg: Added ToolShell, though it is not used
	by anything yet, to avoid breaking ABI.
	* gtk/src/accelgroup.hg: Added get_is_locked() and
	get_modifier_mask().
	* gtk/src/plug.hg: Added get_embedded() and get_socket_window().
	* gtk/src/selectiondata.ccg:
	* gtk/src/selectiondata.hg: Reimplemented get_data(),
	get_data_type(), get_format(), and get_display() with the new
	accessor functions.

	* gtk/src/dialog.hg: Reimplemented get_action_area() and
	get_content_area() with the new accessor functions.
	* gtk/src/entry.hg: Added get/set_overwrite_mode().
	Reimplemented get_text_length() with the new accessor function.
	* gtk/src/handlebox.ccg: Reimplemented is_child_detached() with
	gtk_handle_box_get_child_detached().
	* gtk/src/handlebox.hg:
	* gtk/src/layout.hg: Reimplemented get_bin_window() with the
	new accessor function.
	* gtk/src/image.hg: Added a set() overload that takes a
	Gio::Icon, wrapping gtk_image_set_from_gicon().
	* gtk/src/menu.hg: Added get_accel_path() and get_monitor().
	* gtk/src/menuitem.hg: Added get_accel_path().
	Added right-justified and submenu properties.
	* gtk/src/messagedialog.hg: Added get_image().
	* gtk/src/socket.hg: Added get_plug_window().
	* gtk/src/treeviewcolumn.hg: Added get_tree_view(().
	* pango/pangomm-1.4.pc.in: Depend on cairomm, because it does.

2008-07-12  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/cellrenderercombo.hg:
	* gtk/src/cellrendererpixbuf.hg: Added gicon property.
	* gtk/src/clipboard.ccg:
	* gtk/src/clipboard.hg: Added request_uris(), wait_for_uris(),
	wait_is_uris_available().
	* gtk/src/entry.hg: Added overwrite_mode and text_length
	properties.
	* gtk/src/iconinfo.ccg:
	* gtk/src/iconinfo.hg:
	Added IconInfo(icon_theme, pixbuf) constructor
	* gtk/src/icontheme.hg:
	* gtk/src/image.hg: Added get_gicon() and gicon property.
	* gtk/src/menu.hg: Added many new properties.
	* gtk/src/plug.hg: Added embedded and socket_window properties.
	* gtk/src/scalebutton.ccg:
	* gtk/src/scalebutton.hg: Added set/get_orientation(),
	get_plus_button(), get_minus_button(), get_popup().
	Added orientation property.
	* gtk/src/settings.hg: Added many properties.
	* gtk/src/widget.hg: Added damage_event signal.
	Added window property.
	* tools/m4/convert_gtk.m4: Added a conversion for GIcon.

2008-07-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/stock.cc
	* gtk/gtkmm/stock.h: Added PAGE_SETUP, PRINT_ERROR, PRINT_REPORT,
	PRINT_WARNING.
	* gtk/src/statusicon.hg: Added get_x11_window_id().
	* gtk/src/toolitem.hg: Added toolbar_reconfigured().
	* gtk/src/tooltip.hg: Added set_icon_from_icon_name().
	* gtk/src/widget.ccg:
	* gtk/src/widget.hg: Added get_snapshot().
	Reimplemented get_allocation() and get_window() with the new C
	accessor functions instead of direct struct field access.

2008-07-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/treeviewcolumn.hg: Deprecated the existing
	cell_get_size() and added another, because the cell_area
	parameter has changed to a const in
	gtk_tree_view_column_cell_get_size().
	* tools/m4/convert_gdk.m4: Added necessary conversions, because
	some C parameters have been corrected to const, so we don't need to
	do so many const_cast<>s.

	* gtk/src/printer.hg: Added get_default_page_size(), wrapping
	gtk_printer_get_default_page_size(), new in GTK+ 2.13.
	* gtk/src/pagesetup.hg: Added load_from_file() and
	load_from_key_file(), wrapping gtk_page_setup_load_file() and
	gtk_page_setup_load_key_file(), new in GTK+ 2.13.
	Added create_from_file() and create_from_key_file() to match the
	C new functions, now that we can reimplement them.
	* gtk/src/printersettings.hg: Added load_from_file() and
	load_from_key_file(), wrapping gtk_print_settings_load_file() and
	gtk_print_settings_load_key_file(), new in GTK+ 2.13.
	Added create_from_file() and create_from_key_file() to match the
	C new functions, now that we can reimplement them.

2008-07-03  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/toolbar.hg: Mark set/get_tooltips() as deprecated
	(because it is in GTK+ now).
	* gtk/src/toolbar.ccg: Remove the define of GTK_DISABLE_DEPRECATED
	so the deprecated gtkmm methods still build.
	get_tooltip_object(): Just return 0 because the implementation
	requires GTK_DISABLE_DEPRECATED, to get the odd alternative GTK+
	API, and that is now too complicated. It is broken anyway -
	the fault of GTK+, not us.

2.13.1:

2008-06-02  Peter Wainright  <prw@ceiriog.eclipse.co.uk>

	* gtk/src/bin.ccg: add_label(): Correct the order of parameters
	given to the Label constructor. Bug #534685.

2008-05-31 Dodji Seketeli <dodji@gnome.org>

	* pango/src/attributes.hg:
	  the const qualifier of the returned type
	  was silently ignored by gcc in :
	  PangoAttribute* const gobj() const { return gobject_; }.
	  Changed that to:
	  const PangoAttribute* gobj() const { return gobject_; }
	  I don't thing this results in an ABI break though.
	  This helps gcc 4.3 to stop crying.

2008-05-14  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs_override.xml: Add custom documentation for the
	gtk_image_set_from_*() functions, because they refer to new_from_*
 	functions instead of our constructors.
	* gtk/src/image.hg: Add documentation for the constructors.

2008-05-14  Gennaro Bellizio  <genbell@tiscali.it>

	* gtk/src/entry.hg: Added the shadow_type property that was added to
	GTK+ in 2.12.
	Bug #532744

2008-04-29  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/pixbufanimationiter.[hg|cc]: Added  get_pixbuf(), get_delay_time(),
	advance(), on_currently_loading_frame().
	* gdk/src/gdk_docs_override.xml: Customized the documentation for these
	methods, to avoid C-specific advice, and to add @newin2p14.
	Bug #528037 (Balazs Tirpak)

2008-04-29  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/window.ccg:
	* gdk/src/window.hg: Added unset_back_pixmap().
	* gdk/src/gdk_docs_override.xml: Changed the back_pixmap() documentation
	to not mention NULL, and to refer to unset_back_pixmap().
	This fixes bug #525967 (Jonathon Jongsma).

2008-04-11  Andreas Klaedtke  <andreas.klaedtke@gmx.net>

	* gtk/src/widget.hg: get_direction(): Add a const version and deprecate
	the non-const version.
	Bug #526742.

2008-04-11  Armin Burgmeier  <armin@openismus.com>

	* gtk/src/recentinfo.ccg:
	* gtk/src/recentinfo.hg: Added a specialization for
	Glib::Value<Glib::RefPtr<Gtk::RecentInfo> > so that
	Glib::RefPtr<Gtk::RecentInfo> can be used with Glib::Value<> and
	Gtk::TreeModelColumn<>.

2.13.0:

2008-03-14  Murray Cumming  <murrayc@murrayc.com>

	* pango/src/attributes.hg: _MEMBER_SET for end_index and start_index:
	Mention that the indices are in bytes, as now mentioned in the C
	documentation.
	Bug #517874 (Steve Splonskowski)

2008-03-04  Jonathon Jongsma  <jjongsma@gnome.org>

	* Makefile.am: updated the 'release' target to give a little bit more helpful
	error messages

2008-02-29  Jonathon Jongsma  <jjongsma@gnome.org>

	* Makefile.am: add a 'release' target to the makefile.  This target will do
	a distcheck, and if successful it will tag the repository with the current
	release number and upload the tarball to master.gnome.org

2008-02-24  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* docs/reference/Makefile.am:
	* docs/reference/images/Makefile.am:
	* docs/reference/images/widgets/Makefile.am: Added Makefile.am files
	to dist the contents of these new directories, to fix distcheck.

2008-02-21  Deng Xiyue <manphiz@gmail.com>

	* examples/book/box/main.cc
	* examples/book/custom/custom_widget/mywidget.cc
	* examples/book/drawingarea/arcs/myarea.cc
	* examples/book/drawingarea/clock/clock.cc
	* examples/book/treeview/editable_cells/examplewindow.cc
	* examples/gdk/radar.cc:
	Fix header inclusion and use using directive for C functions to
	fix build on gcc-4.3 and Solaris.  Refined from Tim Mooney's
	patch.
	(Bug #498438, #517530)

2008-02-19  Jonathon Jongsma  <jjongsma@gnome.org>

	* merged documentation fixes from gtkmm-2-12 branch, -r 960:967

2008-02-18  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/images/widgets/notebook1.png:
	* docs/reference/images/widgets/textview1.png:
	* gtk/src/aboutdialog.hg:
	* gtk/src/colorselection.hg:
	* gtk/src/filechooserdialog.hg:
	* gtk/src/fontselection.hg:
	* gtk/src/frame.hg:
	* gtk/src/messagedialog.hg:
	* gtk/src/notebook.hg:
	* gtk/src/recentchooserdialog.hg:
	* gtk/src/scale.hg:
	* gtk/src/scrollbar.hg:
	* gtk/src/separator.hg:
	* gtk/src/table.hg:
	* gtk/src/toggletoolbutton.hg: add a bunch more images to the API reference

2008-02-18  Jonathon Jongsma  <jjongsma@gnome.org>

	patch by: Chris Wang <chris.wang@sun.com>

	* demos/gtk-demo/Makefile.am: install resource files for gtkmm demo program
	(also change the name from 'demo' to 'gtkmm-demo').  Fixes Bug #516602

2008-02-18  Jonathon Jongsma  <jjongsma@gnome.org>

	patch by: Chris Wang <chris.wang@sun.com>

	* demos/gtk-demo/demowindow.cc:
	* demos/gtk-demo/example_images.cc:
	* demos/gtk-demo/example_pixbufs.cc:
	* demos/gtk-demo/example_textview.cc: fix gtkmm demo program to be able to
	find the source and image files when not run from the source directory.
	Fixes bug #516600

2008-02-18  Jonathon Jongsma  <jjongsma@gnome.org>

	* gtk/gtkmm/stock.h: update gtk stock icon names

2008-02-18  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/Makefile.am:
	* gtk/gtkmm/stock.h:
	* gtk/src/calendar.hg:
	* gtk/src/entry.hg:
	* gtk/src/progressbar.hg:
	* gtk/src/spinbutton.hg:
	* gtk/src/textview.hg: add a few more widget images to the API documentation

2008-02-18  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/Doxyfile.in: add an image directory with widget screenshots
	to the doxygen config file
	* gtk/src/arrow.hg:
	* gtk/src/button.hg:
	* gtk/src/buttonbox.hg:
	* gtk/src/checkbutton.hg:
	* gtk/src/colorbutton.hg:
	* gtk/src/combobox.hg:
	* gtk/src/comboboxentry.hg:
	* gtk/src/filechooserbutton.hg:
	* gtk/src/fontbutton.hg:
	* gtk/src/image.hg:
	* gtk/src/label.hg:
	* gtk/src/linkbutton.hg:
	* gtk/src/menubar.hg:
	* gtk/src/radiobutton.hg:
	* gtk/src/scale.hg:
	* gtk/src/scrollbar.hg:
	* gtk/src/separator.hg:
	* gtk/src/statusbar.hg: add a widget screenshot to the class overview
	documentation.
	* docs/reference/images/widgets/*.png: add screenshots of some common
	widgets.  More will come eventually.

2008-02-02  Kjartan Maraas  <kmaraas@gnome.org>

	* demos/gtk-demo/demowindow.cc:
	* demos/gtk-demo/textwidget.cc:
	* examples/book/custom/custom_widget/mywidget.cc:
	Fix build with GCC 4.3.

2008-01-29  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* gtk/gtkmm-2.4.pc.in:
	* gtk/gtkmm.h:
	* gtk/src/main.ccg: Depend on giomm and initialize it in
	Gtk::Main, for convenience. Note that GTK+ already depends on
	gio.

2008-01-26  Murray Cumming  <murrayc@murrayc.com>

	* atk/src/action.hg:
	* atk/src/editabletext.hg:
	* atk/src/image.hg:
	* atk/src/object.hg:
	* atk/src/streamablecontent.hg:
	* gtk/src/celllayout.hg:
	* gtk/src/cellrenderer.hg:
	* gtk/src/cellrendereraccel.hg:
	* gtk/src/cellrenderertext.hg:
	* gtk/src/cellrenderertoggle.hg:
	* gtk/src/entry.hg:
	* gtk/src/entrycompletion.hg:
	* gtk/src/recentchooser.hg:
	* gtk/src/statusbar.hg:
	* gtk/src/style.hg:
	* gtk/src/textview.hg: Added conversions from const gchar* to const ustring&,
	to fix the build I guess I removed this from a convert_*.m4 file, to discourage
	people from returning const ustring& from methods.
	Bug #511708 (José Alburquerque).

2008-01-18  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/recentaction.hg:
	Derive (and implement) from RecentChooser so this is actually usable.
	This changes ABI (object size), but nobody could have been using this yet.
	(Bug #505766, Denes Faluvegi)

2008-01-18  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/calendar.ccg:
	SignalProxy_Details_gtk_callback(): Return a copy of the
	gchar* instead of a const, because we corrected the API in GTK+.

2008-01-14  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_enums.defs: Regenerated with enums.pl.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gtk/src/calendar.ccg:
	* gtk/src/calendar.hg: Added set_detail_func(),
	set_detail_width_chars(), set_detail_height_rows(),
	get_detail_width_chars(), and get_detail_height_rows(),
	and these properties.

2007-12-15  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.hg: set_headers_visible(): Add default parameter value.

2007-12-13  Daniel Elstner  <danielk@openismus.com>

	* gtk/src/filechooserbutton.hg (property_dialog): Remove property
	wrapper since "dialog" is write-only and construct-only. (#436789)

2007-11-29  Christian Hammond <chipx86@chipx86.com>

	* gtk/src/action.ccg:
	* gtk/src/action.hg:
	* gtk/src/radioaction.ccg:
	* gtk/src/radioaction.hg:
	* gtk/src/toggleaction.ccg:
	* gtk/src/toggleaction.hg: Added create_with_icon_name() functions for
	  the various Action classes, allowing IconTheme icon names to be used
	  instead of stock IDs. This closes bug #437041.

2007-11-29  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/dragcontext.hg: Documented drag_refuse().

2007-11-29  Sebastien Bacher  <seb128@debian.org>

	* gtk/gtkmm/targetentry.cc:
	* gtk/src/scale.ccg: Include memset and cstring to fix the build
	with pre-release versions of gcc 4.3.

2007-11-09  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/widget.hg: drag_data_get(): Deprecated the current version
	and added a version that takes a const Glib::ustring& for the target.

2007-11-09  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/stockid.h: Added operator bool().
	* gtk/src/iconinfo.ccg:
	* gtk/src/iconinfo.hg:
	* gtk/src/icontheme.hg:
	* pango/src/attrlist.ccg:
	* pango/src/attrlist.hg:
	* pango/src/color.ccg:
	* pango/src/color.hg:  Deprecated the non-const
	operator bool()s and added const versions.
	* gtk/src/enums.hg:
	* gtk/src/icon_factory.ccg: Added an
	IconSize::lookup() method overload that takes a
	Gtk::Settings, wrapping gtk_icon_size_lookup_for_settings().
	Added documentation for this and the other lookup()
	method.

2007-11-09  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/action.hg: Added the icon_name, visible_overflown, and
	action_group properties.

2007-11-08  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/pagesetup.hg: Added copy(), wrapping
	gtk_page_setup_copy().
	* gtk/src/printsettings.hg: Added copy(), wrapping
	gtk_print_settings_copy().
	These are actually useful, particularly when dealing
	with constness issues.

2007-11-06  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/doxygen_to_devhelp.xsl: minor clean-up of the xsl file to
	extract common stuff out to separate templates so we don't have so much
	duplication in the 'as-func' and 'as-sub' templates

2007-11-05  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/doxygen_to_devhelp.xsl: Fully-qualify functions in the
	devhelp file so it's easy to see which class they belong to in the search
	results (Bug #493999)

2007-11-05  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/Makefile.am: clean up the makefile rules for building the
	devhelp files a bit so that it gets rebuilt if the xsl stylesheet changes,
	etc.
	* docs/reference/doxygen_to_devhelp.xsl: Fix the devhelp XSL stylesheet so
	that the functions link correctly (fixes Bug #488261)

2007-11-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs_override.xml: Made changes to the gtk_dialog_run()
	override to avoid strange markup in the generated HTML.
	Bug #471143 (Andrew Medico)
	* gtk/src/gtk_signals.defs: Corrected the GtkWidget:grab-broken-event
	definition to fix the build after my previous commit.

2007-11-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/widget.hg: Added the grab_broken_event signal
	(with no_default_handler, to preserve ABI).
	Bug #473465 (Balazs Scheidler).

2007-11-05  Yevgen Muntyan  <muntyan@tamu.edu>

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added ifdefs around the
	unix-specific printer objects, to fix the build on Windows.

2007-11-05  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/drawable.hg: Added a const overload of get_size()
	and deprecated the non-const version.
	Bug #467539 (Bobby DaSilva).

2007-11-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/widget.hg: Added the popup_menu signal,
	without a overridable default signal handler (to preserve ABI),
	now that we know that it is public API.
	Bug #304103 (Philip Langdale).

2007-11-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/entrycompletion.hg: Added set_popup_single_match(),
	deprecated the wrongly-named set_popup_single_width().
	Bug #473750 (Kevin Daughtridge).
	Added a const version of get_text_column() and deprecated the
	non-const version.

2007-11-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/linkbutton.ccg:
	* gtk/src/linkbutton.hg: Partially hand-code one of the
	constructors, so it can pass the uri for the label too,
	as in gtk_link_button_new(). Bug #492200 (Marko Anastasov).

2007-11-04  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/widget.hg: Change a Style to Gtk::Style in
	a signal, to fix the build on MacOS X. Bug #493057.
	(Alberto Ruiz)
	* tools/m4/convert_gtk.m4:
	* gtk/src/style.hg: Moved some signal-specific conversions to
	the .hg file, to avoid their misuse.

2007-10-25  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/iconview.hg: set_cursor(): Actually implement this.

2007-10-23  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/color.ccg:
	* gdk/src/color.hg: Added to_string().

2007-10-20  Murray Cumming  <murrayc@murrayc.com>

	* Makefile.am:
	* configure.in:
	* docs/Makefile.am:
	* docs/tutorial/
	* examples/
	* MSVC_Net2003/Makefile.am:
	* MSVC_Net2003/examples/: Removed the tutorial and examples.
	They are now in the gtkmm-documentation module, so that we can use
	extra libraries in the book's examples, such as libglademm.

2007-10-20  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/pagesetup.ccg:
	* gtk/src/pagesetup.hg:
	* gtk/src/printsettings.ccg:
	* gtk/src/printsettings.hg:
	Added const versions of save_to_key_file() and deprecated the non-const
	versions.

This is the trunk branch for gtkmm 2.13/14.

2007-10-20  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs_override.xml: Corrected the documentation for
	Gtk::Entry::get_text().

2007-10-14  Marko Anastasov  <marko@marko.anastasov.name>

	* gdk/src/pixbuf.hg: Fixed build by correcting a typo for create()
	from previous commit. Bug #486257 (Craig Keogh).

2007-10-12  Armin Burgmeier  <armin@openismus.com>

	* gdk/gdkmmconfig.h.in:
	* gtk/gtkmmconfig.h.in:
	* configure.in: Added G{D,T}KMM_DISABLE_DEPRECATED defines to
	g{d,t}kmmconfig.h so other code can check whether deprecated API is
	available or not.

	* gdk/src/pixbuf.hg:
	* gdk/src/pixbuf.ccg: Fixed build with deprecated API disabled.

	* gtk/src/tooltips.hg:
	* gtk/src/combo.hg:
	* gtk/src/textview.hg:
	* gtk/src/optionmenu.hg:
	* gtk/src/toolbar.hg:
	* gtk/src/inputdialog.hg:
	* gtk/src/treeview.hg:
	* gtk/src/style.hg:
	* gtk/src/toolitem.hg:
	* gtk/src/textbuffer.hg:
	* gtk/src/treepath.hg:
	* gtk/src/treesortable.hg:
	* gtk/src/progress.hg:
	* gtk/src/treeviewcolumn.hg:
	* gtk/src/fileselection.hg:
	* gdk/src/colormap.hg:
	* gdk/src/color.hg: Use the new _CONFIGINCLUDE m4 macro in glibmm to
	include gtkmmconfig.h before the #ifdef GTKMM_DISABLE_DEPRECATED at
	the top of the file so that the define is actually present when other
	code includes one of these files directly. Note this requires glibmm
	from SVN to generate the source files (though building the sources
	should still work with 2.14.1).

2.12.1:

2007-10-04  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/printoperation.hg: Add a custom conversion for the
	signals that use PrintContext, to fix a reference-counting
	problem that caused crashes when printing or showing a
	print preview.
	Note that this was removed mistakenly on 2007-07-14
	(appearing in 2.11.4) so gtkmm 2.10 does not have this problem.

	* tools/m4/convert_atk.m4:
	* tools/m4/convert_gdk.m4:
	* tools/m4/convert_gtk.m4:
	* atk/src/hypertext.hg:
	* atk/src/table.hg:
	* gdk/src/displaymanager.hg:
	* gtk/src/inputdialog.hg:
	* gtk/src/style.hg:
	* gtk/src/textbuffer.hg:
	* gtk/src/widget.hg: Move all signal-specific conversions to
	the .hg files where they are used, to make this clearer.

2.12.0:

2007-09-10  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/gdk_docs_override.xml:
	* gdk/src/window.hg:
	* gtk/src/builder.hg:
	* gtk/src/celllayout.hg:
	* gtk/src/filechooser.hg:
	* gtk/src/iconinfo.ccg:
	* gtk/src/pagesetup.hg:
	* gtk/src/printsettings.hg:
	* gtk/src/recentchooser.hg: Dealt with some simple TODO:
	mostly documentation.

2007-09-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/recentaction.ccg:
	* gtk/src/recentaction.hg: Make the constructors use the same
	parameter order as the other action classes. Remove the comment
	about the default constructor, now that the GTK+ C documentation
	is clearer in bug #450032.
	* gtk/src/action.hg:
	* gtk/src/radioaction.hg:
	* gtk/src/toggleaction.hg: Deprecate the default constructors,
	because they cannot work. We could maybe remove them, but maybe
	they are used in the build of some applications, but never used
	at runtime.
	Added default values for the StockID parameters, now that we
	know that we know that this is OK - see bug #450032.

2.11.8:

2007-08-31  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: DrawingArea: Corrected a mention of
	PixBuf to Pixbuf. Bug #465961 (Jonathan Jongsma).

2007-08-29  Jonathon Jongsma  <jjongsma@gnome.org>

	* gdk/gdkmm/general.cc, gdk/gdkmm/general.h: deprecate cairo helper
	functions and added new overloaded functions that take *const*
	RefPtr<Cairo::Context>& parameters.
	Also renamed the new rectangle() and region() functions per the TODO in the
	source file.  The new names are add_rectangle_to_path() and
	add_region_to_path()

2.11.7:

2007-08-16  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/gtkmm_footer.html_fragment,
	docs/reference/gtkmm_header.html_fragment: add <div> to make it easier to
	incoporate the documentation into library.gnome.org, per a request by
	Frederic Peters

2007-08-13  Daniel Elstner  <danielk@openismus.com>

	* gtk/src/iconview.hg: Remove stray semicolon.
	* gtk/src/printer.hg: Likewise.
	* gtk/src/tooltip.ccg: Remove /* inside comment.

	* gtk/src/builder.ccg (get_type_from_name_vfunc_callback):
	Remove unused argument names to avoid compiler warnings.
	* examples/book/printing/advanced/previewdialog.cc: ditto,
	* examples/book/tooltips/examplewindow.cc: ditto.

2.11.6:

2007-07-30  Marko Anastasov  <marko@marko.anastasov.name>

	* .cvsignore: Updated, along with all other, and added some
	where missing.

2007-07-29  Marko Anastasov  <marko@marko.anastasov.name>

	* gtk/src/treeview.[ccg|hg]:
	* gtk/src/iconview.[ccg|hg]: Modified get_tooltip_context_iter()
	and get_tooltip_context_path() implementations to use local
	structs/objects to pass to the C function instead of
	unguaranteed pointers. Added doxygen documentation for these
	functions in both classes.

2007-07-29  Marko Anastasov  <marko@marko.anastasov.name>

	* gtk/src/treeview.[ccg|hg]:
	* gtk/src/iconview.[ccg|hg]: Added get_tooltip_context_path()
	and get_tooltip_context_iter(). They are wrappers for
	gtk_tree/icon_view_get_tooltip_context().

2007-07-29  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs_override.xml: Corrected the documentation for
	gtk_toolbar_set_icon_size() and gtk_toolbar_unset_icon_size() to
	use the correct Since:.
	* gtk/src/papersize.ccg:
	* gtk/src/papersize.hg: save_to_key_file(): Removed the default
	group_name parameter value and added an overload instead.
	* gtk/src/printer.hg: Added some documentation.
	* gtk/src/printjob.hg: Added a const version of get_surface()
	and added documentation for send().
	* gtk/src/printsettings.ccg:
	* gtk/src/printsettings.hg: Corrected the typedef for SlotForeach -
	the ustring&s should be const. I do not believe that anybody could
	have been using this, so I think it is OK to change it.
	* gtk/src/textmark.hg: Added documentation for constructors and
	create() methods.
	* gtk/src/volumebutton.hg: Added documentation for the constructor.

	* pango/src/fontface.hg: Added documentation for list_sizes().
	* pango/src/renderer.hg: Added class documentation.

2007-07-29  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/pixbuf.hg: Document the old
	create() methods as deprecated. Added documentation for
	the new create() methods.
	* gdk/src/screen.hg: Correct the const version for
	get_font_options().
	* gtk/src/builder.hg: Added documentation for the
	create methods.
	* gtk/src/gtk_docs_override.xml: Corrected the
	documentation for gtk_icon_theme_lookup_icon().
	* gtk/src/linkbutton.hg:
	* gtk/src/linkbutton.ccg: Added set_uri_hook()
	and unset_uri_hook().
	* gtk/src/papersize.hg:
	* gtk/src/papersize.ccg: Added operator bool() so
	that return values can be checked.

2007-07-29  Marko Anastasov  <marko@marko.anastasov.name>

	* gtk/src/tooltip.hg: Added class documentation based on GTK+ docs.

2007-07-29  Marko Anastasov  <marko@marko.anastasov.name>

	* configure.in:
	* examples/book/Makefile.am:
	* examples/book/tooltips/Makefile.am:
	* examples/book/tooltips/examplewindow.[cc|h]:
	* examples/book/tooltips/main.cc: Added an example for the new
	tooltips API.

2007-07-29  Marko Anastasov  <marko@marko.anastasov.name>

	* gtk/src/gtk_docs_override.xml: Corrected mismatched tag
	for PageSetup::save_to_file().

2007-07-28  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs_override.xml: Corrected the
	documentation for
	AboutDialog::get_program_name(), get_website_label(),
	CellLayout::get_cells(),
	EntryCompletion::get_completion_prefix(),
	IconTheme::choose_icon(), list_contexts(),
	IconView::set_tooltip_cell(), set_tooltip_item(),
	PageSetup::save_to_file(),
	PrinterSettings::save_to_file(), request_details(),
	Widget::error_bell(), get_tooltip_markup(),
	get_tooltip_text(),
	* gtk/src/iconview.hg: Added a set_tooltip_cell() method
	overload without the cell parameter.
	* gtk/src/settings.hg: Added new properties:
	gtk-modules, gtk-cursor-theme-name,
	gtk-cursor-theme-size, gtk-alternative-button-order,
	gtk-alternative-sort-arrows, gtk-show-input-method-menu,
	gtk-show-unicode-menu, gtk-timeout-initial,
	gtk-timeout-repeat, gtk-timeout-expand,
	gtk-color-scheme, gtk-enable-animations,
	gtk-touchscreen-mode, gtk-tooltip-timeout,
	gtk-tooltip-browse-timeout, gtk-tooltip-browse-mode-timeout,
	gtk-keynav-cursor-only, gtk-keynav-wrap-around,
	gtk-error-bell, gtk-color-hash,
	gtk-file-chooser-backend, gtk-print-backends,
	gtk-print-preview-command, gtk-enable-mnemonics,
	gtk-enable-accels, gtk-recent-files-limit.

2007-07-28  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/builder.hg: Removed get_type_from_name() because it
	seems only useful when implementing GTK+ widgets.
	* gtk/src/gtk_docs_override.xml: Corrected the
	gtk_page_setup_to_key_file() and gtk_print_settings_to_key_file()
	documentation.
	* gtk/src/pagesetup.ccg:
	* gtk/src/pagesetup.hg:  Added a save_to_key_file() method
	overload without the group parameter.
	* gtk/src/printsettings.ccg:
	* gtk/src/printsettings.hg: Renamed to_key_file() to save_to_key_file()
	and to_file() to save_to_file(). Added a save_to_key_file() method
	overload without the group parameter.
	* gtk/src/scalebutton.hg: Use IconSize instead of GtkIconSize
	for the constructor parameter.
	* gtk/src/widget.hg: Added a @see unset_cursor() to the
	documentation.
	Thanks to Jonathan Jongsma for the API review.

2007-07-22  Murray Cumming  <murrayc@murrayc.com>

	* tools/extra_defs_gen/generate_defs_gtk.cc:
	* gtk/src/gtk_signals.defs: Added GtkScaleButton, GtkVolumeButton
	and GtkRecentAction.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.

	* gdk/src/pixbuf.ccg:
	* gdk/src/pixbuf.hg: Added constructors that do not take dest_x
	and dest_y (which are ignored in this case), and deprecated those old
	constructors. Added constructors that do not take a colormap, because
	that is optional.
	get_formats(): Corrected the reference counting.
	* gdk/src/screen.hg:
	* tools/m4/convert_gtk.m4:
	* gtk/src/iconview.hg: set_tooltip_item(), set_tooltip_cell():
	Use Tooltip only via a RefPtr.
	* gtk/src/menushell.hg: Added move_selected signal.

	* gtk/src/textview.hg:
	* gtk/src/scalebutton.hg: Ignore key-bindings signals.

	* gtk/src/tooltip.hg: Added set_tip_area().
	* gtk/src/treeview.hg: Added convert_widget_to_tree_coords(),
	convert_tree_to_widget_coords(), convert_widget_to_bin_window_coords(),
	convert_bin_window_to_widget_coords(), convert_tree_to_bin_window_coords(),
	convert_bin_window_to_tree_coords(),
	set_tooltip_row(), set_tooltip_cell(), set_tooltip_column(),
	get_tooltip_column().
	* gtk/src/widget.hg: Added keynav_failed(), error_bell(),
	modify_cursor(), unset_cursor(),
	set_has_tooltip(), get_has_tooltip().

2.11.5:

2007-07-21  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/gdk_docs.xml:
	* pango/src/pango_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated with docextract_to_xml.py.
	* pango/src/pango_methods.defs: Regenerated with h2defs.py.

	* pango/src/color.hg: Added to_string().
	* pango/src/cairofontmap.hg: Added get_font_type().
	* gdk/src/screen.hg: Added is_composited(), set_font_options(),
	get_font_options(), set_resolution(), get_resolution(),
	get_active_window()

	* gtk/src/combobox.hg:
	* gtk/src/filechooserbutton.hg:
	* gtk/src/notebook.hg: Ignored some new key-binding signals.

	* gtk/src/iconview.hg: Added set_tooltip_item() and
	set_tooltip_cell().
	* tools/m4/convert_gtk.m4: Added necessary new conversions.

	* gtk/src/textbuffer.hg: Commented out the copy-target-list
	and paste-target-list properties for now, with a TODO, because I fear
	that the reference-counting might not be correct.

2007-07-20  Marko Anastasov <marko@marko.anastasov.name>

	* gtk/src/textbuffer.hg: Wrapped cursor-position, copy-target-list
	and paste-target-list properties from GTK+ 2.10.

2007-07-14  Murray Cumming  <murrayc@murrayc.com>

	* tools/extra_defs_gen/generate_defs_gtk.cc: Mention the GtkPrint*
	classes so that signal/property .defs are generated for these.
	* gdk/src/Makefile.am:
	* gdk/src/gdk_pixbuf_enums.defs: Added this instead of pasting it
	into gdk_enums.defs.
	* gdk/src/gdk.defs:
	* gdk/src/gdk_enums.defs:
	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_enums.defs:
	* gtk/src/gtk_methods.defs:
	* gtk/src/gtk_signals.defs: Regenerated, with h2defs.py, enums.pl,
	and generate_extra_defs.
	* gtk/src/gtk_others.defs: Move the hand-written GtkPrintOperationPreview
	signal defs to here instead of having them in gtk_signals.defs where they
	will be overwritten when it's regenerated.
	* gtk/src/iconview.hg: Added convert_widget_to_bin_window_coords().
	* gtk/src/papersize.hg: Commented out get_paper_sizes() until I
	figure out the build break.
	* gtk/src/statusicon.hg: Added set_screen() and get_screen().

	* pango/src/pango_enums.defs:
	* pango/src/pango_methods.defs: Regenerated.
	* tools/m4/convert_pango.m4: New conversions.
	* pango/src/context.hg: Added GravityHint enum.
	Added set_base_gravity(), get_base_gravity(), get_gravity(),
	set_gravity_hint(), get_gravity_hint().
	* pango/src/fontdescription.hg: Added Gravity enum.
	Added set_gravity() and get_gravity().
	* pango/src/fontface.hg: Added is_synthesized().
	* pango/src/glyphstring.hg: Added get_width().
	* pango/src/layout.hg: Added is_wrapped(), is_ellipsized() and
	get_unknown_glyphs_count().
	Reimplemented the const get_line() and get_lines() methods with
	the (faster) *_read_only() C functions.

2007-07-13  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/tooltips.hg: Deprecated in favour of the various
	set_tooltip_text() and set_tooltip_markup() methods, and the new
	Gtl::Tooltip class.
	* gtk/src/menutoolbutton.hg: Added set_arrow_tooltip_text() and
	set_arrow_tooltip_markup(). Deprecated set_arrow_tooltip().
	* gtk/src/toolitem.ccg:
	* gtk/src/toolitem.hg: Deprecated signal_set_tooltip.
	* examples/book/eventbox/examplewindow.cc:
	* examples/book/eventbox/examplewindow.h:
	* examples/book/toolbar/examplewindow.cc:
	Replace use, or mention, of the deprecated Gtk::Tooltips class.

2007-07-12  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/toolbar.ccg:
	* gtk/src/toolbar.hg: get_tooltips_object(): Reimplement
	to fix the build because GTK+ broke the API of GtkTooltips::tooltips
	(renaming it to GtkTooltips::_tooltips). I think I read that they
	will change it back before a stable release.
	Deprecated get_tooltips_object().

2007-07-03  Johannes Schmid  <johannes.schmid@openismus.com>

	* gtk/src/uimanager.hg:
	Added class documentation based on GTK+

2007-07-03  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.hg: Added is_rubber_banding_active().

2007-07-02  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Doxyfile.in: Correct the ALIASES for newin2p*.
	* gtk/src/builder.hg:
	* gtk/src/cellrendererprogress.hg:
	* gtk/src/cellrendererspin.hg:
	* gtk/src/recentaction.hg:
	* gtk/src/scalebutton.hg:
	* gtk/src/volumebutton.hg: Use newin2p12.

2.11.4:

2007-06-30  Johannes Schmid <johannes.schmid@openismus.com>

	* gtk/src/action.hg:
	* gtk/src/assistant.hg:
	* gtk/src/builder.hg:
	* gtk/src/cellrendereraccel.hg:
	* gtk/src/cellrendererspin.hg:
	* gtk/src/entrycompletion.hg:
	* gtk/src/filefilter.hg:
	* gtk/src/linkbutton.hg:
	* gtk/src/radioaction.hg:
	* gtk/src/recentaction.hg:
	* gtk/src/scalebutton.hg:
	* gtk/src/settings.hg:
	* gtk/src/toggleaction.hg:
	* gtk/src/volumebutton.hg:
	* gtk/src/window.hg:

	Fixed class documentation

2007-06-30  Marko Anastasov  <marko@marko.anastasov.name>

	* gtk/src/tooltip.[hg|ccg]:
	* gtk/src/widget.[hg|ccg]: New files and functions, properties and signal
	of the new tooltips API.
	* gtk/gtkmm.h: Include tooltip.h.
	* gtk/src/gtk_signals.defs: Added query_tooltip signal for Widget.
	* gtk/src/Makefile_list_of_hg.am_fragment: Include tooltip.hg in build.
	* tools/m4/convert_gtk.m4: Added conversions between GtkTooltip*
	and Glib::RefPtr<Gtk::Tooltip>.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Generate defs for Tooltip.

2007-06-26  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/builder/basic/basic.ui:
	* examples/book/builder/basic/main.cc:
	* examples/book/builder/derived/basic.ui:
	* examples/book/builder/derived/main.cc:
	Convert the libglade .glade files to GtkBuilder .ui files,
	with gtk-builder-convert script from GTK+.
	* gtk/src/builder.ccg:
	* gtk/src/builder.hg: Addded create_from_file() and create_from_string(),
	as conveniences. Changed the add_from_file() parameter to a std::string,
	as all filenames should be, because their encoding is unknown.
	Added a add_from_string() version that accepts a simple std::string.

2007-06-24  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_enums.defs: Regenerated with enums.pl
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.

	* gtk/src/Makefile_list_of_hg.am_fragment:
	* gtk/src/builder.ccg:
	* gtk/src/builder.hg: Added wrapper for GtkBuilder, taking code from
	libglademm so that it instantiates derived GTypes by using the vfunc,
	and has templated get_widget() and get_widet_derived() methods.
	* gtk/gtkmm.h: Added builder.h

	* configure.in:
	* examples/book/builder/basic/
	* examples/book/builder/derived/
	Added GtkBuilder versions of the libgladem examples. These will not
	work until I find the script to conver the glade files to GtkBuilder
	files, or find a UI editor that creates GtkBuilder files.

2007-06-22  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/recentaction.hg: Constuctor and create():
	Added default values for the tooltips and stock_id paramters,
	though I think none of these should need to specified.
	See bug #450032.
	* gtk/gtkmm.h: Added recentaction.h
	* examples/book/recent_files/examplewindow.cc: Used the RecentAction to
	create a sub-menu.

2007-06-22  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/treeview/editable_cells/examplewindow.cc:
	* examples/book/treeview/editable_cells/examplewindow.h:
	Added comments about using CellRendererSpin or CellRendererProgress here.
	I tested the new CellRendererSpin here and it works.

2.11.3:

2007-06-10  Kalle Vahlman  <zuh@iki.fi>

	* tests/property_notification/main.cc: #ifdef out the use of the regular property API
	if properties are disabled.

2007-02-10  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/types.hg: Add ListHandle_AtomString intermediate container
	type.
	* gdk/src/dragcontext.ccg:
	* gdk/src/dragcontext.hg: get_targets(),
	* gtk/src/selectiondata.hg:
	* gtk/src/selectiondata.ccg: get_targets(): Use ListHandle_AtomString with appropriate
	ownership instead of the current faulty code. This changes the return type, and
	therefore changes the API and ABI of this method, but it is not possible that
	anyone was using these functions until now, due to the brokenness.
	Bug #399403 (Yannick Guesnet)

2007-06-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/action.ccg:
	* gtk/src/action.hg: Added create_menu().
	* gtk/src/printer.hg: Added list_papers().

	* docs/tutorial/gtkmm-tut.xml: In the gmmproc chapter, mention the optional text
	for the _WRAP_METHOD() deprecated parameter.

2007-06-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/treemodelcolumn.h: Added a comment about the difficulty of using
	a static instance.
	* gtk/src/notebook.hg: Added const versions of get_n_pages() and page_num(),
	deprecating the non-const methods. Bug #442284 (Tomasz Ostrowski).
	* gtk/src/scalebutton.hg: Use refresult instead of refreturn. Maybe gmmproc
	should not ignore unknown options.

2007-06-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/scalebutton.hg: Added the constructor now that
	gtk_scale_button_new() has been fixed in GTK+.

2007-06-09  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/cellrendererprogress.hg: Added pulse, text-xalign, and
	text-yalign properties.
	* gtk/src/entrycompletion.hg:
	* gtk/src/entrycompletion.ccg: Added set_inline_selection(),
	and get_inline_selection().
	Added cursor_on_match signal, though without a default signal
	handlers, to preserve ABI.
	Added inline-selection property.
	* gtk/src/range.hg: Added set_show_fill_level(), get_show_fill_level(),
	set_restrict_to_fill_level(), get_restrict_to_fill_level(),
	set_fill_level(), get_fill_level().
	Added show-fill-level, restrict-to-fill-level, and
	fill-level properties.
	* gtk/src/texttag.hg: Added paragraph-background,
	paragraph-background-gdk, paragraph-background-set,
	accumulative-margin properties.
	* gtk/src/treeview.hg: Added set_show_expanders(), get_show_expanders(),
	set_level_indentation(), get_level_indentation().

2007-06-09  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/Makefile_list_of_hg.am_fragment:
	* gtk/src/recentaction.ccg:
	* gtk/src/recentaction.hg: Added RecentAction.
	* gtk/src/scalebutton.ccg:
	* gtk/src/scalebutton.hg: Added ScaleButton.
	* gtk/src/volumebutton.ccg:
	* gtk/src/volumebutton.hg: Added VolumeButton.

2007-06-09  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/stock.cc:
	* gtk/gtkmm/stock.h: Added DISCARD, ORIENTATION_PORTRAIT,
	ORIENTATION_LANDSCAPE, ORIENTATION_REVERSE_LANDSCAPE,
	ORIENTATION_REVERSE_PORTRAIT, SELECT_ALL

2007-06-06  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/gtkmm-tut.xml: updated the internationalization section
	slightly, prompted by some discussion / criticism on gtkmm-list.  There's
	probably more that could be done here still.  I mostly worked on the wording
	to make it flow a bit better and added a bit more explanatory text.

2.11.2:

2007-06-04  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: gmmproc appendix: Added documentation
	on constructors, create() methods, _CONSTRUCT(), and some hints about
	wrapping GList* and GSList* parameters.
	Bug #350870. (Paul Davis and Johannes Schmid)

	* docs/reference/Doxyfile.in: Added newin2p12 tag, for marking API
	as new since 2.12.

	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py

	* gdk/src/display.hg: Added supports_shapes(), supports_input_shapes(),
	supports_composite().
	* gdk/src/window.hg: Added set_composited(), input_shape_combine_mask(),
	input_shape_combine_region(), set_child_input_shapes(),
	merge_child_input_shapes(), get_type_hint(), set_startup_id(), beep(),
	set_opacity().
	* gtk/src/aboutdialog.hg: Added set/get_program_name() and deprecated
	set/get_name().
	* gtk/src/celllayout.hg: Added get_cells().
	* gtk/src/entry.hg: Added set_cursor_hadjustment(), get_cursor_hadjustment().
	* gtk/src/icontheme.hg: Added choose_icon(), list_contexts().
	* gtk/src/notebook.hg: Added set/get_group() and deprecated set/get_group_id().
	* gtk/src/pagesetup.hg: Added to_file(), to_key_file().
	* gtk/src/papersize.hg: Added get_paper_sizes().
	* gtk/src/printer.hg: Added has_details(), request_details(),
	get_capabilities().
	* gtk/src/printsettings.hg: Added to_file(), to_key_file().
	* gtk/src/textbuffer.hg: Added add_mark().
	* gtk/src/textmark.ccg:
	* gtk/src/textmark.hg: Added constructor and create() method, though these
	are usually created via TextBuffer.
	* gtk/src/toolbar.hg: Added set_icon_size(), unset_icon_size().
	* gtk/src/window.hg: Added set_opacity(), get_opacity().
	Added transient_for, and opacity properties.

2007-05-26  Jonathon Jongsma  <jjongsma@gnome.org>

	* gtk/src/gtk_docs_override.xml: update documentation for some FileChooser
	methods which incorrectly stated that the returned list of strings needs to
	be freed with Glib::free()

2.11.1:

2007-05-23  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/gtkmm-tut.xml: renamed the gmmproc appendix to "Wrapping C
	Libraries with gmmproc" so that it shows up better in google searches for
	'gmmproc'

2007-05-09  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/gtkmm-tut.xml: Another big set of changes to improve pdf
	output.  I shortened a lot of the <programlisting> code in the docbook
	document so that things will fit on a printed page / pdf document.  In
	addition, a lot of little changes were made to reduce a lot of unnecessary
	whitespace in the generated PDF (e.g.  don't wrap <programlisting> or
	<itemizedList> elements in empty <para> tags, etc).  This has the advantage
	of streamlining the markup as well.  I didn't make it all of the way through
	the document, will clean up more in the future.
	* examples/book/drag_and_drop/dndwindow.h: shorten another long line in this
	example so that when it's included into the tutorial it fits on a page

2007-05-09  Jonathon Jongsma  <jjongsma@gnome.org>

	* examples/book/comboboxentry/complex/examplewindow.cc: accidentally broke
	the build on this example when reducing the line length

2007-05-08  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/Makefile.am: add a 'pdf' target so that we can build a pdf
	version of the tutorial more easily.  Also fixed the command for the
	'validate' targets and a couple other minor cleanups.

2007-05-08  Jonathon Jongsma  <jjongsma@gnome.org>

	* examples/book/*: modified all of the book examples to make all lines 80
	characters long or less.  This makes it so that the examples have a chance
	of fitting on the page of a printed pdf version of the tutorial book

2007-05-08  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/gtkmm-tut.xml: LOTS of changes to the tutorial to get it to
	validate against the docbook DTD.  This was necessary because if the xml
	wasn't valid then we couldn't use tools such as docbook2pdf to generate a
	pdf version of the tutorial.  Most of the changes involved things such as
	adding <para> elements inside of <note> and <listitem> elements (since these
	elements can't old raw character data, but <para> can).  Also defined some
	entities such as &uuml; in ways that xml validators find acceptable, and a
	few other things.  I have not yet created a makefile rule to build a pdf
	automatically (or at least more easily), but I will do that soon.

2007-05-07  Jonathon Jongsma  <jjongsma@gnome.org>

	* examples/book/custom/custom_widget/mywidget.cc,h: Update the custom widget
	example to use cairo-based drawing instead of the old GDK drawing functions.

2007-05-03  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: Basics: Split part of the example section into
	a Headers and Linking section, with slightly fuller information.
	libglademm section: Describe what you need to include and link for libglademm,
	and link back to the basics section that I just created.

2007-05-01  Johannes Schmid <jhs@gnome.org>

	* gtk/src/style.hg:
	Wrap gtk_style_attach() and gtk_style_detach().
	Bug #351336

2007-05-01  Johannes Schmid <jhs@gnome.org>

	* gtk/src/window.hg: Added static set_default_icon_name() method,
	wrapping gtk_window_set_default_icon_name().
	Bug #364395 (Yuriy Syrota)

2007-05-01  Johannes Schmid <jhs@gnome.org>

	* gtk/src/calendar.hg
	* gtk/src/calendar.ccg
	Bug #350584 – Calendar::get_date() method using Glib::Date

2007-05-01  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_signals.defs: Adjust the GtkStatusIcon::popup_menu signal
	definition, because the GType parameter system can not distinguish between
	guint and guint32 (There is no G_TYPE_UINT32).
	* gtk/src/statusicon.hg: Add signals for the GtkStatusIcon activate and
	popup_menu signals. See the comment in the code about these not being
	public API, but we are adding them anyway because they seem necessary,
	and we cannot get an answer out of the GTK+ maintainers.
	Bug #

2007-05-01  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/statusicon.ccg:
	* gtk/src/statusicon.hg: Added popup_menu_at_position(), as an equivalent for
	the gtk_status_icon_position_menu() helper callback.
	Bug #392948 (Jan Niklas Hasse)

2007-05-01  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/window.hg: Added set_accept_focus(), get_accept_focus(),
	set_focus_on_map() and get_focus_on_map().
	Bug #421936

This is the trunk branch for gtkmm 2.11/12.

2.10.10:

2007-04-30  Johannes Schmid <johannes.schmid@openismus.com>

	* gtk/src/combo.hg:
	* gtk/src/fileselection.hg:
	* gtk/src/optionmenu.hg:
	* gtk/src/progress.hg:

	Use _IS_DEPRECATED instead of _DEPRECATED to sync with
	glibmm HEAD.

2007-04-24  Yselkowitz <yselkowitz@users.sourceforge.net>

        * scripts/macros.m4: Check for both m4 and M4 in the GNU m4 output,
        to fix the build on some platforms.
        Bug #423990

2007-04-18  Armin Burgmeier  <armin@openismus.com>

	* gtk/src/recentmanager.hg:
	* gtk/src/recentmanager.ccg: Made a std::vector<Glib::ustring> out of
	the StringArrayHandle in Gtk::RecentManager::Data because the latter
	is not instantiable and only meant to be used as an intermediate type.

	Also hand-code RecentManager::add_item(const Glib::ustring&, const
	Data&) because we cannot do an easy conversion. We have to fill in a C
	struct instead.
	Bug #388086 (Grant Patterson)

2007-04-12  Armin Burgmeier  <armin@openismus.com>

	* tools/m4/convert_gtk.m4: Removed GtkRadioAction* ->
	Glib::RefPtr<RadioAction> conversion.

	* gtk/src/radioaction.hg: Added a custom conversion from
	GtkRadioAction* to Glib::RefPtr<RadioAction> that increases the
	reference count for the radio action object. The only place where this
	conversion actually is required is the changed signal of the radio
	action, and we need an additional reference there.
	Bug #350734 (Johnathon Jongsma, "pjdavis" Paul Davis)

2007-04-12  Johannes Schmid <johannes.schmid@openismus.com>

	* gtk/src/widget.ccg:
	Added a special case for Gtk::Menu in
	Widget_Class::dispose_vfunc_callback to fix a crash in menu
	destruction.
	Bug #339791 ("pjdavis" Paul Davis, Andrew E. Makeev)

2007-04-14  Marko Anastasov <marko@marko.anastasov.name>

	* docs/FAQ/gtkmm-faq.xml: Emphasised that the use libglademm is
	preferred over glademm. Bug #429043.
	Removed the old libglademm URL entity.

2.10.9:

2007-03-30  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/notebook/examplewindow.cc:
	* examples/book/notebook/examplewindow.h: Connect to the switch-page signal,
	as a demonstration.

2007-03-12  Andrew E. Makeev  <andrew@solvo.ru>

	* gtk/src/treeview.ccg: fix memory leak in get_cursor() function.
	Bug #417539

2007-03-09  Jonathon Jongsma  <jjongsma@gnome.org>

	* gtk/src/gtk_docs_override.xml: fix documentation of
	IconTheme::get_example_icon_name() so that it doesn't imply that the
	returned ustring needs to be freed.

2.10.8:

2007-03-03  Alan Ott  <alan@signal11.us>

	* docs/tutorial/gtkmm-tut.xml: Added a new appendix, about using
	Visual Studio 2005.
	* docs/tutorial/figures/Makefile.am: Mention new screenshots, for the
	new appendix.
	Bug #409102

2007-02-15  Murray Cumming,  <murrayc@murrayc.com>

	* gdk/src/dragcontext.ccg: Use GDK_POINTER_TO_ATOM() instead of a simple
	cast, which is more like GTK+ public API.

2007-02-11  Marko Anastasov  <marko@marko.anastasov.name>

	* docs/tutorial/gtkmm-tut.xml: Updated chapter on internationalization.
	Explains how to set up an autotools-based project, the use of intltool,
	basic instructions how to add a translation and a resources list.

2007-01-28  Daniel Elstner  <daniel.kitta@gmail.com>

	* gtk/src/actiongroup.ccg (ActionGroup::add): Don't use NULL but
	static_cast<char*>(0) to terminate the g_object_get() varargs list,
	to prevent serious breakage on 64-bit systems without GCC magic.
	Please, everyone, do me a favor and don't use NULL in C++ code,
	especially not in conjunction with varargs.  Thanks.

2.10.7:

2007-01-25  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/main.ccg: Destructor: Call the cleanup functions, instead of calling
	init again. This seems to be a copy/paste error from April 2003.
	Bug #383340 from Christopher Raine.

2007-01-20  Murray Cumming  <murrayc@murrayc.com>

	* docs/index.html: Add a Google search, restricted to the gtkmm documentation.

2007-01-12  Marko Anastasov  <marko@marko.anastasov.name>

	* gtk/src/printoperation.ccg: Specify a template specialization for
	Glib::unwrap() to avoid ambiguities detected and reported as errors
	in Sun Workshop on OpenSolaris. Bug #395572 from Tim Mooney.

2006-12-21  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: libglade with derived widgets: Add more explanation
	about the BaseObjectType typedef.
	Patch from Martin Nordholts in bug #387708.

2006-12-11  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/sizegroup.hg: Added class documentation.

2.10.6:

2006-11-28  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/drawable.hg: create_cairo_context(): Specify true to
	the Cairo::Context constructor because we have a starting reference.
	This should prevent a leak an extra reference.
	* gtk/src/printcontext.hg: get_cairo_context():
	* gtk/src/printjob.hg: get_surface(): Pass false to the Cairo constructor,
	because we do not receive a reference, and do not use refreturn(). Previously
	we did two references were one was needed.

2.10.5:

2006-11-24  Johannes Schmid <johannes.schmid@openismus.com>

	* gtk/src/uimanager.ccg:
	Fixed a crasher in error handling when exceptions are disabled

2006-11-24  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: UIManager: Added notes about which
	parts are human-readable and which parts are just IDs, with a
	suggestion about what part to mark for translation.

2006-11-23  Nate Nielsen  <nielsen@memberwebs.com>

	* gtk/src/style.ccg:
	* gtk/src/style.hg: lookup_icon_set(): Hand-code this method,
	so we can copy the result of gtk_style_lookup_icon_set(),
	because it does not give us a new instance.
	Bug #374094

2006-11-22  Cedric Gustin  <cedric.gustin@gmail.com>

	* configure.in: Do not pkgconfig check gtk+-unix-print-2.0 on
	win32, as gtk+-unix-print-2.0.pc is not always included in GTK+
	installers and/or binary archives (like in Tor's binaries).
	Bug #371882 from Alexis Wilke.

2.10.4:

2006-11-21  Rémi Cardona  <remi2402@free.fr>

	* configure.in:
	* gtk/gtkmm-2.4.pc.in: Define a GTKMM_PC_ATKMM_DEP conditional and
	use it so that atkmm is only required when it is built, and not
	when disbaled via --enable-api-atkmm=no.
	Bug #366930 from John N. Laliberte.

2006-11-14  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* gtk/gtkmmconfig.h.in:
	* scripts/reduced.m4: Added --enable-api-maemo-extensions
	configure option, default to false, defining the
	GTKMM_MAEMO_EXTENSIONS_ENABLED macro.
	* gtk/src/textbuffer.hg:
	* gtk/src/textbuffer.ccg: Put the Maemo-specific API in
	ifdefs, using the optional _WRAP_METHOD() parameter.

2006-11-20  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: Optional API appendix: Use the
	<function> tag.

2006-11-14  Daniel Elstner  <daniel.kitta@gmail.com>

	* autogen.sh: Wholly replace this script with a critter from one
	of my personal projects, with slight modifications.  This one does
	some sophisticated stuff like probing version numbers of available
	automake and aclocal executables, in order to choose the right one
	accordingly.  All this is necessary to make the build system work
	robustly in custom environments such as Maemo where automake-1.9
	doesn't come preinstalled.
	While we're at it, kill some old cruft such as the check for GNU
	make.  This test was kind of pointless as the $MAKE variable was
	never exported.  Also get rid of the --enable-warnings=hardcore
	magic; this just doesn't belong here and could cause unnecessary
	trouble to non-developers.

2006-11-13  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Doxyfile.in: Add missing PREDEFINES so that we build
	documentation only for the normal API.

2006-11-12  Ralf Stephan    <ralf@ark.in-berlin.de>

	* gdk/src/drawable.hg: Add comment paragraph about using cairo.

2006-11-10  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* tests/Makefile.am:
	* tests/main.cc: Add new test, with commented-out test for an alternative
	API that I will add to glibmm.

2.10.3:

2006-11-08  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/adjustment.ccg:
	* gtk/src/adjustment.hg: Hand-code the constructor so that we can provide
	the g_object_new() properties in a non-standard order, so that the value
	is not ignored. This is what gtk_adjustment_new() does too.
	Bug #369335 from Daniel Holbach, via Vincent Levesque in the Ubuntu
	Launchpad bug-tracker.

2006-10-11  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: Added an appendix describing the optional
	API for reduced resources devices, and the corresponding ifdefable macros.

2006-10-11  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/gdk_docs_override.xml: Provide a corrected version of the
	Drawable::get_image() method, to avoid mentioning a function that
	does not exist in gtkmm. Bug #358268 from Evgeny Rippi.

2006-10-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs_override.xml: Correct the documentation for
	gtk_container_remove() and gtk_widget_add_mnemonic_label() to
	avoid mention of non-existant destroy signal and destroy() method.
	Thanks to Nickolai Dobrynin for pointing this out.

2006-10-10  Murray Cumming  <murrayc@murrayc.com>

	* docs/index.html: Correct the links to the Memory Management
	and libglademm chapters.

2006-10-02  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/listviewtext.cc: get_column_title():
	Use "" instead of Glib::ustring() in
	g_return_val_if_fail() to fix an odd build problem with
	gcc 3.3.6. Bug #352226. (Thomas Zajic)

2006-10-01  Murray Cumming  <murrayc@murrayc.com>

	* Makefile.am:
	* docs/FAQ/Makefile.am:
	* docs/Makefile.am:
	* docs/Makefile_web.am_fragment:
	* docs/images/Makefile.am:
	* docs/reference/Makefile.am:
	* docs/tutorial/Makefile.am:
	* examples/Makefile.am: Upload to the new hoster instead of to sourceforge.
	Abstracted the host and path names into docs/Makefile_web.am_fragment to
	avoid duplication.

2.10.2:

2006-09-21  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* examples/book/socket/Makefile.am: remove source file dependency on a
	non-existent file.  This was part of an earlier example, but I simplified
	the example and removed this file so that it would be easier to understand,
	but forgot to remove it from the Makefile.am

2006-09-19  Johannes Schmid <jhs@gnome.org>

	* scripts/reduced.m4: Added GTKMM_ARG_ENABLE_API_ATKMM() to
	add the --enable-api-atkmm configure option.
	* configure.in: Use GTKMM_ARG_ENABLE_API_ATKMM, and optionally
	use the atkmm subdirectory (and its children).
	* gtk/gtkmmconfig.h.in: undef GTKMM_ATKMM_ENABLED so that
	it will be defined (or not) in gtkmmconfig.h.
	* Makefile.am: Optinally build in the atkmm directory..
	* demos/Makefile.am:
	* demos/gtk-demo/Makefile.am:
	* examples/Makefile.am_fragment:
	* tests/Makefile.am_fragment:
	* gtk/gtkmm/Makefile.am: Make linking and including of
	atkmm optional.
	* gtk/src/main.ccg: Only call Atk::wrap_init() if atkmm is enabled.
	* gtk/src/widget.hg: Only derive from (and implement)
	Atk::Implementor if atkmm is enabled.
	get_accessible():
	* gtk/src/combobox.hg: get_popup_accessible():
	Use the extra ifdef GTKMM_ATKMM_ENABLED option to put ifdefs around this
	API, so that it will not be built if we do not have atkmm.
	Note that this needs the latest glibmm.

2006-09-19  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* configure.in, docs/tutorial/figures/Makefile.am,
	docs/tutorial/figures/socket-fail.png, docs/tutorial/figures/socket.png,
	docs/tutorial/gtkmm-tut.xml, examples/book/Makefile.am,
	examples/book/socket/.cvsignore, examples/book/socket/Makefile.am,
	examples/book/socket/plug.cc, examples/book/socket/socket.cc: added new
	chapter to the tutorial on Gtk::Plug and Gtk::Socket, including a simple
	example program and a couple of screenshots.

2006-08-23  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* configure.in: re-enabled --disable-demos configure option.  It was
	disabled due to a bit of stupidity on my part.

2.10.1:

2006-08-21  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* NEWS: update for 2.10.1 release

2006-08-21  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* gtk/src/button.hg: fix a typo in the new API for
	Gtk::Button::get_image_position() (was set_image_position()).  Fixes bug
	number 352088.
	* configure.in: bumped revision to 2.10.1 for new release, disabled
	configuration switch for disabling demos because it was breaking 'make
	distcheck' and I couldn't get it figured out in time for a release.  For now
	it will just always build the demos.

2006-08-21  Cedric Gustin  <cedric.gustin@gmail.com>

	* MSVC_Net2003/*.vcproj, MSVC_Net2003/gtkmm.sln: Updated for
	gtkmm-2.10.
	* MSVC_Net2003/examples/printing/*: Added printing example.
	* gtk/src/Makefile_list_of_hg.am_fragment: Moved
	pagesetupunixdialog.hg, printer.hg, printjob.hg and
	printunixdialog.hg to files_posix_hg.
	* gtk/src/pagesetupunixdialog.hg, gtk/src/printer.hg,
	gtk/src/printjob.hg, gtk/src/printunixdialog.hg: Tag classes with
	_GTKMMPROC_WIN32_NO_WRAP as they are not supported on win32.
	* configure.in: Added MSVC project file for printing example to
	AC_CONFIG_FILES list. Added pangocairo to the list of packages
	checked by PKG_CHECK_MODULES (required for building DLLs on win32).

2.10.0:

2006-08-17  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Correct the needed cairomm version.
	* gdk/gdkmm/general.h: Add documentation for Cairo::rectangle() and
	Cairo::region().
	* gtk/src/scrolledwindow.hg: get_[v|h]scrollbar(): Do not use refreturn,
	because they are widgets, not just refcountable objects.

2006-08-17  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* docs/tutorial/gtkmm-tut.xml: Fix tutorial to include code for the simple
	printing example

2006-08-16  Marko Anastasov  <marko@marko.anastasov.name>

	* examples/book/printing/advanced/examplewindow.cc:
	* examples/book/printing/advanced/examplewindow.h:
	Bind pointers to RefPtrs of PrintFormOperation. This solves the issue
	of PFOs having unnecessarily increased refcount and makes them deleted
	as soon as they're completed.
	Removed on_printoperation_preview_done() as the settings stay in
	the print dialog anyway.
	* examples/book/printing/advanced/main.cc: Deleted a commented line.
	* examples/book/printing/advanced/previewdialog.cc:
	* examples/book/printing/advanced/previewdialog.h:
	Explained the use of m_SpinAdjustment.
	* examples/book/printing/advanced/printformoperation.cc:
	* examples/book/printing/advanced/printformoperation.h:
	Uncommented the code for custom tab in print dialog. Within
	on_create_custom_widget(), use Gtk::manage() for the main vbox too.
	Removed signal_preview_done.

	Also removed the g_debugs and reformatted some lines in all files.

2006-08-15  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Require the latest cairomm (0.7.0), which we
	apparently need.

2006-08-11  Marko Anastasov  <marko@marko.anastasov.name>

	* gtk/src/pagesetup.hg
	* gtk/src/pagesetupunixdialog.hg
	* gtk/src/printcontext.hg:
	* gtk/src/printer.hg:
	* gtk/src/printoperation.hg:
	* gtk/src/printunixdialog.hg:
	* gtk/src/recentchooser.hg:
	* gtk/src/recentchooserdialog.hg:
	* gtk/src/recentchoosermenu.hg:
	* gtk/src/recentchooserwidget.hg:
	* gtk/src/recentfilter.hg:
	* gtk/src/recentinfo.hg:
	* gtk/src/recentmanager.hg: Added or updated from C docs.
	* gtk/src/printoperationpreview.hg: Removed a TODO about ready and
	got_page_size signals.

2006-08-11  Marko Anastasov  <marko@marko.anastasov.name>

	* docs/tutorial/figures/Makefile.am:
	* docs/tutorial/figures/printing.png: Added a screenshot of the main
	window of the printing example(s).
	* docs/tutorial/gtkmm-tut.xml: Minor changes to the printing chapter:
	fixed end_print() explanation, mentioning of the advanced example and
	the title of the example figure.

2.9.10:

2006-08-05  Johannes Schmid  <jhs@cvs.gnome.org>

	* docs/tutorial/gtkmm-tut.xml:
	Utility is called enum.pl not enums.pl (#350028)

2006-08-03  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/printing/advanced/previewdialog.cc:
	* examples/book/printing/advanced/previewdialog.h:
	Store the print context as a member variable instead of using sigc::bind
	to use it in on_drawing_area_realized(). Null the print context and preview
	refptrs when we call end_preview(), because we have stopped using them,
	and maybe we should not be keeping their objects alive.

2006-08-03  Marko Anastasov  <marko@marko.anastasov.name>

	* examples/book/printing/advanced/previewdialog.cc:
	* examples/book/printing/advanced/previewdialog.h:
	* examples/book/printing/advanced/printformoperation.cc:
	Don't pass page_count as a ctor parameter but access it directly via
	m_pOperation when needed. It's also incorrect the first way because
	it has not yet been determined at the point of PreviewDialog's
	construction. Added an Adjustment to use it with the spin button
	in PreviewDialog so that spinning within multiple pages actually works.

2006-08-03  Marko Anastasov  <marko@marko.anastasov.name>

	* examples/book/printing/advanced/previewdialog.cc:
	Added forgotten call to hide() in on_close_clicked().

2006-08-03  Marko Anastasov  <marko@marko.anastasov.name>

	* examples/book/printing/advanced/previewdialog.cc:
	* examples/book/printing/advanced/previewdialog.h:
	Added on_hide(), so that we call PrintOperationPreview's end_preview()
	on window manager's close action too.

2006-08-02  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/printing/advanced/previewdialog.cc: Constructor:
	Improve the packing of the widgets.
	on_popreview_got_page_size(): Add a comment to explain.

2006-08-02  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/printing/advanced/previewdialog.cc:
	Constructor: Initialize m_DpiX and m_DpiY, as noticed by valgrind.
	Connect to signals here instead of later, so we do not risk connecting
	more than once.
	on_drawing_area_realized(): Check gdk_window is not null before using it.
	on_popreview_got_page_size(): Check that drawing_area is realized before
	trying to get its allocation. Possibly not necessary. Check the pango
	layout is not null before using it.
	* examples/book/printing/advanced/printformoperation.cc: on_draw_page():
	Check that the print context and pango layout are not null before using
	them.
	* examples/book/printing/advanced/printformoperation.h: Connect to the
	hide signal of the dialog instead of delete_event().

2006-08-02  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/printing/advanced/previewdialog.cc:
	* examples/book/printing/advanced/previewdialog.h: Rename the signal
	handlers so it is is bit clearer. Use show_all_children() instead of
	show_all() so that the caller can decided when to show the window.
	* examples/book/printing/advanced/printformoperation.cc: Use show(),
	and set the dialog pointer to 0 after deleting it.

2006-08-02  Armin Burgmeier  <armin@arbur.net>

	* gtk/src/fontbutton.hg: Renamed constructor argument to font_name
	for gmmproc to produce the correct property name.


2006-08-02  Marko Anastasov  <marko@marko.anastasov.name>

	* examples/book/printing/advanced/previewdialog.cc:
	* examples/book/printing/advanced/previewdialog.h:
	* examples/book/printing/advanced/printformoperation.cc:
	* examples/book/printing/advanced/printformoperation.h:
	Further efforts to fix #347857. See comment #14.
	* gtk/src/pagesetup.hg:
	Removed some commented conversions for PaperSize which haven't been
	used ever since convert_gtk.m4 contains the necessary.
	* gtk/src/printoperationpreview.hg:
	Fixed the conversion for PrintContext which takes a reference and fixes
	some of the problems in the bug. Uncommented ready and got_page_size
	signals.
	* tools/m4/convert_gtk.m4:
	Made both conversions for PaperSize (C to Cpp) take a reference.
	Removed two unnecessary conversions for PrintContext.

2006-08-01  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* docs/tutorial/figures/Makefile.am:
	* docs/tutorial/figures/recentchooserdialog.png:
	* docs/tutorial/gtkmm-tut.xml: added a screenshot of the RecentChooserDialog
	and a bit of additional explanation to the example

2006-08-01  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/recentchooser.ccg:
	* gtk/src/recentchooser.hg:
	* gtk/src/recentinfo.ccg:
	* gtk/src/recentinfo.hg:
	* gtk/src/recentmanager.ccg:
	* gtk/src/recentmanager.hg: Move RecentInfoTraits into recentinfo.hg, and
	use it for RecentManager::get_items() as well as the existing
	RecentChooser::get_items().

2006-07-30  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/recentchooser.ccg:
	* gtk/src/recentchooser.hg:
	* gtk/src/recentinfo.hg:
	* gtk/src/recentmanager.hg: Use RecentInfo via RefPtr always.
	* tools/m4/convert_gtk.m4:

2006-07-27  Murray Cumming  <murrayc@murrayc.com>

	* docs/index.html: Linked to the wiki page.

20c06-07-26  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/recentinfo.hg: Use _CLASS_OPAQUE_REFCOUNTED instead of
	_CLASS_OPAQUE_COPYABLE(), because this struct has ref/unref instead
	of copy/free. This causes the reference() and unreference() methods
	to generated.
	* examples/book/printing/advanced/printformoperation.cc:
	Wrapping C libraries section: Correct the _CLASS_OPAQUE_COPYABLE
	section and mention _CLASS_OPAQUE_REFCOUNTED.

2006-07-25  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* examples/book/recent_files/examplewindow.cc:
	* examples/book/recent_files/examplewindow.h: Fix recent files example so
	that it actually pops up a dialog when you select the recent files menu
	item.  Also added _mnemonics to menu items for easy keyboard navigation :)

2006-07-25  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/printing/advanced/printformoperation.cc:
	* examples/book/printing/advanced/printformoperation.h: Uncomment out
	the on_preview() override again, and add an if that shows that m_refLayout is
	null, because on on_begin_print() has never been called.

2006-07-25  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/printing/advanced/examplewindow.cc:
	* examples/book/printing/advanced/printformoperation.cc:
	* examples/book/printing/advanced/printformoperation.h:
	* examples/book/printing/simple/examplewindow.cc: Made the two examples more
	like each other, so that it is more obvious what is causing the crash,
	though I commented out the crashing override, with a comment.


2006-07-24  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* docs/tutorial/gtkmm-tut.xml: Added preliminary chapter on using the new
	recent files API (RecentManager, RecentChooser, etc).  I really think that
	the recent_files example could use some simplification, but I haven't
	tackled that at all yet.  I'm going to leave out any UIManager / Recent
	files integration for now since it seems like it will be a big manual hack
	until GtkRecentAction gets introduced in GTK+ 2.12
	* examples/book/recent_files/Makefile.am: renamed the executable name that
	seemed to be a copy-paste error and was rather confusing

2.9.9:

2006-07-24  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Depend on glibmm 2.11.3 so that the new defines are available
	for the (default) --enable-api-default-signal-handlers=yes case.
	* gtk/src/printcontext.hg:
	* gtk/src/printer.hg:
	* gtk/src/printjob.hg:
	* gtk/src/printoperation.hg:
	* gtk/src/printoperationpreview.hg:
	* gtk/src/printsettings.hg:
	* gtk/src/printunixdialog.hg: Use our special newin2p10 doxygen keyword.

2006-07-24  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/widget.hg: Moved the new composited_changed signal to the bottom
	because that is where I like them, and because adding virtual methods in
	the middle of other virtual methods changes the offsets of existing
	virtual methods, breaking ABI. Also, used no_default_signal, to avoid
	even having a virtual method, which would increase the object size, breaking
	ABI. I have made this mistake before. This should fix bug #348241.

2006-07-23  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* gtk/src/recentmanager.hg: change API to use overloaded functions instead
	of different function names.  RecentManager::add_full() was changed to
	RecentManager::add_item() per discussion on mailing list.

2006-07-20  Marko Anastasov <marko@marko.anastasov.name>

	* gtk/src/printoperation.hg: Added the forgotten refreturn for
	get_print_settings(), which fixes a part of #347857.

2006-07-20  Marko Anastasov <marko@marko.anastasov.name>

	* examples/book/printing/advanced/examplewindow.h:
	* examples/book/printing/advanced/previewdialog.cc:
	* examples/book/printing/advanced/printformoperation.cc:
	* examples/book/printing/simple/printformoperation.cc:
	Replaced calls to pango_cairo_* functions with their wrappers;
	removed some unnecessary comments.

2006-07-20  Marko Anastasov <marko@marko.anastasov.name>

	* gtk/src/widget.hg: Fixed a typo for input_shape_combine_mask(),
	to wrap the right GTK method.

2006-07-19  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/container.ccg:
 	* gtk/src/entrycompletion.ccg:
	* gtk/src/entrycompletion.hg:
	* gtk/src/widget.ccg: Put custom default signal handlers in #ifdefs so that
	gtkmm builds when --enable-api-default-signal-handlers was used with glibmm.

2006-07-19  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/spinbutton.hg: Wrap the new wrapped signal, without
	a default handler because that would break ABI.

2006-07-18  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* examples/*: reverted changes to includes in example programs

2.9.8:

2006-07-18  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/textbuffer.ccg:
	* gtk/src/textbuffer.hg: Wrapped some of the functions from gtktextbufferrichtext.h,
	but left some of it commented-out while I discover how it should work, to avoid
	creating a bad API that we can not change later.

2006-07-10  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* gtk/src/widget.ccg:
	* gtk/src/widget.hg: wrapped is_composited(), composited_changed signal,
	input_shape_combine_mask(), unset_input_shape_combine_mask()

2006-07-16  Murray Cumming  <murrayc@murrayc.com>

	* docs/index.html: Update links, because inserting the printing chapter increased
	subsequent chapter numbers.
	* docs/tutorial/gtkmm-tut.xml: Wrapping C libraries: Mentioned _WRAP_ENUM().
	* gtk/src/togglebutton.ccg:
	* gtk/src/togglebutton.hg: Added a constructor that takes a stock item, like
	Button already has.

2006-07-13  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: Minor corrections to the language in the
	new printing chapter.

2006-07-13  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: gmmproc appendix: Corrected the description of
	the _DEFS() macro, and mention not to include C headers in C++ headers.

2006-07-12  Marko Anastasov <marko@marko.anastasov.name>

	* docs/tutorial/gtkmm-tut.xml: Added a chapter about printing.

2006-07-12  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: Added an appendix about wrapping C libraries with
	gmmproc, including the various things you need to change when copying an
	existing project.

2006-07-10  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* docs/index.html: update to match the style of the new website a bit
	* docs/tutorial/style.css: change the style of the tutorial slightly to
	match the website style.  These are just minor tweaks.  Ideally I think they
	should both get a bit more of an overhaul.

2006-07-09  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* .cvsignore: add a whole bunch of files to .cvsignore

2006-07-09  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* examples/*: Don't include <gtkmm.h> if possible.  Modified all examples to
	only include the headers that they absolutely need.  Hopefully this speeds
	up compilation at least slightly and reduces the amount of recompilation
	needed for examples due to unrelated changes.

2006-07-08  Marko Anastasov <marko@marko.anastasov.name>

	* examples/book/printing/simple/examplewindow.cc:
	* examples/book/printing/simple/main.cc:
	* examples/book/printing/simple/printformoperation.cc:
	Minor code cleanup to fit the tutorial.

2006-07-08  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/entrycompletion.hg:
	* gtk/src/iconview.hg:
	* gtk/src/treeviewcolumn.hg: Added TODOs to mention new bases clases
	(interfaces that these GTypes now implement) that we may not add as
	base classes without breaking C++ ABI.

2006-07-08  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/printoperationpreview.hg: Commented-out the signals, with a TODO,
	for now because they seem to cause a crash when viewing the preview.

2006-07-08  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/printoperation.hg: Derive from, and implement, PrintOperationPreview,
	so that the dynamic_cast in the Glib::wrap() in on_preview() can succeed.
	* examples/book/printing/advanced/examplewindow.cc:
	* examples/book/printing/simple/examplewindow.cc: Do not set a window
	border width. It looks odd, and it is not normal to have a border around the
	menu.

2006-07-08  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/printing/advanced/Makefile.am:
	* examples/book/printing/simple/Makefile.am: Rename the executable to
	example, to match the other examples.

2006-07-07  Marko Anastasov <marko@marko.anastasov.name>

	* configure.in
	* examples/book/printing/Makefile.am: Split the printing example into
	"simple" and "advanced".
	* examples/book/printing/advanced/:
	* examples/book/printing/advanced/Makefile.am:
	* examples/book/printing/advanced/examplewindow.cc:
	* examples/book/printing/advanced/examplewindow.h:
	* examples/book/printing/advanced/main.cc:
	* examples/book/printing/advanced/previewdialog.cc:
	* examples/book/printing/advanced/previewdialog.h:
	* examples/book/printing/advanced/printformoperation.cc:
	* examples/book/printing/advanced/printformoperation.h:
	Advanced example meant to demonstrate how to extend the print dialog
	and create a custom preview dialog.
	* examples/book/printing/simple:
	* examples/book/printing/simple/Makefile.am:
	* examples/book/printing/simple/examplewindow.cc:
	* examples/book/printing/simple/examplewindow.h:
	* examples/book/printing/simple/main.cc:
	* examples/book/printing/simple/printformoperation.cc:
	* examples/book/printing/simple/printformoperation.h:
	Printing API example showing the essential work, relying on the
	external viewer program (previewing still needs more work).

2006-07-07  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/pagesetup.hg:
	* gtk/src/papersize.hg:
	* gtk/src/printer.hg:
	* gtk/src/printjob.hg:
	* gtk/src/printoperationpreview.hg:
	* gtk/src/printsettings.hg: Added class documentation, based on the
	C documentation.
	* gtk/src/printoperation.ccg:
	* gtk/src/printoperation.hg: custom_widget_appl signal: Pass the
	widget by pointer, in case the C developers ever decide that it may be null.
	SlotPrintSetupDone: Pass a _const_ RefPtr.
	run_page_setup_dialog_async(), run_page_setup_dialog(): Pass _const_ PageSetup and
	PrintSettings, because I think the function does not change them.
	* examples/book/printing/examplewindow.cc:
	* examples/book/printing/examplewindow.h:
	* examples/book/printing/previewdialog.cc:
	* examples/book/printing/previewdialog.h:
	* examples/book/printing/printformoperation.cc:
	* examples/book/printing/printformoperation.h: Some renaming and comments and TODOs.

2006-07-07  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Remove the mention of examples/printing, because
	it is in examples/book/printing instead.

2006-07-06  Marko Anastasov <marko@marko.anastasov.name>

	* configure.in
	* examples/book/Makefile.am: Include the printing example.
	* examples/book/printing/
	* examples/book/printing/Makefile.am:
	* examples/book/printing/examplewindow.cc:
	* examples/book/printing/examplewindow.h:
	* examples/book/printing/main.cc:
	* examples/book/printing/previewdialog.cc:
	* examples/book/printing/previewdialog.h:
	* examples/book/printing/printformoperation.cc:
	* examples/book/printing/printformoperation.h: New files -
	example of the printing API. Previewing is not finished.

2.9.7:

2006-07-05  Marko Anastasov <marko@marko.anastasov.name>

	* demos/gtk-demo/example_change_display.cc:
	* pango/src/tabarray.ccg: Fix the build by preventing warnings with
	small workarounds.
	* gtk/src/gtk_signals.defs: Restored defs for PrintOperationPreview.
	* gtk/src/printcontext.hg: Removed a TODO for ctor - it's always
	exposed through PrintOperation's signals.

2006-07-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_signals.defs: Restored Printer and PrintJob defs.

2006-07-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_signals.defs: Restored the Print*Unix stuff.

2006-07-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/scrolledwindow.hg: Reimplemented get_h/vscrollbar() with the
	new methods in GTK+.
	* gtk/src/selectiondata.ccg:
	* gtk/src/selectiondata.hg: Added targets_include_rich_text().
	* gtk/src/sizegroup.hg: Added get/set_ignore_hidden().
	* gtk/src/statusicon.hg: Added size_changed signal.
	* gtk/src/gtk_signals.defs: Regenerated.
	* gtk/src/notebook.hg: Added page_reordered, page_removed, and page_added
	signals.

2006-07-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/printoperation.hg: Wrap the preview signal, using PrintOperationPreview
	via RefPtr, which might be appropriate. The refcounting might need examination.

2006-07-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/printoperation.hg: Commented-out the preview signal for now, because
	the conversion is bad/wrong, and it is difficult to do, because gmmproc
	assumes that we want to deal with the interface via RefPtr.

2006-06-30  Marko Anastasov <marko@marko.anastasov.name>

	* gtk/src/printoperation.hg: Added a default value of
	PRINT_OPERATION_ACTION_PRINT_DIALOG to the version of run() without
	std::auto_ptr<Glib::Error>.

2006-06-25  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* docs/tutorial/gtkmm-tut.xml: add links to gtkmm_hello and gnomemm_hello
	programs.  Patch from Gezim Hoxha (fixes #345894)

2006-06-25  Marko Anastasov <marko@marko.anastasov.name>

	* docs/tutorial/gtkmm-tut.xml: Fixed the sentence explaining
	disconnect() in the Timeouts chapter. #345848 from Gezim Hoxha.

2006-06-24  Marko Anastasov <marko@marko.anastasov.name>

	* gtk/src/printcontext.hg: Renamed the const function get_cairo()
	to get_cairo_context(), to match the original.

2006-06-24  Marko Anastasov <marko@marko.anastasov.name>

	* docs/tutorial/gtkmm-tut.xml: Typo correction in the Clipboard
	chapter by Gezim Hoxha.

2.9.6:

2006-06-21  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/printjob.ccg:
	* gtk/src/printjob.hg: send_job(): This no longer throws an
	exception, because the C function no longer takes a GError*.
	* gtk/src/statusicon.ccg:
	* gtk/src/statusicon.hg: get_geometry(): Compilation fixes.

2006-06-21  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/label.hg: Added get/set_line_wrap_mode() and property.
	* gtk/src/menushell.hg: Added get/set_take_focus() and property.
	* gtk/src/printsettings.ccg:
	* gtk/src/printsettings.hg: Put the standard settings in a member
	class as static const Glib::ustrings, initialized in the .cpp file.
	* gtk/src/statusicon.ccg:
	* gtk/src/statusicon.hg: Added get_geometry().

2006-06-21  Marko Anastasov <marko@marko.anastasov.name>

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/printer.ccg:
	* gtk/src/printer.hg: Wrapped get_job_count() which was accidentaly
	in the ignore list. New function: enumerate_printers().

2006-06-21  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/printunixdialog.ccg: Add the Gtk:: prefix for Label, to
	fix the build, and include the label.h header.

2006-06-20  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/printoperation.hg: Include the C header in the private/*.h
	file, so that it can use the enum.
	* gtk/src/printsettings.hg: Remove PRINT_SETTINGS_PRINT_TO_FILE.
	We really need to make this more like the Stock IDs.

2006-06-20  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_enums.defs: Updated with enums.pl
	* gtk/src/messagedialog.hg: Added set_image() and property.
	* gtk/src/printoperation.hg: Do not include gtkprintoperation.h.
	preview signal: Pass parent window as pointer, in case it is null.
	* gtk/src/printoperationpreview.hg: Signals: Do not use
	no_default_handler, because this class is new so we do not need to
	preserver ABI.
	* gtk/src/printunixdialog.ccg:
	* gtk/src/printunixdialog.hg: Added add_custom_tab() overload that
	takes a ustring.
	* gtk/src/printsettings.hg: Remove get/set_print_to_file(), because
	the C function was removed from GTK+.
	* gtk/src/treeview.hg: Correct return type of get_grid_lines().
	* tools/m4/convert_gtk.m4: Add conversion for TreeViewGridLines enum.

2006-06-20  Marko Anastasov  <marko@marko.anastasov.name>

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/gtk_signals.defs: Updated the whole section for
	PrintOperation.
	Added defs for PrintOperationPreview: ready and got_page_size.
	Added accepts_pdf ans accepts_ps properties for Printer.
	* gtk/src/gtk_vfuncs.defs: Added a section for PrintOperationPreview
	with render_page, end_preview and is_selected.
	* gtk/src/printer.hg: New functions (properties likewise):
	accepts_pdf() and accepts_ps().
	* gtk/src/printjob.ccg: Include gtktypebuiltins.h.
	* gtk/src/printjob.hg: New enum: PrintCapabilities.
	* gtk/src/printoperation.ccg:
	* gtk/src/printoperation.hg: Added a version of run() without
	the Window parameter.
	New signals: done, create_custom_widget, custom_widget_apply,
	and preview.
	Renamed properties: number_of_pages and pdf_target. Added n_pages
	and export_filename instead, and custom_tab_label.
	* gtk/src/printoperationpreview.ccg:
	* gtk/src/printoperationpreview.hg: New files.
	* gtk/gtkmm.h:
	* gtk/src/Makefile_list_of_hg.am_fragment: Include the new files.
	* gtk/src/printunixdialog.hg: New functions: add_custom_tab and
	set_manual_capabilities.
	* tools/m4/convert_gtk.m4: Added new conversions.

2006-06-19  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.hg: Added get/set_rubber_banding(),
	get/set_grid_lines(), get/set_enable_tree_lines().
	Added properties for show-expanders, level-indentation,
	rubber-banding, enable-grid-lines, and enable-tree-lines.

2.9.5:

2006-06-19  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.ccg: Provide implementation for
	set_search_position_func(). Bug #344787 from
	Elijah Newren.

2006-06-19  Elijah Newren  <newren gmail com>

	* autogen.sh: Turn on -Werror for gcc-4.x too.  #345245

2006-06-17  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* gtk/gtkmm/accelmap.cc: add missing initializer (fixes #344788)

2006-06-16  Elijah Newren  <newren gmail com>

	* gtk/src/recentchooser.hg: release_c_type: fix an unused variable
	warning.  #344786

2006-06-16  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/notebook.ccg: SignalProxy_WindowCreation_gtk_callback:
	Comment-out unused source parameter and return a value when an
	exception is caught, to prevent compiler warnings.
	Bug #344771 from Elijah Newren.

2006-06-13  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* pango/pangomm-1.4.pc.in: add pangocairo dependency (fixes #344802).
	Thanks to Elijah Newren.

2006-06-13  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* examples/book/treeview/listviewtext/examplewindow.cc:
	* examples/book/treeview/listviewtext/examplewindow.h: fixed an
	initialization order error when compiling with -Werror (fixes #344789)

2006-06-13  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/aboutdialog.ccg: set_url_hook(): Pass the slot pointer instead of a
	pointer to the slot pointer, so that this works again.

2006-06-11  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/assistant.hg: Added update_buttons_state().
	* gtk/src/button.hg: Added get/set_image_position() and property.
	* gtk/src/clipboard.ccg:
	* gtk/src/clipboard.hg: Added request_rich_text(), wait_for_rich_text(),
	and wait_rich_text_is_available().
	util_convert_atoms_to_strings(): Prevent memory leak of the result of
	gdk_atom_name().
	* gtk/src/entry.hg: Added get/set_inner_border().

2006-06-10  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/screen.hg: Added get_rgba_visual(), get_rgba_colormap().
	* pango/src/context.ccg:
	* pango/src/context.hg: Added get_matrix().
	* pango/src/renderer.ccg:
	* pango/src/renderer.hg: Added get_matrix().

2006-06-08  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/custom/custom_widget/custom_gtkrc:
	* examples/book/custom/custom_widget/mywidget.cc:
	* examples/book/custom/custom_widget/mywidget.h: Make the RC file stuff
	work - the secret is that the style value is only available when the
	widget has been realized. However, this only works at the moment when
	hacking glibmm to change the gtkmm_ prefix to Gtkmm_, due to bug #343012.
	* gtk/src/notebook.ccg: set_window_creation_hook(): Adapt to the changed GTK+ C
	API, supplying the destroy notification.
	* gtk/src/printoperation.hg: Removed set_show_dialog(), set_pdf_target(),
	set_track_print_status(), run_async().
	Added set_export_filename(), set_track_print_status(),
	set_show_progress(), set_allow_async(), set_custom_tab_label().
	This is to match the C API.
	* pango/src/font.ccg:
	* pango/src/font.hg: Added describe_with_absolute_size(), get_font_map().
	* pango/src/fontdescription.hg: Added set_absolute_size(), get_size_is_absolute().
	* pango/src/layout.hg: Added get_font_description(), index_to_line_x().
	* tools/m4/convert_pango.m4: Added necessary conversion.

2006-06-07  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_enums.defs: Updated with enumpl.
	* gtk/src/gtk_methods.defs: Updated with h2defs.pyt
	* gtk/src/notebook.ccg:
	* gtk/src/notebook.hg: Added set_group_id(), get_group_id(),
	get_tab_reorderable(), set_tab_reorderable(),
	get_tab_detachable(), set_tab_detachable().
	* gtk/src/printcontext.hg: Added set_cairo_context().
	* gtk/src/printoperation.hg: run(): Added PrintOperationAction
	parameter.
	* tools/m4/convert_gtk.m4: Added necessary conversion.

2.9.4:

2006-06-06  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs: Updated with h2defs.py.

2006-06-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/printcontext.hg: get_cairo() renamed to get_cairo_context(),
	get_fontmap() renamed to get_pango_fontmap(),
	create_context() renamed to create_pango_context(),
	create_layout() renamed to create_pango_layout(), to match the changes in
	GTK+.
	* gtk/src/printjob.ccg:
	* gtk/src/printjob.hg: send(): Handle the exception and add the ifdefed
	alternative for --enable-api-exceptions=no.
	Comment out get_surface() const, because it does not seem to build with
	--enable-api-exceptions at the moment. Added a TODO for that.

2006-05-29  Murray Cumming  <murrayc@murrayc.com>

	* pango/src/Makefile_list_of_hg.am_fragment:
	* pango/src/cairofontmap.ccg:
	* pango/src/cairofontmap.hg: Added wrapper of the CairoFontMap interface.
	* pango/src/context.ccg:
	* pango/src/context.hg: Added update_from_cairo_context(),
	set_cairo_font_options(), set_cairo_font_options(), get_font_options(),
	set_resolution(), get_resolution().
	* pango/src/glyphstring.ccg:
	* pango/src/glyphstring.hg: Added TODO for pango_cairo_glyph_string_path().
	* pango/src/layout.ccg:
	* pango/src/layout.hg: Added create(Cairo::Context), update_from_cairo_context(),
	add_to_cairo_context()
	* pango/src/layoutline.ccg:
	* pango/src/layoutline.hg: Added show_in_cairo_context(), add_to_cairo_context().
	* pango/src/pango_methods.defs: Updated with h2defs.py.
	* tools/m4/convert_pango.m4: Added necessary conversions.

2006-05-26  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* examples/treemodelcustom/exampletreemodel.cc: remove interface
	registration statements from constructor of the example custom treemodel
	which were causing runtime warnings.

2006-05-26  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/custom/custom_widget/custom_gtkrc: Add the type prefix
	in the style block, which is apparently needed, though it still says it
	is an invalid identifier.
	* examples/book/custom/custom_widget/mywidget.cc: Use _ instead of -
	for the style name, in case that is a problem.

2006-05-26  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Doxyfile.in: In PREDEFINED, set
	GLIBMM_VFUNCS_ENABLED, GLIBMM_PROPERTIES_ENABLED, and
        GLIBMM_EXCEPTIONS_ENABLED so that those parts of the API
	show up in the documentation.
	* examples/book/custom/custom_widget/custom_gtkrc:
	* examples/book/custom/custom_widget/mywidget.cc:
	Attempt (so far unsuccessfully) to show how to make an
	aspect of a custom widget themable.

2006-05-22  Marko Anastasov <marko@marko.anastasov.name>

        * gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
        * gtk/src/gtk_signals.defs: Added paginate signal for PrintOperation.
        * gtk/src/printer.hg: Ignore gtk_printer_compare.
        * gtk/src/printjob.hg: Added set/get_track_print_status().
        * gtk/src/printoperation.hg: Added set_track_print_status() and cancel()
        methods, paginate signal.

2006-05-19  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: RefPtr appendix: Reword the bit about using
	an official shared_ptr<>. It would not be that easy.
	* gtk/src/gtk_docs_override.xml: gtk_table_get_homogenous(). Override because
	gtk_table_get_homogenous() is for some reason not being automatically changed to
	get_homongenous().

2.9.3:

2006-05-18  Murray Cumming  <murrayc@murrayc.com>

        * gdk/src/pixbufloader.hg: Add _CONVERSION() needed by write(), now that
        glibmm actually does the conversion.
        * gtk/src/editable.hg: Use _VFUNC_H() as we did before the big #ifdef changes.
        There is no need to stop using it, and it keeps the vfunc order the same as before.

2006-05-16  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* docs/tutorial/gtkmm-tut.xml: update the appendix of the tutorial about
	building with jhbuild

2006-05-16  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* docs/tutorial/Makefile.am: fix tutorial stylesheet location so that
	locally installed documentation can find the stylesheet.  Now the locally
	installed documentation and the published website documentation both install
	the stylesheet in the same relative location.

2006-05-16  Marko Anastasov <marko@marko.anastasov.name>

	* gtk/src/pagesetupunixdialog.ccg:
	* gtk/src/pagesetupunixdialog.hg: Changed constructor to make parent be the
	first parameter, and added an overload without it.
	* gtk/src/printjob.hg:
	* gtk/src/printoperation.hg: Fix some property wrappers to take RefPtrs when
	a property is a Glib object.
	* gtk/src/printunixdialog.ccg:
	* gtk/src/printunixdialog.hg: Constructor and property changes as above.

2006-05-16  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/actiongroup.ccg: add(): Pass char** instead of char*.

2006-05-16  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/actiongroup.ccg: add(): Use NULL instead of 0 with g_object_get(), to
	avoid the warning about a missing sentinel.

2006-05-16  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/actiongroup.ccg: add(): Use g_object_get(), not
	g_object_get_data() to get property data. Fixes a memory corruption crash.
	This was another regression introduced by the optional API changes.
	Bug #341895 from Philip Langdale.

2006-05-16  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/pagesetupunixdialog.hg:
	* gtk/src/printunixdialog.hg: Added TODO comments.
	* gtk/src/printer.hg:
	* gtk/src/printjob.hg: set_source_file(): Changed filename parameter
	from ustring to std::string.
	* tools/m4/convert_gtk.m4: Remove an unnecessary conversion.

2006-05-16  Marko Anastasov <marko@marko.anastasov.name>

	* gtk/src/pagesetupunixdialog.ccg:
	* gtk/src/pagesetupunixdialog.hg:
	* gtk/src/printer.ccg:
	* gtk/src/printer.hg:
	* gtk/src/printjob.ccg:
	* gtk/src/printjob.hg:
	* gtk/src/printunixdialog.ccg:
	* gtk/src/printunixdialog.hg: New files - Unix printing API.
	* gtk/src/gtk_signals.defs: Added signal and property defs for new files.
	* gtk/src/printcontext.hg : Fixed typo for get_cairo()
	and brought back create_layout().
	* gtk/src/Makefile_list_of_hg.am_fragment:
	* gtk/gtkmm.h: Include new files.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Added get_defs() calls
	for new types, but commented because the current gtk.h doesn't include
	their headers.
	* tools/m4/convert_gtk.m4: Added conversions for GtkPrinter.

2006-05-16  Paul Davis  <pjdavis@engineering.uiowa.edu>

	* gtk/src/table.hg: fix error when trying to remove a widget from a table
	using Table_Helpers::TableList.erase() (fixes bug #341962)

2006-05-15  Murray Cumming  <murrayc@murrayc.com

	* docs/tutorial/gtkmm-tut.xml: Some typo corrections from Simon Fuhrmann.

2006-05-13  Murray Cumming  <murrayc@murrayc.com

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gtk/src/printoperation.hg: Change set_nr_of_pages() to set_n_pages().
	* gtk/src/printsettings.hg: Change set/get_num_copies() to set/get_n_copies().
	* gtk/src/recentmanager.hg: add_full(): This no longer throws an
	exception.

2.9.2:

2006-05-12  Murray Cumming  <murrayc@murrayc.com

	* gtk/src/uimanager.ccg: Fix a typo to fix the build when not disabling
	exceptions.

2.9.1:

2006-05-11  Murray Cumming  <murrayc@murrayc.com

	* demos/gtk-demo/demowindow.cc:
	* demos/gtk-demo/example_iconview.cc: More adapting for the optional API.

2006-05-11  Murray Cumming  <murrayc@murrayc.com

	* demos/gtk-demo/demo-common.cc:
	* demos/gtk-demo/example_iconview.cc:
	* demos/gtk-demo/example_images.cc:
	* demos/gtk-demo/example_pixbufs.cc:
	* demos/gtk-demo/example_textview.cc:
	* demos/gtk-demo/example_uimanager.cc:
	* demos/pixbuf-demo.cc:
	* docs/tutorial/Makefile.am:
	* examples/book/custom/custom_container/examplewindow.cc:
	* examples/book/iconview/examplewindow.cc:
	* examples/book/input/main.cc:
	* examples/book/menus/main_menu/examplewindow.cc:
	* examples/book/menus/popup/examplewindow.cc:
	* examples/book/menus_and_toolbars/examplewindow.cc:
	* examples/book/recent_files/examplewindow.cc:
	* examples/exception/exceptiontest.cc:
	* gdk/src/pixbuf.ccg:
	* gdk/src/pixbuf.hg:
	* gdk/src/pixbufloader.ccg:
	* gdk/src/pixbufloader.hg:
	* gtk/gtkmm/cellrenderer_generation.cc:
	* gtk/gtkmm/treeview_private.cc:
	* gtk/src/aboutdialog.ccg:
	* gtk/src/assistant.ccg:
	* gtk/src/celllayout.ccg:
	* gtk/src/cellrendereraccel.ccg:
	* gtk/src/cellrendereraccel.hg:
	* gtk/src/cellrendererspin.ccg:
	* gtk/src/cellrendererspin.hg:
	* gtk/src/clipboard.ccg:
	* gtk/src/colorselection.ccg:
	* gtk/src/container.ccg:
	* gtk/src/entrycompletion.ccg:
	* gtk/src/filefilter.ccg:
	* gtk/src/iconview.ccg:
	* gtk/src/main.ccg:
	* gtk/src/menu.ccg:
	* gtk/src/menuitem.ccg:
	* gtk/src/menushell.ccg:
	* gtk/src/printoperation.ccg:
	* gtk/src/printsettings.ccg:
	* gtk/src/recentchooser.ccg:
	* gtk/src/recentfilter.ccg:
	* gtk/src/textiter.hg:
	* gtk/src/treedragsource.ccg:
	* gtk/src/treemodel.ccg:
	* gtk/src/treemodelfilter.ccg:
	* gtk/src/treeselection.ccg:
	* gtk/src/treesortable.ccg:
	* gtk/src/treeview.ccg:
	* gtk/src/uimanager.ccg:
	* gtk/src/uimanager.hg:
	* gtk/src/widget.ccg:
	* pango/src/fontset.ccg:
	* tests/main_with_options/main.cc: More adapting for the optional API.

2006-05-11  Murray Cumming  <murrayc@murrayc.com

	* gdk/src/pixbuf.ccg:
	* gdk/src/pixbuf.hg:
	* gtk/gtkmm/treeview_private.cc:
	* gtk/src/aboutdialog.ccg:
	* gtk/src/clipboard.ccg:
	* gtk/src/treemodel.ccg:
	* gtk/src/treemodelfilter.ccg:
	* gtk/src/treeselection.ccg:
	* gtk/src/treesortable.ccg:Added missing #ifdefs needed for use of
	--enable-api-exceptions=no with glibmm.

2006-05-10  Murray Cumming  <murrayc@murrayc.com

	* configure.in: Don't build examples/cellrenderercustom because
	it needs too much #ifdefing when properties are disabled.
	* gtk/src/printcontext.ccg:
	* gtk/src/printcontext.hg:
	* gtk/src/printoperation.hg: Fix the build by adding a conversion
	for the signal, and by removing the unnecessary method implementation.

2006-02-15  Murray Cumming  <murrayc@murrayc.com

	* demos/gtk-demo/demowindow.cc:
	* demos/gtk-demo/example_menus.cc:
	* demos/gtk-demo/example_textview.cc:
	* demos/gtk-demo/example_treeview_editable_cells.cc:
	* demos/gtk-demo/example_treeview_liststore.cc:
	* demos/gtk-demo/example_treeview_treestore.cc:
	* demos/gtk-demo/textwidget.cc:
	* examples/book/treeview/combo_renderer/examplewindow.cc:
	* examples/book/treeview/editable_cells/examplewindow.cc:
	* examples/book/treeview/list/examplewindow.cc:
	* examples/cellrenderercustom/cellrendererpopup.cc:
	* examples/cellrenderercustom/cellrenderertoggle.cc:
	* examples/cellrenderercustom/testpopup.cc:
	* examples/rulers/rulers.cc:
	* gtk/gtkmm/cellrenderer_generation.cc:
	* gtk/gtkmm/cellrenderer_generation.h:
	* gtk/src/action.ccg:
	* gtk/src/action.hg:
	* gtk/src/actiongroup.ccg:
	* gtk/src/celllayout.ccg:
	* gtk/src/celllayout.hg:
	* gtk/src/cellrenderer.ccg:
	* gtk/src/cellrenderer.hg:
	* gtk/src/cellrenderercombo.ccg:
	* gtk/src/cellrenderercombo.hg:
	* gtk/src/cellrendererpixbuf.ccg:
	* gtk/src/cellrendererpixbuf.hg:
	* gtk/src/cellrendererprogress.ccg:
	* gtk/src/cellrendererprogress.hg:
	* gtk/src/cellrenderertext.ccg:
	* gtk/src/cellrenderertext.hg:
	* gtk/src/cellrenderertoggle.ccg:
	* gtk/src/cellrenderertoggle.hg:
	* gtk/src/cellview.ccg:
	* gtk/src/combobox.ccg:
	* gtk/src/menuitem.ccg:
	* gtk/src/texttag.hg:
	* gtk/src/treeview.hg:
	* gtk/src/treeviewcolumn.ccg:
	* gtk/src/treeviewcolumn.hg: Add #ifdef GLIBMM_ENABLE_PROPERTIES around
	uses of property proxies and add the set_property<>("name", value) alternatives,
	so gtkmm still builds when using this.
	* examples/Makefile.am: Disable build of cellrenderercustom because
	it needs properties (or too much #ifdefing)

2006-05-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/printcontext.hg: Use an #m4 conversion and _WRAP_METHOD() to
	generate get_cairo() instead of hand-coding it.
	get_page_setup(), get_fontmap(): Return a const instance from the const
	overloads.
        Removed the const overload of create_layout(). If you are creating it then
	you probably want to change it.
	* gtk/src/printoperation.hg: Moved signals to the bottom, where we usually put them.
	set_pdf_target(): Make the filename parameter a std::string, because the encoding of
	filenames is unknown.

2006-05-08  Marko Anastasov  <marko@marko.anastasov.name>

	* gtk/src/pagesetup.hg
	* gtk/src/pagesetup.ccg
	* gtk/src/papersize.hg
	* gtk/src/papersize.ccg
	* gtk/src/printcontext.hg
	* gtk/src/printcontext.ccg
	* gtk/src/printoperation.hg
	* gtk/src/printoperation.ccg
	* gtk/src/printsettings.hg
	* gtk/src/printsettings.ccg: New files - the platform-independent
	part of the printing API.
	* gtk/src/enums.hg: Added PageOrientation.
	* gtk/src/Makefile_list_of_hg.am_fragment
	* gtk/gtkmm.h: Include new files.
	* tools/m4/convert_pango.m4
	* tools/m4/convert_gtk.m4: Added new conversions.
	* tools/extra_defs_gen/generate_defs_gtk.cc:
	Added GTK_TYPE_PRINT_OPERATION.
	* gtk/src/gtk_enums.defs:   Regenerated with enums.pl.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/gtk_signals.defs: Added new properties.
	* configure.in: Added gtk+-unix-print dependency for upcoming updates.

2006-04-26  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/widget.hg: Added doxygen documentation, marking
	signal_get_accessible as deprecated, because it is useless.
	Bug #338437.

2006-04-24  Armin Burgmeier  <armin@arbur.net>

	* gtk/src/statusicon.ccg: Return value of StatusIcon::create_from_file
	was undefined, return created StatusIcon instead.

2006-04-21  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/recent_files/.cvsignore:
	* examples/book/recent_files/Makefile.am:
	* examples/book/recent_files/examplewindow.cc:
	* examples/book/recent_files/examplewindow.h:
	* examples/book/recent_files/main.cc: Added these missing files, to
	fix the build.
	* gtk/src/widget.hg: Use deprecated option with the
	get_accessible keyword, because it should not exist, because it
	is actually a vfunc, but a quirk of gmmproc means that it was generated
	even though it is in the .defs file as a vfunc.

2006-04-21  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treesortable.hg: Correct the documentation for
	SlotCompare. Bug #339129 from Kevin Daughtridge.

2006-04-20  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.ccg: Mark treeview_target_row as static, to slightly
	reduce code size by preventing it from being exported in the ABI.

2006-04-20  Murray Cumming  <murrayc@murrayc.com>

	* pango/src/fontset.ccg: Remove unnecessary anonymous namespace.

2006-04-18  Marko Anastasov <marko@marko.anastasov.name>

	* gtk/src/cellrendererspin.[hg|ccg]: New file.
	* gtk/src/Makefile_list_of_hg.am_fragment: Include new hg file.
	* gtk/gtkmm.h: Include the new header.
	* gtk/src/recentchooser.ccg:
	* gtk/src/recentchooser.hg: Fix some typos.

2006-04-18  Armin Burgmeier  <armin@arbur.net>

	* gtk/src/cellrenderertext.hg: Change type for ellipsize property from
	bool to Pango::EllipsizeMode. Also added some new properties.
	(Note: This is technically a small API break, but a break of something
	that could not have worked before, and I don't think it's an ABI break
	Murray.)
	* gtk/src/gtk_signals.defs: Regenerated to contain the new properties.

2006-04-18  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/filechooser.hg: Correct the signature of the confirm_overwrite
	signature. This is technically a small API/ABI break, but any use of the
	signal as it was would have caused crashes and memory corruption, so that's
	not something that anyone could complain about us not preserving.
	Bug #338439 from Maxim Udushlivy.

2006-04-14  Murray Cumming  <murrayc@murrayc.com>

	* tools/m4/convert_base.m4: Remove this unused file. It is in glibmm already.

2006-04-13  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/recentchooser.ccg: Convert the SignalProxy to the new style that
	uses static functions instead.

2006-04-12  Armin Burgmeier  <armin@arbur.net>

	* gtk/src/recentchooser.hg:
	* gtk/src/recentchooser.ccg:
	* gtk/src/recentchooserwidget.hg:
	* gtk/src/recentchooserwidget.ccg:
	* gtk/src/recentchoosermenu.hg:
	* gtk/src/recentchoosermenu.ccg:
	* gtk/src/recentchooserdialog.hg:
	* gtk/src/recentchooserdialog.ccg: Wrapped GtkRecentChooser,
	GtkRecentChooserDialog, GtkRecentChooserMenu and
	GtkRecentChooserWidget.
	* tools/m4/convert_gtk.m4: Added new needed conversions.
	* gtk/gtkmm.h: Include the new headers.
	* examples/book/recent_files/: The beginning of an example. To complete
	this we need to be able to use RecentFilesMenu with UIManager. The GTK+
	developer is working on this.

2006-04-12  Marko Anastasov <marko@marko.anastasov.name>

        * gtk/src/recentinfo.[ccg|hg]: Added new get_applications() and get_groups()
        functions that don't take length as a parameter but pass NULL to the
        underlaying GTK+ functions.
        * tools/m4/convert_gtk.m4: Removed now unnecessary gsize* to unsigned& conversion.

2006-04-12  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/recentfilter.ccg: Fix some typos to fix the build.
	Use the new non-class SignalProxy callbacks idea. (See below)

	* atk/src/hyperlink.hg:
	* atk/src/hypertext.hg:
	* atk/src/objectaccessible.hg:
	* atk/src/table.hg:
	* gdk/src/colormap.hg:
	* gdk/src/cursor.hg:
	* gdk/src/display.hg:
	* gdk/src/displaymanager.hg:
	* gdk/src/drawable.hg:
	* gdk/src/event.hg:
	* gdk/src/gc.hg:
	* gdk/src/image.hg:
	* gdk/src/screen.hg:
	* gdk/src/visual.hg:
	* gdk/src/window.hg:
	* gtk/src/aboutdialog.hg:
	* gtk/src/accellabel.hg:
	* gtk/src/actiongroup.hg:
	* gtk/src/assistant.hg:
	* gtk/src/button.hg:
	* gtk/src/clipboard.hg:
	* gtk/src/combobox.hg:
	* gtk/src/container.hg:
	* gtk/src/entry.hg:
	* gtk/src/entrycompletion.hg:
	* gtk/src/expander.hg:
	* gtk/src/filechooser.hg:
	* gtk/src/frame.hg:
	* gtk/src/iconinfo.hg:
	* gtk/src/iconsource.hg:
	* gtk/src/iconview.hg:
	* gtk/src/image.hg:
	* gtk/src/imagemenuitem.hg:
	* gtk/src/invisible.hg:
	* gtk/src/label.hg:
	* gtk/src/layout.hg:
	* gtk/src/menu.hg:
	* gtk/src/menuitem.hg:
	* gtk/src/menutoolbutton.hg:
	* gtk/src/notebook.hg:
	* gtk/src/optionmenu.hg:
	* gtk/src/paned.hg:
	* gtk/src/range.hg:
	* gtk/src/scale.hg:
	* gtk/src/scrolledwindow.hg:
	* gtk/src/selectiondata.hg:
	* gtk/src/spinbutton.hg:
	* gtk/src/statusicon.hg:
	* gtk/src/textbuffer.hg:
	* gtk/src/textmark.hg:
	* gtk/src/texttagtable.hg:
	* gtk/src/textview.hg:
	* gtk/src/toolbar.hg:
	* gtk/src/toolbutton.hg:
	* gtk/src/toolitem.hg:
	* gtk/src/treemodelfilter.hg:
	* gtk/src/treemodelsort.hg:
	* gtk/src/treerowreference.hg:
	* gtk/src/treeselection.ccg:
	* gtk/src/treeselection.hg:
	* gtk/src/treeview.hg:
	* gtk/src/uimanager.hg:
	* gtk/src/viewport.hg:
	* gtk/src/widget.hg:
	* gtk/src/window.hg: Use the new constversion option with _WRAP_METHOD()
	to reduce code size a little.

2006-04-07  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/treeview_private.cc:
	* gtk/gtkmm/treeview_private.h:
	* gtk/src/aboutdialog.ccg:
	* gtk/src/assistant.ccg:
	* gtk/src/celllayout.ccg:
	* gtk/src/clipboard.ccg:
	* gtk/src/combobox.ccg:
	* gtk/src/entrycompletion.ccg:
	* gtk/src/filefilter.ccg:
	* gtk/src/menu.ccg:
	* gtk/src/texttagtable.ccg:
	* gtk/src/treemodelfilter.ccg:
	* gtk/src/treeselection.ccg:
	* gtk/src/treesortable.ccg:
	* gtk/src/treeview.ccg:
	* gtk/src/treeviewcolumn.ccg: For most hand-coded SignalProxy classes, used
	for set_*func() methods, remove them and just pass a copy of the slot around.
	The extra indirection is not necessary. Use standalone callback functions, so
	that they can be static, saving a few bytes on the library size.

2006-04-12  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/pixbuf.ccg:
	* gdk/src/pixbufloader.ccg:
	* gtk/src/colorselection.ccg:
	* gtk/src/container.ccg:
	* gtk/src/entrycompletion.ccg:
	* gtk/src/iconview.ccg:
	* gtk/src/treeiter.ccg:
	* gtk/src/treemodel.ccg:
	* gtk/src/treeselection.ccg:
	* gtk/src/widget.ccg:
	* pango/src/fontset.ccg: Mark private functions as static,
	to stop them being exported in the library, to reduce code size
	slightly.

2006-04-11  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* gtk/src/icontheme.ccg: (IconTheme::get_search_path) fixed a segfault
	caused by de-referencing a NULL pointer, and also fixed a memory leak by
	freeing the list of search paths whose storage was allocated by GTK+.
	Closes bug #337874 and #337875

2006-04-11  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/recentfilter.ccg:
	* gtk/src/recentfilter.hg: Added constructor for the Info
	inner class, so that the member variables are initialized.
	* gtk/src/recentinfo.hg: Split get_icon() into const and non-const
	overloads.
	* gtk/src/recentmanager.hg: Added TODO comment for documentation.

2006-04-11  Marko Anastasov <marko@marko.anastasov.name>

	* gtk/src/recentfilter.[hg|ccg]:
	* gtk/src/recentinfo.[hg|ccg]:
	* gtk/src/recentmanager.[hg|ccg]:
	* gtk/src/Makefile_list_of_hg.am_fragment: Added new files.
	* tools/m4/convert_gtk.m4: Add new needed conversions.
	* gtk/gtkmm.h: include the new headers.

2006-04-11  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* examples/book/treeview/Makefile.am:
	* examples/book/treeview/modelsort/.cvsignore:
	* examples/book/treeview/modelsort/Makefile.am:
	* examples/book/treeview/modelsort/examplewindow.cc:
	* examples/book/treeview/modelsort/examplewindow.h:
	* examples/book/treeview/modelsort/main.cc: Added example of
	independently sorted model, with the TreeModelSort parent model.

2006-04-11  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/listviewtext.cc: Constructor: Use sprintf() instead of
	std::stringstream because it is smaller (code size) and faster.

2006-04-07  Cedric Gustin  <cedric.gustin@gmail.com>

	* README.win32: Updated for gtkmm-2.8 (MS Visual Studio 2005).
	* MSVC_Net2003/*.vcproj: Updated for Visual Studio 2005. Added the
	/vd2 compiler flag (Bug #158040).
	* MSVC_Net2003/gtkmm.sln: Updated for Visual Studio 2005.
	* MSVC_Net2003/gendef/gendef.cc: Redirect output of dumpbin to a
	file.
	* build_shared/Makefile_build.am_fragment: Add -DGTKMM_BUILD to
	the extra_defines compiler flags (switch between
	dllexport/dllimport on win32).
	* gtk/src/treeviewcolumn.hg: Tag the TreeViewColumn class with
	GTKMM_API to avoid auto-import errors with gcc on
	mingw32/cygwin. Also inline some TreeViewColumn methods. Bug
	#309030 (Toralf Lund).
	* gtk/src/object.hg: Tag the Object class with GTKMM_API to make
	Visual Studio happy.

2006-04-04  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* docs/tutorial/gtkmm-tut.xml: fixed a few broken links in the jhbuild
	appendix

2006-03-31  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Added
	GTK_TYPE_CELL_RENDERER_SPIN, GTK_TYPE_RECENT_CHOOSER,
	GTK_TYPE_RECENT_CHOOSER_MENU, GTK_TYPE_RECENT_CHOOSER_WIDGET,
	GTK_TYPE_RECENT_FILTER, GTK_TYPE_RECENT_MANAGER )
	* gtk/src/gtk_signals.defs: Added sections for the new types.


2006-03-28  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs_override.xml: Added override for
	gtk_widget_render_icon(), because it mentioned unrefing the result.

2006-03-26  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/gdk_docs_override.xml: Override the documentation for
	create_cairo_context because it mentions destroying the result,
	and says that it is since 2.8 instead of 2.10.

2006-03-23  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/pixbufloader.hg: create(): Add documentation, based on
	new C documentation.

2006-03-22  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/Makefile.am: Add style.css to EXTRA_DIST.
	* docs/tutorial/gtkmm-tut.xml: TreeView chapter: Add a
	sub-section about sorting, mentioning the simple set_sort_column()
	functions and TreeModelSort for independent sorting. Based on
	code from the example from R. Douglas Barbieri in bug #334791.

2006-03-22  Murray Cumming <murrayc@murrayc.com>

	* gdk/src/dragcontext.hg: Added set_icon_name().
	* gtk/src/toolbutton.hg: Added set_icon_name() and
	get_icon_name().
	* gdk/src/pixbuf.hg:
	* gdk/src/pixbufloader.ccg:
	* gdk/src/pixbufloader.hg:
	* gtk/src/aboutdialog.hg:
	* gtk/src/dialog.hg:
	* gtk/src/iconview.hg:
	* gtk/src/linkbutton.hg:
	* gtk/src/textbuffer.hg:
	* gtk/src/textchildanchor.hg:
	* gtk/src/treemodelsort.hg: Added documentation, based on
	the C documentation.

2006-03-22  Murray Cumming <murrayc@murrayc.com>

	* configure.in:
	* examples/book/Makefile.am:
	* examples/book/iconview/Makefile.am:
	* examples/book/iconview/examplewindow.cc:
	* examples/book/iconview/examplewindow.h:
	* examples/book/iconview/main.cc: Added example from
	R. Douglas Barbieri in bug #335388.
	* examples/book/iconview/gnome-dice-1.svg:
	* examples/book/iconview/gnome-dice-2.svg:
	* examples/book/iconview/gnome-dice-3.svg:
	* examples/book/iconview/gnome-dice-4.svg:
	* examples/book/iconview/gnome-dice-5.svg:
	* examples/book/iconview/gnome-dice-6.svg:
	* examples/book/iconview/mozilla-firefox.png:
	* examples/book/iconview/xmms.xpm: Sample images for the
	example.

2006-03-22  Murray Cumming  <murrayc@murrayc.com>

	* docs/index.html: Corrected links to chapters, now that
	we added a chapter in the middle. Bug #334989 from Rob Page.
	* gtk/gtkmm/listviewtext.h: Added groups and newin doxygen
	tags.

2006-03-22  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/listviewtext.cc:
	* gtk/gtkmm/listviewtext.h: Renamed some member variables, and
	used ModelColumns via member instance instead of pointer, to
	simplify code.
	* configure.in:
	* examples/book/treeview/Makefile.am:
	* examples/book/treeview/listviewtext/Makefile.am:
	* examples/book/treeview/listviewtext/examplewindow.cc:
	* examples/book/treeview/listviewtext/examplewindow.h:
	* examples/book/treeview/listviewtext/main.cc: Added example,
	based on treeview/list example.
	* gtk/gtkmm.h: Include listviewtext.h

2006-03-22  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/Makefile.am:
	* gtk/gtkmm/listviewtext.cc:
	* gtk/gtkmm/listviewtext.h: Added ListViewText, a very simple TreeView
	convenience class, from J. Baltasar García Perez-Schofield in bug #329333,
	with formatting and constness corrections.

2006-03-10  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/drawingarea/clock/clock.cc:
	* examples/book/drawingarea/joins/myarea.cc: Update the cairomm enum values for the
	latest cairomm API.

2006-03-08  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/combobox.hg: Added get/set_title() and corresponding
 	tearoff-title property.
	* gtk/src/iconview.ccg:
	* gtk/src/iconview.hg: Added drag and drop methods.
	* gtk/src/treeview.hg: Corrected a typo in the documentation.
	* tools/m4/convert_gtk.m4: Added new enum conversion.

2006-02-25  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.hg: Remove an extra : after a @deprecated.

2006-02-25  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: Signals appendix: Remove vague uninteresting stuff
	about different functor types, and mention sigc::ptr_fun, mem_fun distinction earlier.

o2006-02-25  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs.xml: Regenerate from the C files.
	* gtk/src/gtk_docs_override.xml: Update the override for gtk_icon_theme_list_icons(),
	so that it shows the correct subset examples. Fixes bug #330966 from John Spray

2006-02-25  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm.h: Include layout.h, cellview.h, and icontheme.h.
	Bug #332447 from Maxim Udushlivy.

2006-02-24  Rob Page  <page.rob@gmail.com>

 	* gtk/src/icontheme.ccg: Change int* to int to fix segfault. Bug #332437.

2006-02-25  Murray Cumming  <murrayc@murrayc.com>

        * gtk/src/calendar.hg:
        * gtk/src/cellrenderer.hg:
        * gtk/src/messagedialog.hg:
        * gtk/src/textview.hg:
        * gtk/src/treemodelfilter.hg:
        * gtk/src/treepath.hg:
        * gtk/src/treeview.hg:
        * gtk/src/widget.hg: Move the deprecated comment into the _WRAP_METHOD() call,
        using the new feature in glibmm, so that it really shows up in the doxygen
        documentation.

2006-02-22  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* configure.in: only generate Makefiles for specific features if those
	features are enabled (e.g. docs, examples, etc)

2006-02-22  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs_override.xml: Added an override for gtk_icon_theme_list_icons()
	because it mentions GList, memory management of the items, and providing a NULL
	parameter.
	* gtk/src/icontheme.ccg:
	* gtk/src/icontheme.hg: Added override of list_icons() that returns all icons,
	regardless of context, to match the NULL context case. Bug #330945 from John Spray.

2006-02-18  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* docs/tutorial/gtkmm-tut.xml: synchronized the list of widgets without
	windows with the documentation from the Gtk+ tutorial (see
	http://gtk.org/tutorial/x502.html)

2006-02-18  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* docs/tutorial/style.css: Fixed a couple of tutorial style issues
	* docs/tutorial/gtkmm-tut.xml: updated and re-organized the installation
	section of the tutorial a bit more -- added dependency on cairomm / cairo,
	reworded a few things, etc.
	Added a new appendix explaining how to build and install gtkmm from CVS
	using jhbuild.

2006-02-17  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/pixbuf.ccg: save_to_buffer(): Use a terminating NULL when
	calling gdk_pixbuf_save_to_buffer() to avoid a warning about the sentinel.

2006-02-13  Rob Page  <page.rob@gmail.com>

	* docs/tutorial/gtkmm-tut.xml: minor fixes to gettext chapter, a typo and
	a broken link (Bug #331077)

2006-02-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/assistant.hg: Wrap the prepared signal, now that it is fixed in GTK+.
	* gtk/src/entry.hg: Add a link to the email that says it is OK to wrap the
	activate signal.

2006-02-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/clipboard.hg: Wrap the owner-changed signal, which was new in
	GTK+ 2.8, I think. Use no_default_handler to avoid an ABI break.
	* gtk/src/gtk_signals.defs: Added defs for GtkClipboard.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Generate .defs for GtkClipboard.
	Bug #330139 from Jonathan Jongsma.

2006-01-30  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* docs/tutorial/gtkmm-tut.xml: fixed a minor typo in the clipboard section
	of the tutorial that referred to get_data_as_text() instead of
	get_data_as_string()

2006-01-29  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/Makefile.am: Remove unnecessary icons installation line -
	it happens in the sub-directory.
	* docs/tutorial/figures/Makefile.am:
	* docs/tutorial/figures/comboboxentry_complex.png:
	* docs/tutorial/figures/comboboxentry_text.png: Added screenshots.
	* docs/tutorial/gtkmm-tut.xml: Write basic Combo Boxes chapter, replacing the
	text about the deprecated Combo widget, and moving it after the TreeView
	chapter, because it needs knowledge of the TreeView.
	* examples/book/combobox/complex/examplewindow.cc:
	* examples/book/combobox/text/examplewindow.cc:
	* examples/book/comboboxentry/complex/examplewindow.cc:
	* examples/book/comboboxentry/text/examplewindow.cc: Removed useless
	commented-out code.

2006-01-29  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.hg: Added get_search_entry() and
	get_headers_clickable().
	* tools/m4/convert_gtk.m4: Correct the Entry conversion.

2006-01-29  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/widget.ccg:
	* gtk/src/widget.hg: Added get_action().

2006-01-29  Murray Cumming  <murrayc@murrayc.com>

	* gdk/gdkmm/general.cc:
	* gdk/gdkmm/general.h: Added set_source_pixmap().
	* gtk/src/Makefile_list_of_hg.am_fragment:
	* gtk/src/action.ccg:
	* gtk/src/assistant.ccg:
	* gtk/src/assistant.hg: Added Assistant.
	* gtk/src/linkbutton.ccg:
	* gtk/src/linkbutton.hg: Added LinkButton
	* gtk/gtkmm.h: include the new headers.
	* gtk/src/cellrenderertoggle.hg: Added indicator-size property.
	* gtk/src/messagedialog.hg: Added properties.
	* gtk/src/radioaction.hg: Added set_current_value().
	* gtk/src/sizegroup.hg: Added get_widgets().
	* gtk/src/toolbutton.hg: Deprecated the clicked signal, because
	it has become a keybinding/action signal.
	* gtk/src/treeview.ccg:
	* gtk/src/treeview.hg: Added set_search_position_func().
	* gtk/src/window.hg: Added get_group().
	* tools/extra_defs_gen/generate_defs_gtk.cc: Add the new GTK+
	GTypes.
	* tools/m4/convert_gtk.m4: Add new needed conversions.
	* gtk/src/gtk_enums.defs: Regenerated with enums.pl
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gtk/src/gtk_signals.defs: Added parts with extra_defs.

2006-01-28  Pierre Thierry  <nowhere.man@levallois.eu.org>

	* examples/book/buttons/radiobutton/radiobuttons.cc: add comments and
	reorganize the example so that it's a bit more understandable for
	beginners
	* gtk/src/box.hg: add brief clarification of where widgets end up when
	packed with a variety of pack_start() and pack_end() calls

2006-01-24  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/Makefile.am: Restore html upload line.
	* docs/tutorial/gtkmm-tut.xml: Contributing: Added links to bugs page.
	* gtk/src/radiobutton.hg: Added documentation for get/set/reset_group().

2006-01-24  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: Installation: Move section about
	packages before the section about installing from source, so people
	see the easiest/best way first. Add warning about installing
	source-built stuff in /usr.

2006-01-24  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/Makefile.am: Upload the style.css file when doing
	post-html.
	* docs/tutorial/gtkmm-tut.xml: Add para tags to tip and note tags,
	as noticed by the validate-original make target. Remove some of
	the initial paragraph about it being a draft.

2006-01-24  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/Makefile.am:
	* docs/tutorial/icons/Makefile.am: Restored some files I messed up
	by copying stuff into the wrong place.

2006-01-24  Murray Cumming <murrayc@murrayc.com>

	* docs/tutorial/Makefile.am:
	* docs/tutorial/icons/Makefile.am:
	* docs/tutorial/icons/caution.png:
	* docs/tutorial/icons/home.png:
	* docs/tutorial/icons/important.png:
	* docs/tutorial/icons/next.png:
	* docs/tutorial/icons/note.png:
	* docs/tutorial/icons/prev.png:
	* docs/tutorial/icons/tip.png:
	* docs/tutorial/icons/up.png:
	* docs/tutorial/icons/warning.png: Added missing files.

2006-01-23  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* docs/tutorial/gtkmm-tut.xml: improve the markup of the tutorial by
	replacing a lot of the generic 'literal' tags with more specific ones like
	'classname' or 'function'.  Also marked up a bunch of things that weren't
	marked up at all.

2006-01-18  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/figures/Makefile.am:
	* docs/tutorial/figures/*.png: Several updated screenshots from
	Jonathon Jongsma. Bug #327142.

2006-01-18  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/gtk_docs_override.xml: Added some new overrides for functions that
	mention free() or NULL.

2006-01-15  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

        * docs/tutorial/Makefile.am: Modified makefile to pass some XSL parameters
        to the xsltproc.  For example, where to find icon images, what filename to
        use as a CSS stylesheet, etc.
        * docs/tutorial/insert_example_code.pl: Modified script to mark up the
        filename with a docbook 'filename' element so that it can be styled more
        easily
        * docs/tutorial/style.css: add a new CSS stylesheet for styling the
        tutorial.  The CSS is based on the GNOME stylesheets used for yelp but a
        also designed to fit the theme of the gtkmm website.
        * docs/tutorial/icons/*.png: add a bunch of images from the tango theme to
        be used for informational and navigational icons.

2005-12-31  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* docs/tutorial/gtkmm-tut.xml: Add screenshot for the aspectframe example.
	The screenshot was already in CVS, just not linked from the tutorial.

2005-12-31	Jonathon Jongsma	<jonathon.jongsma@gmail.com>

	* docs/tutorial/gtkmm-tut.xml: updated section on prepackaged gtkmm
	binaries for linux distributions

2006-01-07  Michael J M Thomson  <mjmt@internode.on.net>

	* gtk/gtkmm.h: Include menutoolbutton.h and tearoffmenuitem.h

2005-12-24  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* docs/tutorial/gtkmm-tut.xml: quick fix for source code location of
	cairo simple line drawing example

2006-01-04  Cedric Gustin <cedric.gustin@gmail.com>

	* gtk/src/Makefile_list_of_hg.am_fragment: Moved plug.hg and
	socket.hg from files_posix_hg to files_general_hg as both GtkPlug
	and GtkSocket are now supported on win32.

2005-12-20  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/container.ccg:
	* gtk/src/container.hg: Use custom_c_callback option
	with _WRAP_SIGNAL for the remove signal, so we can
	provide a custom signal callback (as well as the existing
	custom default signal callback). This allows us to
	check for already-deleted children in connected signal handler
	callbacks as well as the default signal handler. This should
	be a partial fix for bug #315874 from Philip Langdale.

2005-12-23  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: DrawingArea chapter: Move GDK
	stuff into an appendix, and remove reference to X, because it is
	not always running on X.

2005-12-23  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/figures/Makefile.am: Mention the new screenshots
	so they are disted and uploaded.
	* docs/tutorial/gtkmm-tut.xml: Fix a source code path.

2005-12-21  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* configure.in: added makefiles for new example directories
	* docs/tutorial/Makefile.am:
	* docs/tutorial/figures/drawingarea_lines.png:
	* docs/tutorial/gtkmm-tut.xml:
	* examples/book/Makefile.am:
	* examples/book/drawingarea/main.cc:
	* examples/book/drawingarea/myarea.cc:
	* examples/book/drawingarea/myarea.h: complete rework of the drawing area
	chapter of the gtkmm tutorial to use Cairomm for drawing instead of old
	Gdk functions.  Updated text and examples, and added several new examles.

2005-12-21  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/texttagtable.ccg: Put a private class in a
	anonymous namespace, theoretically to prevent it being
	exported as ABI.

2005-12-20  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/entry.hg: Added xalign and
	truncate-multiline properties.

2005-12-20  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/drawingarea/myarea.cc:
	* gdk/gdkmm/general.cc:
	* gdk/gdkmm/general.h:
	* gdk/src/drawable.hg: Use Cairo objects via
	Cairo::RefPtr.

2005-12-15  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/adjustment.ccg:
	* gtk/src/adjustment.hg: Generate the constructor,
	instead of hand coding it, because it now uses properties.

2005-12-15  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* examples/book/Makefile.am:
	* examples/book/statusicon/.cvsignore:
	* examples/book/statusicon/main.cc:
	Add example.
	* gtk/gtkmm.h: #include statusicon.h and
	cellrendereraccel.h.
	* gtk/src/statusicon.hg: Rename parameter name for
	stock constructor, so it uses the correct property name.

2005-12-15  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/object.hg: Add class documentation, based on
	the C documentation. Add documentation for manage().

2005-12-14  Murray Cumming <murrayc@murrayc.com>

	* gdk/src/types.hg: Hide traits from Doxygen.

2005-12-14  Philip Langdale  <plangdale@vmware.com>

 	* gdk/src/window.hg:
 	* tools/m4/convert_gdk.m4: Correct the Cursor
 	conversion - it does not need to be copied/leaked.
 	Bug #323920.

2005-12-12  Murray Cumming <murrayc@murrayc.com>

	* configure.in: Depend on gtk+ 2.9.
	* gtk/src/Makefile_list_of_hg.am_fragment:
	* gtk/src/cellrendereraccel.ccg:
	* gtk/src/cellrendereraccel.hg: New CellRenderer.
	* gtk/gtkmm/cellrenderer_generation.cc:
	* gtk/gtkmm/cellrenderer_generation.h:
	Add a template specialization for AccelKey model
	columns.
	* gtk/src/filechooserbutton.hg: Add
	set/get_focus_on_click() and property.
	* gtk/src/menu.ccg:
	* gtk/src/menu.hg: Add attach_to_widget() overload
	without a destroy callback.
	* gtk/src/range.hg: Added
	get/set_lower_stepper_sensitivity(),
	get/set_upper_stepper_sensitivity() and properties.
	* gtk/src/selectiondata.hg: Added targets_include_uri().
	* gtk/src/statusicon.ccg:
	* gtk/src/statusicon.hg: New class.
	* gtk/src/style.hg: Added lookup_color().
	* gtk/src/textbuffer.hg: Added get_has_selection() and
	property. Added text property.
	* gtk/src/window.hg: Added get/set_deletable() and
	property.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Add new types.
	* tools/m4/convert_gtk.m4: Add new conversions.
	* gtk/src/gtk_docs.xml: Update.
	* gtk/src/gtk_enums.defs: Update
	* gtk/src/gtk_methods.defs: Update
	* gtk/src/gtk_signals.defs: Update

2005-12-10  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/expander.hg: Add documentation, base on the
	C documentation, mentioning property_expanded().signal_changed().

2005-12-10  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/object.ccg: Use g_object_sink_ref() and
	friends instead of now-deprecated gtk_object_sink().
	Maybe it works.

2005-12-06  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* Makefile.am:
	* configure.in: add configure option for enabling / disabling building of
	documentation (--enable-docs / --disable-docs)

2005-12-06   Jonathon Jongsma <jonathon.jongsma@gmail.com>

	* configure.in: Look for gmmproc in generic libdir
	directory, because that is not always lib/. This
	fixes the build on some 64-bit systems.

2005-12-06   Jonathon Jongsma <jonathon.jongsma@gmail.com>

	* gdk/gdkmm-2.4.pc.in: Add cairomm to dependencies.
	Bug #323347.

2005-12-02  Murray Cumming <murrayc@murrayc.com>

	* docs/reference/Doxyfile.in: Reword the title of the
	since pages, to make it clear that they do not include
	new API in subsequent versions.

2005-12-01  Murray Cumming <murrayc@murrayc.com>

	* gdk/gdkmm/general.h: Mark cairo API as new in 2.10.

2005-12-01  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/treemodel.ccg:
	* gtk/src/treemodel.hg: Added a method overload of
	rows_reordered() without the iter, because the GTK+ docs
	now say that it can be 0. Added documentation, based on the
	C documentation.

2005-12-01  Murray Cumming <murrayc@murrayc.com

	* examples/book/drawingarea/myarea.cc:
	on_expose_event(): Port to cairo instead of
	draw*(), though the Color and GC part should
	probably be ported too.

2005-12-01  Murray Cumming <murrayc@murrayc.com>

	* configure.in: Depend on cairomm.
	* gdk/gdkmm/general.cc:
	* gdk/gdkmm/general.h:
	* gdk/src/drawable.hg: Use C++ Cairo:: types instead of
	C cairo_* types.

2005-12-01  Murray Cumming <murrayc@murrayc.com>

	* docs/reference/Doxyfile.in: Add a newline after the
	newin xrefitem, to stop doxgygen associating the following
	text with the xrefitem, so properties and returns do not
	show up in the list of new API.

2005-12-01  Murray Cumming <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: Remove link to
	non-existing drawing_area_text example.
	Bug #311176 from Jonathon Jongsma.

2005-11-30  Murray Cumming <murrayc@murrayc.com>

 	* docs/index.html: Change deprecated link to link to
 	deprecated and new pages page.
 	* gdk/src/gdk_docs_override.xml:
 	* gtk/src/gtk_docs_override.xml: Change Since: to
 	our @newin tags.

2005-11-30  Murray Cumming <murrayc@murrayc.com>

	* docs/reference/Doxyfile.in: Added ALIASES
	for @newin2p2, @newin2p4, @newin2p6, @newin2p8, and
	@newin2p10. API marked with these tags will then be
	listed together on a page. Doxygen already has @since,
	but that does not list them on one page.
	* gdk/src/displaymanager.hg:
	* gtk/gtkmm/accelmap.h:
	* gtk/src/cellrenderer.hg:
	* gtk/src/clipboard.hg:
	* gtk/src/colorbutton.hg:
	* gtk/src/entrycompletion.hg:
	* gtk/src/expander.hg:
	* gtk/src/filechooserwidget.hg:
	* gtk/src/messagedialog.hg:
	* gtk/src/radiotoolbutton.hg:
	* gtk/src/rc.hg:
	* gtk/src/uimanager.hg:
	* pango/src/fontset.hg: Replace any Since: text with
	the new tags.

2005-11-30  Murray Cumming <murrayc@murrayc.com>

	* configure.in:
	* gtk/gtkmmconfig.h.in: Check for the mkifofs()
	function (not available in windows, apparently), and
	define HAVE_MKIFOFS.
	* examples/book/input/main.cc: Do not use mkifofs
	if it is not present, to fix build on Windows.
	Bug #309031 from haleykd.

2005-11-30  Murray Cumming <murrayc@murrayc.com>

	* gtk/gtkmm/accelmap.cc:
	* gtk/gtkmm/accelmap.h: Added lookup_entry(), wrapping
	gtk_accel_map_lookup_entry, based on code provided by
	Paul Davis in bug #318407.

2005-11-30  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/style.ccg: Fix the cast, to fix the build

2005-11-29  Murray Cumming <murrayc@murrayc.com>

	* build_shared/Makefile_build.am_fragment:
	* configure.in: Added --enable-deprecated-api option:
	Set it to yes to remove deprecated API from the library,
	for instance for embedded devices.
	* gdk/src/color.ccg:
	* gdk/src/color.hg:
	* gdk/src/colormap.ccg:
	* gdk/src/colormap.hg:
	* gdk/src/image.hg:
	* gdk/src/window.hg:
	* gtk/src/calendar.hg:
	* gtk/src/cellrenderer.hg:
	* gtk/src/combo.hg:
	* gtk/src/fileselection.hg:
	* gtk/src/inputdialog.hg:
	* gtk/src/messagedialog.hg:
	* gtk/src/optionmenu.hg:
	* gtk/src/progress.hg:
	* gtk/src/textbuffer.ccg:
	* gtk/src/textbuffer.hg:
	* gtk/src/textview.ccg:
	* gtk/src/textview.hg:
	* gtk/src/toolbar.hg:
	* gtk/src/treemodel.hg:
	* gtk/src/treemodelfilter.hg:
	* gtk/src/treepath.ccg:
	* gtk/src/treepath.hg:
	* gtk/src/treesortable.ccg:
	* gtk/src/treesortable.hg:
	* gtk/src/treeview.ccg:
	* gtk/src/treeview.hg:
	* gtk/src/treeviewcolumn.ccg:
	* gtk/src/treeviewcolumn.hg:
	* gtk/src/widget.hg: Use the new gmmproc features to
	ifdef-out the deprecated API.
	* tests/menu_destruction/main.cc:
	* demos/gtk-demo/example_iconview.cc:
	* demos/gtk-demo/example_menus.cc:
	* demos/gtk-demo/example_sizegroup.cc:
	* demos/gtk-demo/example_textview.cc:
	* examples/Makefile.am_fragment:
	* examples/book/custom/custom_container/mycontainer.cc:
	* examples/book/dialogs/fileselection/examplewindow.cc:
	* examples/book/range_widgets/labeledoptionmenu.cc:
	* examples/book/range_widgets/labeledoptionmenu.h:
	* examples/cellrenderercustom/popupentry.cc:
	* examples/stock/stock.cc: Do not use deprecated API.

2005-11-29  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/style.ccg:
	* gtk/src/style.hg: Added an overload
	of set_bg_pixmap() that takes a const
	Pixmap, and deprecated the non-const one,
	because the pixmap contents are not changed
	by the method. Bug #313309 from Michael Hofmann.

2005-11-29  Murray Cumming <murrayc@murrayc.com>

	* docs/index.html: Added a link to the
	generated list of deprecated API.

2005-11-29  Murray Cumming <murrayc@murrayc.com>

	* gdk/src/window.hg: Added set_urgency_hint().

2005-11-28  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/textbuffer.hg: Added const overloads of
	get_text() and get_slice(), deprecating the non-const
	versions. Bug #322338 from Ami Tavory.

2005-11-22  Murray Cumming <murrayc@murrayc.com>

	* configure.in:
	* examples/book/Makefile.am:
	* examples/book/update_ui/Makefile.am:
	* examples/book/update_ui/examplewindow.cc:
	* examples/book/update_ui/examplewindow.h:
	* examples/book/update_ui/main.cc: Add an example
	that uses events_pending() to update the UI, loosely
	based on bug #317424 from Gareth Foster.

2005-11-22  Murray Cumming <murrayc@murrayc.com>

	* pango/src/attrlist.ccg:
	* pango/src/attrlist.hg: Add operator(), because
	some methods return null PangoAttrList*s.

2005-11-21  Murray Cumming <murrayc@murrayc.com>

	* gdk/gdkmm/general.cc:
	* gdk/gdkmm/general.h: Added wrappers for gdk cairo functions,
	though we need a real cairo Context class, from a real cairo C++
	API.
	* gdk/src/drawable.hg: Add TODO about a gdk cairo function.
	* gtk/src/treeview.hg: Do not use g_asssert in a header, to
	avoid a warning about a useless command.


2005-11-16  Michael J M Thomson <mjmt@internode.on.net>

	* gdk/src/gc.hg: GC::set_clip_rectangle(): Add a
	method overload that takes a const argument, and
	deprecate the non-const version. Bug #320631.

2005-11-16  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/widget.hg: Made map() public,
	because custom containers sometimes (e.g. GtkNotebook)
	need to call it on their child widgets, though we are
	not sure when. Bug #320631.

This is the HEAD branch, for new API.

2.8.1:

2005-08-02  Marco Scholten <mscholtn@xs4all.nl>

	* docs/tutorial/gtkmm-tut.xml: changed square to
	Penrose triangle and added the missing screenshot
	in the custom widget chapter.
	Bug #311176.

2005-10-19  Murray Cumming <murrayc.com>

	* gtk/src/uimanager.hg: Use OWNERSHIP_NONE
	with get_action_groups(), because the GList
	should not be freed. Bug #31865 from
	Colin Law.

2005-10-19  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Check for gtk+ 2.8. Bug #317913.

2005-09-28  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/scrolledwindow.hg: get_*scrollbar_visible():
	get_hscrollbar_visible() returned vscrollbar_visible()
	and vice-versa. Fixed. Bug #317309 by Bartek Kostrzewa.

2.8.0:

Updated NEWS and increased version.

2.7.4:

2005-08-17  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/dragcontext.hg: Corrected commented-out set_icon_name()
	signature so we get it right when we can add it.
	* gdk/src/gdk_extra.defs: Added gtk_drag_set_icon_name, copied from
	gtk_methods.defs.
	* gtk/src/gtk_signals.defs.patch: Added this patch to help us
	modify the file after regenerating it in future.
	* gtk/src/toolbutton.hg: Added commented-out set/get_icon_name()
 	for use during 2.9.

2005-08-17  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/dragcontext.hg: Comment-out set_icon_name() with a
	TODO comment because it is not getting the defs defintion for
	some reason.
	* gdk/src/gdk_signals.defs: Regenerated with generate_extra_defs.
	* gtk/src/entrycompletion.hg: Properties: Correct key_length
	to minimum_key_length, and popup_set_widgth to popup_set_width.
	* gtk/src/gtk_enums.defs: Removed broken gtktreeprivate.h stuff.
	* gtk/src/gtk_other.defs: Added new FileChooser signals and
	properties.
	* gtk/src/gtk_signals.defs: Regenerated with generate_extra_defs.
	* tools/m4/convert_gtk.m4: Added GtkFileChooserConfirmation.

2005-08-17  Murray Cumming <murrayc@murrayc.com>

	* gdk/src/gdk_docs.xml: Regenerated with docextract_to_xml.py.
	* gdk/src/gdk_enums.defs: Regenerated with enums.pl.
	* gdk/src/gdk_methods.defs: Regenerated with h2defs.py
	* gdk/src/gdk_pixbuf.defs:  Regenerated with h2defs.py
	* gtk/src/gtk_docs.xml: Regenerated with docextract_to_xml.py.
	* gtk/src/gtk_enums.defs: Regenerated with enums.pl.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py

2005-08-01  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.ccg: unset_model(): Removed
	extra ; that was breaking the build.

2005-08-01  Murray Cumming <murrayc@murrayc.com>

	* config.h.in: Added missing undefs, needed
	by SUN and Tru64 compilers. Patch from
	The Written Word.

2005-08-01  Jonner <jonathon.jongsma@gmail.com>

	* docs/tutorial/gtkmm-tut.xml: Fix the link to the
	Gtk::Combo reference docs, though this should talk
	about Gtk::ComboBox instead anyway.

2005-08-01  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/settings.ccg:
	* gtk/src/settings.hg: Autogenerate get_default():
	to stop it creating a second wrapper object.
	Bug #311311.

2005-07-31  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.ccg:
	* gtk/src/treeview.hg: Added unset_model().

2.7.3:

2005-07-16  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/pixbufloader.ccg: create_with_type():
	Really return the created GdkPixbufLoader.

2005-07-16  Ishmal  <rwjj@earthlink.net>

	* gtk/src/treeviewcolumn.hg: TreeViewColumn:
	Use GTKMM_API to add dllspec_export and dllspec_import
	for MSVC++ 7.1 because it needs the extra help, even when using
	--export-all and auto-import. See bug #309030.

2005-07-16  Murray Cumming  <murrayc@murrayc.com>

	* atk/src/atk_docs.xml:
	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml:
	* gtk/src/gtk_enums.defs:
	* gtk/src/gtk_methods.defs:
	* pango/src/pango_docs.xml: Regenerated.
	* gdk/src/display.hg: Added warp_pointer().

2005-07-15  Murray Cumming  <murrayc@murrayc.com>

	* atk/src/atk_enums.defs:
	* gdk/src/gdk_enums.defs:
	* pango/src/pango_enums.defs:
	* gtk/src/gtk_enums.defs: Regenerated with
	glibmm/tools/enums.pl
	* gtk/src/filechooser.hg: Added
	get/set_do_overwrite_confirmation() and property and signal.
	* gtk/src/treerowreference.hg: Added get_model().
	* gtk/src/treeview.ccg:
	* gtk/src/treeview.hg: Added const versions of get_path_at_pos(),
	get_cell_area(), get_background_area(), get_visible_rect(),
	widget_to_tree_coords(), tree_to_widget_coords().
	Added get_visible_range().
	* gtk/src/treeviewcolumn.hg: Added queue_resize()

2.7.2:

2005-07-12  Murray Cumming  <murrayc@murrayc.com>

	* docs/index.html: Remove links to useless bonobo stuff. Correct the name
	of the canvas link, instead of having duplicate libglademm links.
	* gdk/src/pixbuf.ccg:
	* gdk/src/pixbuf.hg: Add a save_to_buffer() overload without the options
	parameters. Added reference documentation.
	* gtk/src/entrycompletion.hg: Remove extra ;.

2.7.1:

2005-07-11  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/textiter.hg: Added move_forward/backward_visible_line(s).

2005-07-10  Murray Cumming <murrayc@murrayc.com>

	* gdk/src/dragcontext.hg: Added set_icon(const Glib::ustring& name)
	* gtk/src/aboutdialog.hg: Added set/get_wrap_license() and property.
	* gtk/src/dialog.hg: Added get_response_for_widget().
	* gtk/src/widget.hg: Added drag_source_set_icon(const Glib::ustring& icon_name).
	* gtk/src/entrycompletion.hg: Added properties, get/set_popup_set_width(),
	get/set_popup_single_width().
	* gtk/src/iconview.hg: Added get_item_at_pos(), get_visible_range(), get/set_cursor(),
	scroll_to_path().

2005-07-10  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/gdk_methods.defs: Regenerated with h2defs.py
	* gdk/src/cursor.ccg:
	* gdk/src/cursor.hg: Added get_image() and
	a Cursor(name) constructor.
	* gdk/src/window.hg: Added move_region()
	* gtk/gtkmm/stock.cc:
	* gtk/gtkmm/stock.h: Added FULLSCREEN, LEAVE_FULLSCREEN, and
	INFO stock items.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gtk/src/image.ccg:
	* gtk/src/image.hg: Reimplemented clear() with the new
	gtk_image_clear() function.
	* gtk/src/sizegroup.hg: Added ignore_hidden property.
	* gtk/src/window.hg: Added urgency_hint property, and
	get/set_urgency_hint(). Added present(timestamp) overload.

2005-07-06  Claudio Saavedra  <csaavedra@alumnos.utalca.cl>

	* docs/tutorial/gtkmm-tut.xml: Fixed typo in title of chapter about
	constructors.

2005-07-04  Murray Cumming <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: Signals appendix:
	Correct ptr_fun/mem_fun typo.

2005-06-09  Daniel Glöckner  <daniel-gl@gmx.net>

	* tools/m4/convert_gdk.m4: Use OWNERSHIP_NONE with
	Glib::ListHandle< Glib::RefPtr<Device> instead of
	OWNERSHIP_DEEP, to avoid memory problems with
	Gdk::Display::list_devices().

2005-05-26  Murray Cumming <murrayc@murrayc.com>

	* docs/Makefile_web.am_fragment: Use different
	rsync args to fix recent problem with sourceforge.
	* docs/tutorial/gtkmm-tut.xml: Fix URL prefix for
	glibmm reference links.
	* gtk/src/comboboxentry.hg: get_entry() docs:
	Mention Bin::get_child() instead of get_entry().

2005-04-21  Alexander Nedotsukov <bland@FreeBSD.org>

	* gdk/gdkmm/Makefile.am:
	* gtk/gtkmm/Makefile.am:
	Add inter-library dependencies, which might be
	needed with some versions of pkg-config.

2005-05-06  Murray Cumming <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: Signals apendix,
	X Event signals section: Added explanation of
	connect(slot, false);

2005-05-03  Murray Cumming <murrayc@murrayc.com>

	* gtk/gtkmm/comboboxentrytext.cc:
	* gtk/gtkmm/comboboxentrytext.h:
	* gtk/gtkmm/comboboxtext.cc:
	* gtk/gtkmm/comboboxtext.h:
	Deprecated clear() in favour of new
	clear_items() method, because clear() exists
	in the base CellLayout class and is very different.
	Added remove_text() to remove items one at a time.
	Added doxygen documentation comments.

2005-05-03  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/cellrenderer.hg: Added the
	sensitive property, which was maybe new in
	GTK+ 2.6.

2005-05-01  Murray Cumming <murrayc@murrayc.com>

	* gdk/src/colormap.ccg:
	* gdk/src/colormap.hg: Deprecated alloc_colors() and
	free_colors(). Add free_color() for use with
	alloc_color(). Bug #157744

2005-04-27  Philip Langdale <plangdale@vmware.com>

	* gtk/src/action.hg:
	Override default wrap behaviour for get_proxies to
	use the correct ownership semantics. (bug #172892)

2005-04-24  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/button.hg:
	* gtk/src/gtk_docs_override.xml:
	* gtk/src/image.hg:
	* gtk/src/toolbutton.hg:
	Documentation: Change mentions of new_from_stock()
	to mention the C++ constructors, and document those
	constructors.

2005-04-22  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/cellrenderer.hg: Add documentation
	saying that signal_editing_started() does not
	work, so use the C API.
	* gtk/src/combobox.hg: Added TODO comment
	for a future ABI break.

2005-04-19  Murray Cumming <murrayc@murrayc.com>

	* configure.in:
	* examples/book/Makefile.am:
	* examples/book/comboboxentry/.cvsignore:
	* examples/book/comboboxentry/Makefile.am:
	* examples/book/comboboxentry/complex/.cvsignore:
	* examples/book/comboboxentry/complex/Makefile.am:
	* examples/book/comboboxentry/complex/examplewindow.cc:
	* examples/book/comboboxentry/complex/examplewindow.h:
	* examples/book/comboboxentry/complex/main.cc:
	* examples/book/comboboxentry/text/.cvsignore:
	* examples/book/comboboxentry/text/Makefile.am:
	* examples/book/comboboxentry/text/examplewindow.cc:
	* examples/book/comboboxentry/text/examplewindow.h:
	* examples/book/comboboxentry/text/main.cc:
        Added ComboBoxEntry and ComboBoxEntryText examples,
	based on the existing ComboBox and ComboBoxText
	examples.

2005-04-15  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/menus_and_toolbars/Makefile.am:
	* examples/book/menus_and_toolbars/rain.png:
	Add missing rain.png file and distribute it.
	* examples/book/menus_and_toolbars/examplewindow.cc:
	Catch the exception if the pixbuf file is not found.

2005-04-07  Murray Cumming <murrayc@murrayc.com>

	* gdk/src/display.hg:
	* gdk/src/displaymanager.hg:
	* gdk/src/pixbufloader.hg:
	* gdk/src/screen.hg:
	* gtk/src/accelgroup.hg:
	* gtk/src/action.hg:
	* gtk/src/actiongroup.hg:
	* gtk/src/cellrenderer.hg:
	* gtk/src/cellrenderertoggle.hg:
	* gtk/src/colorbutton.hg:
	* gtk/src/combobox.hg:
	* gtk/src/entrycompletion.hg:
	* gtk/src/filechooser.hg:
	* gtk/src/fontbutton.hg:
	* gtk/src/radioaction.hg:
	* gtk/src/radiomenuitem.hg:
	* gtk/src/range.hg:
	* gtk/src/textbuffer.hg:
	* gtk/src/togglebutton.hg:
	* gtk/src/toolbar.hg:
	* gtk/src/toolbutton.hg:
	* gtk/src/toolitem.hg:
	* gtk/src/treeiter.hg:
	* gtk/src/uimanager.hg:
	* gtk/src/widget.hg:
	Added doxygen documentation for signals, based on
	the C documentation (in the .c files) where that
	documentation exists.

2005-04-07  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/treeview.ccg:
	* gtk/src/treeview.hg: Rename
	TreeView::_auto_store_on_cellrenderer_toggle_edited() to
	TreeView::_auto_store_on_cellrenderer_toggle_edited_with_model()
	and add back the old _auto_store_on_cellrenderer_toggle_edited(),
	so that it still exists for apps built with the old templates.
	This is the only non-template code that was changed in the
	previous commit.

2005-04-06  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.[hg|ccg]: append_*_(): Pass the model to the
	private helper template functions, instead of the treeview, to
	prevent the warning when closing the window while editing a cell.
	Bug #170855.

This is the HEAD branch. The stable branch is gtkmm-2-6.

2005-03-19  Murray Cumming <murrayc@murrayc.com>

	* demos/gtk-demo/example_treeview_editable_cells.cc:
	* gtk/src/treeview.ccg:
	* gtk/src/treeview.hg:
	Test the result of _get_model_base() for a null refptr,
	to help avoid a crash when closing a window while the
	cell renderer is in edit mode. Bug #170855.

2005-03-17  Claudio Saavedra <csaavedra@alumnos.utalca.cl>

	* docs/tutorial/gtkmm-tut.xml: Fixes typo in #170730. Pointed out
	by Jacek Wotka.

2.6.1:

2005-03-12  Claudio Saavedra <csaavedra@alumnos.utalca.cl>

 	* docs/tutorial/gtkmm-tut.xml: Fixing inconsistences in documentation.
 	Bug #170131.

2005-03-13  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/cellrenderercombo.hg:
	* gtk/src/combo.hg:
	* gtk/src/fileselection.hg:
	* gtk/src/optionmenu.hg:
	* gtk/src/treemodel.hg:
 	Doxygen comments: Remove deprecated widgets from
	the Widgets and Dialogs groups, so they don't
	show up in the lists.

2005-03-11  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/cellrenderer.ccg: property_renderable_(): Call the base
	class method, not the method itself, to avoid an infinite loop.

2005-03-10  Cedric Gustin <cedric.gustin@swing.be>

	* MSVC_Net2003/Makefile.am: Add blank.cpp to EXTRA_DIST.
	* MSVC_Net2003/atkmm/atkmm.rc.in,
	MSVC_Net2003/pangomm/pangomm.rc.in: Use gtkmm @VERSION@ as version
	string.

2.6.0:

2005-03-04  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/menus_and_toolbars/main_menu/examplewindow.[h|cc]:
	Demonstrate radio action items.

2005-03-04  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: Fixed a duplication section id.
	* docs/tutorial/Makefile: Make the phpwebnotes version build in a
	separate directory, to make things simpler.

2005-03-03  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/scale.hg: format_value signal: Modify the custom conversion
	so that this never sends an empty string to GTK+, so we do not stop
	C callbacks from using the special meaning that format_value gives to
	a null string. This needs an extra signal parameter in C++ in future -
	see the comment. Bug #154004 from Lars Luthman, who did the
	detective work.

2005-03-03 <meissner@suse.de>

	* gtk/src/treeview.ccg: insert_column(): Used (void*)0 instead of 0
	for the terminating vararg, to avoid g++ 4.0 warning about  missing
	sentinel in function call.

2005-03-03  Albert Chin <thewrittenword.com>

	* configure.in: Check whether funlockfile(), flockfile(), and
	getc_unlocked() are really available to the compiler, rather than
	just present in a library.
	* demos/gtk-demo/demo-window.c: Use the new tests.

2005-02-28   Roel Vanhout  <roel.vanhout@gmail.com>

	* docs/tutorial/gtkmm-tut.xml: Add more section ids so that
	phpwebnotes would have permanent ids to use.

2.5.7:

2005-02-23  Roel Vanhout  <roel.vanhout@gmail.com>

	* docs/tutorial/: Experimental generation of the html with
	phpWebNotes code, to allow online comments. Not used yet.

2005-02-18  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_signals.defs: Removed some more quotes from inside
	the properties docs strings, because gmmproc can not handle those yet.

2005-02-18  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/cellrenderer.hg: start_editing(): Add a default value of 0
	for the last flags parameter, because this is a valid value.
	* examples/book/treeview/editable_cells: Added a number_validated
	column, which shows how to handle edited cells without the
	convenience functions, and how to validate date.

2005-02-15  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/messagedialog.hg: Deprecate set_markup in favour of
	set_message(string, false), which now uses the new
	gtk_message_dialog_set_markup() function. We should not have added
	this, but we are past API freeze now. Added documentation for
	set_message() and set_secondary_text().
	* examples/book/dialogs/messagedialog/examplewindow.cc: Used
	set_secondary_text().

2005-02-13  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/cellview.hg, comboboxentry.hg, image.hg, main.hg,
	gkd/src/pixbuf.hg: Corrected some minor doxygen documenation errors.

2005-02-13  Murray Cumming  <murrayc@murrayc.com>

	* atk/src/atk_signals.defs, gdk/src/gdk_signals.defs,
	gtk/gtk_signals.defs: Regenerate with latest extra_defs_gen, to get
	the property documentation.
	* docs/reference: Added widget_hierarchy html image map and .dia
	original from Marco Scholten in bug 88610.
	* docs/index.html: Added link to hierarchy.
	* docs/reference/Makefile.am: Add extra commands to install and
	upload the widget_hierarchy files.

2005-02-13  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/cellrenderertext.hg: Added documentation for the edited()
	method. Bug found by Antonio Coralles.

2005-02-13  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/dragtarget.ccg: get_targets(): Fixed typo to fix the build.

2005-02-07  Ronald Lembcke <es186@fen-net.de>

	* gdk/src/dragcontext.ccg: get_targets(): Actually step through the
	list, instead of looping infinitely. Bug #166412.

2005-02-03  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/targetlist.ccg: Add TargetList:: prefix to the create
	method, so that it is actually defined. Bug found by Ronald Lembcke.

2005-02-02  Murray Cumming  <murrayc@murrayc.com>

	* examples/cellrenderercustom/cellrenderertoggle.cc: AppWindow:
	Move the inner ModelColumns class outside of the AppWindow class,
	because the IRIX MipsPro compiler (wrongly) says that its
	destructor it was referenced but not defined.
	* examples/gdk/radar.cc: Added #include of math.h, needed by
	IRIX MipsPro compiler.

2005-02-02  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.hg: append_column_numeric(),
	_connect_auto_store_editable_signal(): Use an intermediate
	function pointer, because the IRIX MipsPro compiler needs that.

2005-02-01  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/clipboard/ideal/examplewindow.cc:
	on_clipboard_received_targets(). Use targets = targets_array instead
	of targets(targets_array). The IRIX MipsPro compiler needs this,
	maybe because of the ustring-std::string conversion. We should
	maybe use ustring anyway.

2005-02-01  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/comboboxtext.h: Class documentation: Warn about using this
	with Glade. Bug #165411,

2005-02-01  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Check for atk version 1.9 at configure time,
	because that is what we use, because it follows the same schedule as
	gtkmm.

2005-02-01  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.hg, colorselection.ccg: Remove the #ifdefs for AIX,
	because sigc::bind now works on AIX.

2.5.6:

2005-01-26  Cedric Gustin <cedric.gustin@swing.be>

	* Makefile.am: Added MSVC_Net2003 directory.
	* configure.in: Added MSVC_Net2003 entries. AC_SUBST
	GTKMM_*_VERSION macros (for the MSVC resource files)
	* gtk/gtkmmconfig.h.in: Added dllimport/dllexport rules. Moved
	HAVE_FLOCKFILE and HAVE_FUNLOCKFILE #undef's to GLIBMM_CONFIGURE
	section, as it is not relevant to platforms that do not run
	configure (MSVC for example).
	* examples/stock/stock.cc, examples/tictactoe/tictactoe.cc: Added
	Gtk namespace to "manage" calls (Gtk::manage) as required by MSVC.
	* demos/gtk-demo/demo-common.cc: Fixed typo in #ifdef/#endif
	structure. Uncommented get_democodedir function.
	* demos/gtk-demo/textwidget.cc: Use default system font on win32.
	* MSVC_Net2003/*: Initial commit, imported from gtkmm-2-4 branch.
	* MSVC_Net2003/gtkmm/Makefile.am, MSVC_Net2003/gdkmm/Makefile.am:
	Rewrote rule for local copy of g[d|t]kmmconfig.h (required for
	'make distcheck').

2005-01-25  Bryan Forbes  <bryan@reigndropsfall.net>

	* gtk/src/plug.[hg|ccg]: Add a default constructor.

2005-01-25  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/colorselection.hg: set_change_pallete_hook(): On AIX, #ifdef
	out the part that uses sigc::bind, which does not work with the AIX
	xlC compiler. This method will be broken of that platform, but it is
	rarely used anyway.
	* demos/gtk-demo/demowindow.cc: SUN Forte, AIX, and Tru64 have the
	problem with flockfile and funlockfile - configure finds it but the
	compiler can not find it while compiling demowindow.cc. #undef
	HAVE_FLOCKFILE and HAVE_FUNLOCKFILE for now, so that it builds on
	those platforms.

2005-01-25  Murray Cumming  <murrayc@murrayc.com>

	* configure.in, Makefile.am: Add --disable-demos configure option,
	by plors in bug #160756. This is needed because AIX does not support
	sigc::bind at all and the demos would be quite unreadable if we
	worked around that. This way, at least gtkmm can be installed on AIX.

2005-01-25  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/input/main.cc: Do not use O_NONBLOCK, because the
	example is meant to be blocking. As advised by Chris Vine.

2005-01-25  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.hg: Use nested sigc::bind<-1>s instead of
	sigc::bind(), because the Tru64 compiler needs the extra hint.
	Added #ifdef GTKMM_HAVE_SIGC_BIND() around some templated convenience
	methods, so we can disable these on AIX.
	* gtk/src/treemodel.[hg|ccg]: Use Gtk::TreeModel::iterator instead of just
	iterator, because the Tru64 compiler finds it ambiguous.
	* demos/example_treeview_editable_cells.cc: Replace use of
	TreeView::append_column_editable() with the long-winded workaround,
	so that the IRIX MipsPro and Tru64 compilers can build this

2005-01-18  Marco Scholten  <mscholtn@xs4all.nl>

	* examples/book/custom/custom_widget/examplewindow.cc:
	Removed #include <iostream> because it is not used.
	* examples/book/custom/custom_widget/mywidget.cc:
	Removed #include <iostream> because it is not used.
	In on_realize() removed:
	-set_flags(Gtk::REALIZED);
	-set_window( get_parent_window() );
	-GtkWidget* cWidget = (GtkWidget*)gobj();
	-cWidget->style = gtk_style_attach(cWidget->style, get_window()->gobj());
	Added attributes.event_mask = get_events () | Gdk::EXPOSURE_MASK;
	to make the widget receive expose events.
	Create GdkWindow and set this as the widgets window
	Set colors in on_realize() instead of on_expose_event() because this
	needs to be done only once.
	Removed colormap in on_expose_event() because of problem with
	get_default_colormap() (see Bug 163992). I decided not to wait for a fix
	on that bug because how we set the color is not essential to this example.
	Made it draw something nice.

2005-01-18  Murray Cumming  <murrayc@murrayc.com>

	* demos/gtk-demo/demos.h: Use sigc::ptr_fun() instead of the bare
	function pointer, because that does not work with the SUN Forte
	compiler. on_treeview_row_activated(): Use a const reference of the
	slot with operator[] to avoid ambiguity with the SUN Forte compiler -
	see the comment in the code.

2005-01-18  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/input/main.cc: Add extra #includes, needed by
	the SUN Forte compiler.

2005-01-18  Murray Cumming  <murrayc@murrayc.com>

	* demos/demowindow.cc: #ifdef on __SUNPRO_CC instead of
	GLIBMM_COMPILER_SUN_FORTE, though we should really find out why
	GLIBMM_COMPILER_SUN_FORTE is not defined with the SUN compiler.
	* demos/example_stockbrowser.cc: Remove some consts that the
	SUN compiler does not allow.
	* gtk/src/radiobutton.hg: Remove duplicate Group typedef, which
        SUN Forte complains about.
        * This should fix the remaining issues in bug #154973.
	Joel Fredrikson helped with these fixes.

2005-01-11  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/custom/custom_widget/mywidget.cc: Fix from Marco
	(mshcoltn) to make this widget actually draw something: on_realize():
	Use get_window() instead of creating our own Gdk::Window. I am not
	sure why this works, but it is simpler.

2.5.5:

2005-01-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/main.[hg|ccg]: Added Main constructor that takes a
	Glib::OptionContext(), and added
	Main::add_gtk_option_group(option_context) to wrap functionality in
	gtk_init_with_args() and gtk_get_option_group(), hopefully.
	* tests/: Added main_with_option_group to show that it works.

2005-01-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/combobox.hg, comboboxentry.hg, clipboard.hg, cellview.hg,
	celllayout.hg, celleditable.hg, cellrenderer*.hg: Added class
	documentation, based on the C documentation.
	* gtk/src/clipboard.hg: Added set_can_store() overload that takes no
	arguments.
	* gtk/src/combobox.hg: Added unset_row_separator_func().

2005-01-09  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/filechooserbutton.[hg|ccg]: Inherit from the FileChooser
	interface. Add constructor which takes no title. Add documentation,
	based on the C documentation.

2005-01-09  Murray Cumming  <murrayc@murrayc.com>

	* gtk/examples/book/buttons/: Added filechooserbutton example,
	though I see g_warnings.

2005-01-09  Murray Cumming  <murrayc@murrayc.com>

	* gtk/examples/book/treeview/list/examplewindow.[h|cc]: Add an extra
	model column, rendered with a CellRendererProgress, to show that it
	works.

2005-01-08  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/aboutdialog.hg: Add logo_icon_name proeprty.
	* gtk/src/iconview.hg: Wrap the properties.

2005-01-07  Murray Cumming  <murrayc@murrayc.com>

	* Makefile.am: Offline documentation tarball: Do not try to tar up non
	existant docs/internals directory. Put 2-4 in the tarball name to
	avoid confusion.
	* docs/index.html: Correct the offline documentation link, so that
	people do not download the tarball for the 2.0 documentation instead.
	Bug #163122.

2005-01-07  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/modelfilter.hg: Added documentation for set_modify_func().
	* pango/src/renderer.hg: Added get_color(),
	* pango/src/color.hg: Added operator bool() so that people can check
	for a null Color returned by Renderer::get_color().

2005-01-07  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/entrycompletion.hg, toolitem.hg: Added //TODO comments
	to tell us to add default signal handlers when we can break ABI. Also
	remove an extra ; to avoid a warning and fix the build.

2005-01-06  Bryan Forbes  <bryan@reigndropsfall.net>

	* updated .cvsignore files.
	* gtk/gtkmm/stock.[h|cc]: Added new stock items.
	* gtk/src/entrycompletion.hg: Changed to use no_default_handler on
	insert_prefix signal.
	* gtk/src/filechooserdialog.[hg|ccg]:
	* gtk/src/filechooserwidget.[hg|ccg]: Added constructors to choose the
	backend used.
	* gtk/src/main.[hg|ccg]: Added commented constructors for gtk_init_with_args
	so we can take a look at it.
	* gtk/src/toolitem.hg: Changed to use no_default_handler on set_tooltip
	signal.

2005-01-06  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/pixbufloader.hg, gtk/src/cellrenderer.hg, gtk/src/range.hg:
	For the signals that are new in gtkmm 2.5, use the extra
	no_default_handler argument with _WRAP_SIGNAL(), to avoid adding new
	virtual functions which would break the ABI by increasing the size
	of base class objects.

2005-01-06  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeiter.[hg|ccg]: Add forward_search() and
	backward_search() overloads without the limit argument.
	* gtk/src/gtk_docs_override.xml: Correct the documentation for
	the full forward_search() and backward_search() methods, so that it
	does not suggest 0 for references. Bug found by Rob Page.

2005-01-06  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/dialog/: Added aboutdialog example.

2.5.4:

2005-01-05  Murray Cumming  <murrayc@murrayc.com>

	* atk/src/atk_enums.defs: Regenerated.
	* atk/src/relation.hg: Added add_target().
	* atk/src/relationset.hg: Added add_relation_by_type().
	* atk/src/text.hg: Added get_range_extents(), get_bounded_ranges().

2005-01-05  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/gdk_pixbuf.defs: Updated with h2defs.py
	* gdk/src/display.[hg|ccg]: Added supports_selection_notification(),
	request_selection_notification(), supports_clipboard_persistance(),
	store_clipboard().
	* gdk/src/pixbuf.[hg|ccg]: Added rotate_simple(), flip(),
	save_to_buffer().
	* gdk/src/pixbuf_format.hg: Added is_scalable(), is_disabled(),
	set_disabled(), get_license().
	* gdk/src/window.hg: Added enable_synchronized_configure(),
	configure_finished(), set_focus_on_map().

2005-01-05  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/gdk_methods.defs: Updated with h2defs.py.

2005-01-04  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/gdk_enums.defs, gtk/src/gtk_enums.defs,
	gtk/src/gtk_signals.defs: Regenerated.
	* gtk/src/gtk_others.defs: Added get_authors, get_documentors and
	get_artists because h2defs.py does not add them to gtk_methods.defs,
	for some reason.
	* gtk/src/action.hg: Added get_accel_path().

2005-01-04  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.hg: Added hover_expand and hover_selection
	properties.

2005-01-03  Bryan Forbes  <bryan@reigndropsfall.net>

	* gtk/src/cellrenderertext.hg: added properties "language",
	"ellipsize", and "ellipsize-set".

2.5.3:

2004-12-19  Murray Cumming  <murraycmurrayc.com>

	* gdk/pixbuf.hg: Added create_from_file() overload that takes
	height and width, wrapping gdk_pixbuf_create_from_file_at_scale().
	Bug #157894.

2004-12-19 Claudio Saavedra <csaavedra@alumnos.utalca.cl>

 	* example/book/input/main.cc: Improved example to use a
 	Glib::IOChannel. References bug #138259.

2004-12-19  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/cellrenderer.hg: Added stop_editing() which replaces the
	now-deprecated editing_cancelled().
	* gtk/src/iconview.hg: Added get/set_columns(), get/set_item_width(),
	get/set_spacing(), get/set_row_spacing(), get/set_column_spacing(),
	get/set_margin().
	* gtk/src/label.hg: Added get/set_max_chars_width(), and property.
	* gtk/src/textview.hg: Added get_iter_at_position().
	* gdk/src/gdk_docs.xml, pango/src/pango_docs.xml,
	gtk/src/gtk_docs.xml: Regenerated with docextract_to_xm.py, to get
	new GTK+ documentation.

2004-12-19  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/filechooserbutton.hg: Constructors: Added action parameters,
